network-manager (1.1.93-0ubuntu4) xenial; urgency=medium

  * Re-enable NetworkManager-wait-online.service for NFS and other remote FS
    services, so they work with name resolution. This had been dropped by
    mistake in the update to the new release. (LP: #1569649)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 15 Apr 2016 15:41:05 -0400

network-manager (1.1.93-0ubuntu3) xenial; urgency=medium

  * Put back debian/network-manager.upstart so that NM starts again under
    upstart. (LP: #1569204)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 10:01:56 +0200

network-manager (1.1.93-0ubuntu2) xenial; urgency=medium

  * debian/tests/nm: NM defaults to stable-privacy addrgenmode for new
    connections; in other words, it tells the kernel to do address generation
    using stable privacy addresses (which aren't strictly EUI-64, and so don't
    carry "fe:ff" in the middle). Adjust our IPv6 test case to allow for this.
    (LP: #1568912)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 11 Apr 2016 11:11:30 -0400

network-manager (1.1.93-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Resynchronize with Debian; remaining changes:
    - debian/control:
      - Build-Depends on libgnutls-dev and libgcrypt20-dev; drop libteam-dev;
        added valac and dbus-test-runner.
      - Updated Vcs tags; enabled autopkgtests.
      - Reshuffle Depends for network-manager due to main
        inclusion requirements, and add Breaks for old versions of plugins.
      - network-manager Conflicts with connman.
      - update network-manager Description since we don't ship with team
        support yet, and dnsmasq-base isn't optional.
    - debian/ifblacklist_migrate.sh: update to better handle interfaces stanza.
    - debian/libnm*-dev.install: ship vala bindings.
    - debian/NetworkManager.conf: enable the ofono plugin and dnsmasq use as a
      local DNS cache.
    - debian/network-manager.dnsmasq: enable bind-interfaces for dnsmasq config.
    - debian/network-manager.install: ship the ofono plugin, Apport hook and
      examples. 
    - debian/network-manager.links: link apport hook to the right directory.
    - debian/network-manager.postinst: Don't need to migrate from sysvinit,
      just keep removing the sysvinit script symlinks.
    - debian/network-manager.postinst: Don't add the netdev group.
    - debian/network-manager.postinst: Notify the user a reboot may be
      required after upgrade.
    - Remaining patches:
      - whoopsie-daisy-dbus-support.patch
      - 0001-dns-use-DBus-to-make-dnsmasq-nameserver-changes.patch
      - nm-change-dnsmasq-parameters.diff
      - dnsmasq-vpn-dns-filtering.patch
      - lp936712_dnsmasq_ip6_ns_ordering.patch
      - adhoc_use_wpa_rsn_part1.patch
      - adhoc_use_wpa_rsn_part2.patch
      - default_powersave_on.patch
      - ignore_rmnet_devices.patch
      - lp1099983_ignore-p2p-wifi-devices.patch
      - wwan-add-ofono-modem-support.patch
      - lp1461593-add-nm-settings-connection-reset-retries-methods.patch
      - add_ofono_settings_support.patch
      - lp1445080-modify-device-modem-avail.patch
      - ignore_rfkill_if_urfkill_is_present.patch
      - conditional_libteam_tests.patch
      - disable_general_with_expect_test.patch
    - debian/rules:
      - configure: disable libteam.
      - configure: enable building vala bindings.
      - configure: enable running tests during the build.
      - don't install sysvinit scripts.
      - copy over dnsmasq configuration files.
      - don't restart NetworkManager on upgrade.
      - add --with-udev-dir to ensure rules end up
        in the right place.
    - debian/source_network-manager.py: ship an Apport hook.
    - debian/tests: Ship autopkgtests for automated functional testing.
  * Refreshed all patches.
  * Renamed 0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch
    to wwan-add-ofono-modem-support.patch as this patch needed to be
    extensively re-worked due to dbus-glib being deprecated in NM1.2.
  * Remove upstreamed patches:
    - tests-fix-bashism-in-run-test-dbus-session.sh.patch
    - wifi-hack-for-wext-devices-reporting-IW_MODE_AUTO-configu.patch
    - lp1496434_warn_on_invalid_new_link.patch: alternate fix landed
      upstream which ensures that a valid error instance is returned
      by the factory_create_link method.
  * Update all symbols files.
  * Rename ignore_rmnet_devices.path to ignore_rild_modem_devices.patch
  * Restore wifi-Signal-on-the-wifi-device-when-its-supplicant-i.patch
  * debian/tests/nm: output format for NM messages changed a bit to include
    a timestamp and message source; adjust our "watchdog" for a new added
    device message to take this into account.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 08 Apr 2016 16:01:54 -0400

network-manager (1.0.4-0ubuntu10) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:41:28 +0000

network-manager (1.0.4-0ubuntu9) xenial; urgency=medium

  * debian/patches/git_fix_broken_ssid_01.patch,
    debian/patches/git_fix_broken_ssid_02.patch:
    - Fix broken ssid making network-manager segfault on some network
      (LP: #1540153)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Feb 2016 18:17:45 +0000

network-manager (1.0.4-0ubuntu8) xenial; urgency=medium

  * Fix NetworkManager-wait-online.service so it is enabled so NFS
    and other remote FS work with name resolution. (LP: #1515446)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 28 Jan 2016 10:45:31 +0100

network-manager (1.0.4-0ubuntu7) xenial; urgency=medium

  * debian/patches/lp1499827_device_avoid_undefined_mtu_c44069c1.patch
    Cherry-pick commit c44069c1 from upstream: avoid changing the MTU if it's
    undefined in NM code. (LP: #1499827)
  * debian/patches/lp1499827_dont_change_unset_mtu_a92d8b0c.patch:
    Cherry pick upstream commit a92d8b0c: don't change the MTU if we have a
    value of 0 for it; it means "default", not "0 size packets". (LP: #1499827)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Nov 2015 16:13:37 -0500

network-manager (1.0.4-0ubuntu6) xenial; urgency=medium

  * debian/patches/git_fix_race_external_down_e29ab543.patch: fix race in
    wrongly managing devices due to receiving udev signals late. (LP: #1512749)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Nov 2015 14:39:12 -0600

network-manager (1.0.4-0ubuntu5) wily; urgency=medium

  * debian/patches/git_set_vpn_mtu_9736327b.patch: set the MTU for the VPN
    interface. (LP: #1498474) 
  * debian/patches/lp1446689_git_use_kernel_pppoe_6fdfb031.patch: use the
    kernel-provided pppoe interfaces rather than requiring the use of rp-pppoe
    to use PPPoE; we switched to rp-pppoe some time ago to workaround a bug in
    detecting disconnects which has seen been fixed and could be worked around
    fairly simply with the right configuration. (LP: #1446689)
  * debian/rules: don't pass --with-pppoe to configure; the option is removed
    by the above patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Oct 2015 12:33:53 -0400

network-manager (1.0.4-0ubuntu4) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    Pre-initialize reason for ofono state changes to NULL; this avoids getting
    to nm_device_set_state with an invalid reason string. (LP: #1499906)
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    cleanup ip_string_to_network_address() to work as its NMModemBroadband
    version, and start setting NM_MODEM_IP4_METHOD to _STATIC so IP, prefix,
    gateway and DNS get properly applied on an oFono modem as it comes up.
  * debian/NetworkManager.conf: re-enable the ofono plugin (fixes a regression).
  * debian/patches/add_ofono_settings_support.patch: don't link against
    libnm-glib as this would cause type duplication and crashes. (LP: #1499904)
  * debian/patches/lp1496434_warn_on_invalid_new_link.patch: don't outright
    crash by dereferencing a NULL pointer if a device can't get created by its
    NMDeviceFactory; we should warn though, as we want to know about these
    failures; but no need to make all of NM sad. (LP: #1496434)

  [ Tony Espy ]
  * d/p/0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch:
    Fix duplicate 'LastSeen' PropertiesChanged signals being generated
    after every scan. The 'Last-Seen' property is now only updated when
    a scan finishes, and schedule_scanlist_cull is no longer triggered
    new_bss_cb or updated_bss_cb. (LP: #1480877)
  * d/p/add_ofono_settings_support.patch: Fix memory leaks in plugin.
  * d/p/add_ofono_settings_support.patch: Remove unused plugin DBus code.
  * d/p/CVE-2015-1322.patch: Drop CVE which applied to removed DBus code
    in ofono settings plugin.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sat, 26 Sep 2015 00:02:02 -0400

network-manager (1.0.4-0ubuntu3) wily; urgency=medium

  * New upstream NM release post-feature-freeze. (LP: #1493934)
    (previous revisions never transitioned from proposed)

  [ Martin Pitt ]
  * debian/tests/nm: Revert the previous disabling of tests, they are all
    conceptually still valid.
  * debian/tests/nm: Reduce timeouts to something reasonable; waiting 3
    minutes for detecing an AP should not count as "success", and it takes too
    long for tests to fail.
  * debian/tests/nm: Fix ColdplugWifi.test_no_ap: with 1.0 the state is now
    "UNAVAILABLE" instead of "DISCONNECTED"; so check for either.

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/git_config_parse_cmdline_args_8a22a981.patch: don't shadow
    the config_cli parameter for early config with a local copy. (LP: #1492168)
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch: fix
    signal handling for oFono using GDBus; it's a little simpler now, watching
    for signals in general and matching only ModemAdded/ModemRemoved. Inspired
    from urfkill code. (LP: #1492126)
  * debian/patches/git_fix_duplicate_unittest_names_7b70a840.patch: replace
    duplicate unit test names, which is a new restriction set by GLib.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 10 Sep 2015 14:53:16 -0400

network-manager (1.0.4-0ubuntu2) wily; urgency=medium

  * debian/patches/only-ignore-host-side-veth.patch: remove unused patch; NM
    doesn't automatically try to manage any side of veth devices anymore.
  * debian/patches/disable_general_with_expect_test.patch: disable
    test_general_with_expect; which is flaky on ppc64el and arm64.
  * debian/tests/nm:
    - Enable mucho logging when running tests, this helps a lot debugging when
      the tests fail.
    - Skip wifi tests for now; they appear to be broken, possibly due to
      changes in wpa 2.4's interaction with mac80211_hwsim.
    - test_manual_ip4 is an expectedFailure. It's not manual at all; and the
      DHCP requests fail to complete.
    - auto_detect_eth is an expectedFailure, both ends of the veth interfaces
      are now unmanaged which causes the tests to fail. These tests will need
      to be rewritten/adapted to the way the world really works.
    - Allow for more than one activeConnection available; this is slightly
      more solid when running tests locally in case other connections come up
      automatically along with the tested ones (bridges, etc.)
    - Check for expected connection UUID in the list of active connections
      UUIDs rather than verifying that the two match exactly.
  * debian/patches/series: clean up; remove some old commented-out patches.
  * debian/patches: removed a bunch of old patch cruft.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 28 Aug 2015 15:28:24 -0400

network-manager (1.0.4-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Patches removed because applied upstream:
    - 0006-tui-fix-Wi-Fi-section-of-nmtui-connect-list-in-non-U.patch
    - 0007-core-fix-checks-for-default-routes-by-comparing-the-.patch
    - 0009-Support-building-against-libsystemd-library.patch
    - 0010-tui-fix-requesting-and-displaying-secrets.patch
    - 0011-tui-fix-updating-of-NmtPasswordFields-passwords-bgo-.patch
    - 0012-fix-arping-path.patch
    - 0013-fix-dhclient-abnormal-exit-due-to-SIGPIPE.patch
    - 0014-log-DHCLIENT-exit-status-better.patch
    - fix_default_routes.patch
    - git_assert_test-remote-settings-client_746a13bd.patch
    - git_fix_crash_test-remote-settings-client_98e7145f.patch
    - git_fix_nmcli_multiple_wifi.patch
    - git_ignore_cache_routes_faa7d8ab.patch
    - git_primary_connection_type_aab7fbfc.patch
  * Refreshed all patches.
  * debian/patches/conditional_libteam_tests.patch: make team device tests as
    conditional to libteam being available as the support for the devices.
  * Resynchronise with Debian; remaining changes:
    - debian/control: Updated Vcs tags; enabled autopkgtests.
    - debian/control: Build-Depends on libgnutls-dev and libgcrypt20-dev.
    - debian/control: reshuffle Depends for network-manager due to main
      inclusion requirements, and add Breaks for old versions of plugins.
    - debian/control: network-manager Conflicts with connman.
    - debian/control: update network-manager Description since we don't ship
      with team support yet, and dnsmasq-base isn't optional.
    - debian/ifblacklist_migrate.sh: update to better handle interfaces stanza.
    - debian/libnm*-dev.install: ship vala bindings.
    - debian/NetworkManager.conf: enable the ofono plugin and dnsmasq use as a
      local DNS cache.
    - debian/network-manager.dirs: add /etc/NetworkManager/dnsmasq.d.
    - debian/network-manager.install: add files for the ofono plugin.
    - debian/network-manager.install: add Apport hook.
    - debian/network-manager.links: link....
    - debian/network-manager.postinst: Don't need to migrate from sysvinit,
      just keep removing the sysvinit script symlinks.
    - debian/network-manager.postinst: Don't add the netdev group.
    - debian/network-manager.postinst: Notify the user a reboot may be
      required after upgrade.
    - debian/network-manager.upstart: ship an upstart job for NM.
    - debian/rules: configure: disable libteam.
    - debian/rules: configure: enable building vala bindings.
    - debian/rules: configure: enable running tests during the build.
    - debian/rules: don't install sysvinit scripts.
    - debian/rules: copy over dnsmasq configuration files.
    - debian/rules: don't restart NetworkManager on upgrade.
    - debian/rules: run NM's unit tests in dh_auto_test via dbus-test-runner.
    - debian/source_network-manager.py: ship an Apport hook.
    - debian/tests: Ship autopkgtests for automated functional testing.
  * debian/NetworkManager.conf: temporarily disable the ofono plugin, it needs
    more porting (and possibly some g_type_ensure hack).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Aug 2015 16:18:32 +0200

network-manager (0.9.10.0-4ubuntu23) wily; urgency=medium

  [ Tony Espy ]
  * d/p/lp1444162-add-ip6-config-to-nm-ofono-connections.patch: disable
    IPv6 for ofono connections (LP: #1444162).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 12 Aug 2015 15:45:38 -0400

network-manager (0.9.10.0-4ubuntu22) wily; urgency=medium

  [ Tony Espy ]
  * d/p/lp1425172-fix-wifi-scanlist-cull.patch:  fix cull_scan_list
    so that APs are removed when wpa_supplicant indicates that they've
    been removed vs. waiting 6m to do so ( LP: #1425172 ).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Aug 2015 13:34:51 -0400

network-manager (0.9.10.0-4ubuntu21) wily; urgency=medium

  * debian/control:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Aug 2015 11:39:10 +1200

network-manager (0.9.10.0-4ubuntu20) wily; urgency=medium

  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Aug 2015 13:04:35 +1200

network-manager (0.9.10.0-4ubuntu19) wily; urgency=medium

  [ Tony Espy ]
  * debian/patches/add_ofono_settings_support.patch: remove code
    that added APN, USERNAME and PASSWORD to NM_SETTING_GSM object.
    NM doesn't actually need access to these settings, and USERNAME/
    PASSWORD can cause issues with NM's secrets needed logic.
  * debian/patches/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch,
    debian/patches/lp1461593-add-nm-settings-connection-reset-retries-methods.patch,
    debian/patches/add_ofono_settings_support.patch,
    debian/patches/lp1461593-add-modem-reconnect-delay-to-policy.patch: More changes
    to NMModemOfono's modem_state handling.  Added get/set_reset_retries_timeout
    methods to NMSettingsConnection, and use the set method to lower the timeout for
    ofono connections to 30s.  Finally added a 5s delay to NM_POLICY's activation
    logic triggered when a modem device is disconnected.  This allows modem time to
    settle and NM to process the resulting DBus state changes. (LP: #1461593)
  * debian/patches/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch,
    debian/patches/lp1445080-modify-device-modem-avail.patch,
    debian/patches/lp1445080-nm-modem-check-for-set-mm-enabled-func.patch,
    debian/patches/lp1461593-add-modem-reconnect-delay-to-policy.patch: These
    changes collectively fix flight-mode on arale ( and other devices ), due to
    some fundemental race conditions in the ofono logic. (LP: #1445080, #1440917)
  * debian/patches/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch,
    debian/patches/add_ofono_settings_support.patch: Add support for the ofono
    gprs-context 'Preferred' property. (LP: #1361864)

  [ Mathieu Trudel-Lapierre ]
  * d/p/0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch:
    Re-add schedule_scan() call after we get the ScanDone signal from the
    supplicant. Otherwise we'd do one scan on startup and never scan again.
    (LP: #1445134)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 12:17:28 -0400

network-manager (0.9.10.0-4ubuntu18) wily; urgency=medium

  * debian/tests/nm, debian/tests/wpa-dhclient: 802.11a appears to no longer
    have any supported channels for AP mode: mark all four 802.11a tests as
    expectedFailures while I dig into hostapd/mac80211_hwsim to get them to
    work again. Expected failure means we'll be notified as soon as they start
    to succeed again.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Jul 2015 18:11:58 -0400

network-manager (0.9.10.0-4ubuntu17) wily; urgency=medium

  * debian/patches/git_route_fixes_part1_207ab013.patch,
    debian/patches/git_route_fixes_part2_529591d8.patch,
    debian/patches/git_avoid_conflict_reinstall_dev_route_e439478c.patch:
    really fix routing: both the default gateways and the network routes get
    to be installed with a device-type-based priority so that we can get
    multiple routes installed without conficting. (LP: #1436330)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 30 Jun 2015 15:00:26 -0400

network-manager (0.9.10.0-4ubuntu16) wily; urgency=medium

  * debian/patches/fix_default_routes.patch: rework routing priorities and how
    default routes are added for devices and VPNs so that we can successfully
    run multiple devices on the same subnet without packet loss. (LP: #1436330)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 May 2015 17:23:28 -0400

network-manager (0.9.10.0-4ubuntu15.1) vivid-security; urgency=medium

  * SECURITY UPDATE: directory traversal issue resulting in connection
    modification and possible arbitrary file disclosure (LP: #1449245)
    - debian/patches/CVE-2015-1322.patch: strip slashes from filename
      in src/settings/plugins/ofono/plugin.c.
    - CVE-2015-1322

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Apr 2015 07:06:00 -0400

network-manager (0.9.10.0-4ubuntu15) vivid; urgency=medium

  * debian/patches/dont_mangle_bridges.patch: reinstate code to avoid mangling
    bridges we didn't explicitly create, so that lxc, libvirt and others
    don't get their bridges broken when NM restarts, etc. (LP: #1444205)
  * d/p/0002-wifi-expose-the-last_seen-property-for-a-NMAccessPoi.patch:
    compare apples to apples when trying to decide whether an AP is old enough
    to be removed from the scan list (use boottime everywhere, rather than
    trying to compare monotonic to boottime).
  * d/p/0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch:
    refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 15 Apr 2015 16:06:56 -0500

network-manager (0.9.10.0-4ubuntu14) vivid; urgency=medium

  [ Tony Espy ]
  * Fix ofono mobile-data 5m reconnect bug (LP: #1418077)
  * Cleanup of the NM ofono code, getting rid of unused and/or
    code that was commented out.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 13 Apr 2015 01:35:11 -0300

network-manager (0.9.10.0-4ubuntu13) vivid; urgency=medium

  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    Check that a connection matches the current modem IMSI when deciding
    whether it should be deemed "compatible" to use to connect to a data
    network. (LP: #1431471)
  * d/p/0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch:
    Update the last seen timestamp in cull_scan_list() using the new
    nm_ap_update_last_seen() function rather than setting it to time(NULL),
    otherwise the timestamp will appear too far in the future and break the
    removals on last_seen value comparison. (LP: #1427205)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 31 Mar 2015 23:00:31 -0400

network-manager (0.9.10.0-4ubuntu12) vivid; urgency=medium

  * Don't make NetworkManager D-Bus activatable. If the daemon has been
    stopped manually, we don't want it to be autostarted by client requests.
    Patch taken from Debian git, thanks Michael Biebl! (Closes: #760998)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 31 Mar 2015 10:13:22 +0200

network-manager (0.9.10.0-4ubuntu11) vivid; urgency=medium

  * Disable 0001-Debian-specific-tweaks-for-NetworkManager-systemd-se.patch.
    We actually do want NetworkManager stop after network.target. Fixes long
    shutdown hangs with remote mounts, and other network services which need
    connectivity on shutdown. (LP: #1431774)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 14 Mar 2015 07:42:18 +0100

network-manager (0.9.10.0-4ubuntu10) vivid; urgency=medium

  * Add fix-NetworkManager-wait-online.service.patch: Fix dependencies of
    NetworkManager-wait-online.service to avoid dependency loops and delays,
    and install it into the correct target. (Pre-requisite for LP #1430280)
  * debian/rules: Enable NetworkManager-wait-online.service. This will make
    network-online.target wait for connectivity, to fix NFS mounts and other
    units which depend on it. (LP: #1430280)
  * debian/network-manager.postinst: Flush deb-systemd-helper status of
    NM-wait-online to get it enabled on upgrades to this version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Mar 2015 11:02:13 +0100

network-manager (0.9.10.0-4ubuntu9) vivid; urgency=medium

  * urfkill-integration, killswitches-no-urfkill autopkgtests: Use init system
    agnostic "service" instead of the upstart specific start/stop commands.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 05 Mar 2015 08:07:42 +0100

network-manager (0.9.10.0-4ubuntu8) vivid; urgency=medium

  * 0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    - Make sure to initialize the NMPlatformIP4Address struct to avoid
      setting garbage as the device label

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 01 Mar 2015 01:15:32 -0300

network-manager (0.9.10.0-4ubuntu7) vivid; urgency=medium

  [ Tony Espy ]
  * touch: include the MTK specific modems in the ignore list
    (LP: #1426122)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 27 Feb 2015 18:50:35 -0300

network-manager (0.9.10.0-4ubuntu6) vivid; urgency=medium

  * Fix nmcli crash with multiple wifi cards. Spotted by python-dbusmock
    tests. Cherry-picked from upstream git.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Feb 2015 08:19:48 +0100

network-manager (0.9.10.0-4ubuntu5) vivid; urgency=medium

  * d/patches/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    don't fail when the ofono modem paths fail to not include a slash. We can
    log this, and following use of these paths will still fail, but that's fine
    since it's just more error messages in the logs for things that aren't
    supposed to work anyway since the oFono modem paths are just virtual.
    (LP: #1416635)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Feb 2015 15:25:07 -0500

network-manager (0.9.10.0-4ubuntu4) vivid; urgency=medium

  * debian/tests/nm: bring up the timeout for "startup complete" again, this
    time to 60 seconds. Somehow amd64 is still regularly failing to see this
    message in a reasonable amount of time.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 30 Jan 2015 14:59:26 -0500

network-manager (0.9.10.0-4ubuntu3) vivid; urgency=medium

  * debian/patches/lp1099983_ignore-p2p-wifi-devices.patch: just like rmnet_usb
    devices; rather than unmanaging the p2p0 wifi device as created on some
    systems by Android; don't create the device at all, since it confuses
    indicator-network too much.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 30 Jan 2015 12:39:04 -0500

network-manager (0.9.10.0-4ubuntu2) vivid; urgency=medium

  * debian/patches/ignore_rmnet_devices.patch: ignore rmnet_usb devices by not
    creating a NMDevice for them at all, since otherwise they get considered
    on routing updates and steal the default gateway from other devices.
  * debian/tests/urfkill-integration: also update for the nmcli API change:
    nmcli nm is now replaced with "nmcli radio" for device killswitch states.
  * debian/tests/nm: bump timeout for "startup complete" message on NM startup
    from 15 to 30 seconds to account for slowness in testing on KVMs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 23 Jan 2015 16:38:14 -0500

network-manager (0.9.10.0-4ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      - Add valac to Build-Depends (for Vala bindings).
      - Add dbus-test-runner, isc-dhcp-client, python-dbus and python-gi to
        Build-Depends (for tests).
      - Enable autopkgtests.
      - Add alternative Recommends for UI to network-manager:
        network-manager-gnome | plasma-widget-networkmanagement | plasma-nm.
      - Recommend a modem manager: modemmanager or ofono.
      - Add python to Suggests
      - network-manager Breaks connman.
      - Don't have network-manager Depend on adduser.
    - debian/tests: added autopkg tests.
    - debian/ifblacklist_migrate.sh: update to better handle interfaces stanza.
    - debian/libnm-glib-dev.install: install vapi bindings.
    - debian/libnm-util-dev.install: install vapi bindings.
    - debian/network-manager.install:
      - install ofono plugin and dbus config.
      - install apport hook.
    - debian/NetworkManager.conf:
      - Use the dnsmasq dns plugin by default.
      - Enable the ofono plugin by default.
    - debian/network-manager.dirs: add /etc/NetworkManager/dnsmasq.d for custom
      dnsmasq configuration snippets.
    - debian/network-manager.links: create a symlink to the apport hook to be
      reused by nm-applet.
    - debian/network-manager.postinst:
      - Don't need to migrate from sysvinit, just keep removing the sysvinit
        script symlinks.
      - Don't add the netdev group.
    - debian/network-manager.prerm: stop network-manager before removing it.
    - debian/rules:
      - Enable vala, bluez4 support and tests.
      - Explicitly remove the SysV init script from the network-manager package
      - Update translations.
      - Install the tests.
      - Install a dnsmasq configuration to avoid an unconfigured system-wide
        instance to conflict with the local caching from NetworkManager's
        instance of dnsmasq.
      - Run dh_installinit with --no-scripts.
      - Run tests within dbus-test-runner, so that they can successfully run
        in a DBus bus while on minimal build environments.
    - debian/patches:
      - git_ignore_cache_routes_faa7d8ab.patch: don't count RTM_F_CLONED
        routes, they cause NM to spam DBus with useless IPv6 updates.
      - whoopsie-daisy-dbus-support.patch: allow whoopsie access to our bus
        so it can know whether we're online, and whether to send error data.
      - add_sendsigs_omissions.patch: move pidfiles to /run/sendsigs.omit.d
        to avoid upstart killing NM's children too early.
      - quit_dhclient_on_exit.patch: deconfigure network devices when they
        are removed (e.g. on shutdown), so that there is no dhclient process
        left once NetworkManager stops.
      - nm-change-dnsmasq-parameters.diff: Ubuntu-specific option choices for
        the local dnsmasq cache.
      - lp936712_dnsmasq_ip6_ns_ordering.patch: Order IPv6 nameservers before
        IPv4 for dns plugins.
      - dnsmasq-vpn-dns-filtering.patch: take into consideration whether the
        VPN is set for split-tunneling when adding VPN DNS servers.
      - lp990011_use_tempaddr_sysctl_default.patch: take into account the
        Ubuntu-specific path to an extra sysctl config snippet for IPv6
        Privacy extension we ship when reading whether privacy extensions
        should be enabled.
      - adhoc_use_wpa_rsn_part1.patch, adhoc_use_wpa_rsn_part2.patch: re-enable
        Ad-Hoc mode for WPA2; with WPA2 the security settings do tend to work,
        so we can allow users to create such connections.
      - ignore_rmnet_devices.patch: ignore rmnet_usb* devices, they are used by
        RIL/ofono and NM shouldn't try to manage them directly.
      - lp1099983_ignore-p2p-wifi-devices.patch: ignore wireless P2P devices
        shown as p2pN interfaces; we can't support them just now and they cause
        confusion on the system.
      - prioritize_3g_later.patch: re-prioritize 3G and other modem-type
        connections to be less preferred than WiFi and other WiFi-similar
        connections -- they cost money, so the user is more likely to want to
        only use them if nothing else is available, especially on a phone.
      - add_ofono_settings_support.patch: add support for reading oFono's
        configuration files as a basis for connections / APN settings to be
        used by NM.
      - add_ofono_support.patch: add support for using oFono as a modem manager
        in place or alongside ModemManager to connect to mobile data networks.
      - ignore_rfkill_if_urfkill_is_present.patch: support using urfkill as a
        handler for killswitch events rather than relying only on the rfkill
        subsystem.
  * debian/patches/git_assert_test-remote-settings-client_746a13bd.patch,
    debian/patches/git_fix_crash_test-remote-settings-client_98e7145f.patch:
    fix issues in test-remote-settings-client which make the test fail every
    once in a while.
  * debian/control: bump the network-manager Depends for isc-dhcp-client to
    (>= 4.3.1-5ubuntu1), which is the first version with the updated apparmor
    profile that allows our new dhcp helper binary to work.
  * Merged and renamed the dnsmasq DBus updates patches:
    debian/patches/dnsmasq-dbus-updates.patch,
    debian/patches/dns-dnsmasq-interface-and-dbus-path.patch:
    - 0001-dns-use-DBus-to-make-dnsmasq-nameserver-changes.patch: use DBus to
      push updates to dnsmasq rather than restarting it with a modified
      configuration file.
  * Merged and renamed wifi ScanDone patches:
    debian/patches/scan_done_signal.patch,
    debian/patches/remove-extra-scan_done-on-scan-start.patch,
    debian/patches/cull_aps_on_scan_done_signal.patch:
    - 0001-wifi-Signal-on-the-wifi-device-when-its-supplicant-i.patch: send
      a ScanDone signal out on DBus to let applications know a requested scan
      operation has completed.
    - 0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch: cull
      the scan results just before sending the ScanDone signal, so the scan
      results are as up-to-date as possible.
  * debian/patches/monotonic_timestamp_as_boottime.patch: provide a way to
    convert the NM generated monotonic timestamp to a CLOCK_BOOTTIME value, as
    suggested in upstream review of the last_seen patches.
  * Merged and renamed the wifi last_seen timestamp patches:
    debian/patches/ap_publish_last_seen.patch,
    debian/patches/scan_update_last_seen.patch:
    - 0002-wifi-expose-the-last_seen-property-for-a-NMAccessPoi.patch:
      publish last-seen timestamp for wireless accesspoints on DBus.
  * Merged and renamed ofono patches:
    debian/patches/provisioning_wait_ofono_properties.patch,
    debian/patches/track_ip_settings_post_connection.patch,
    debian/patches/dont-check-secrets-for-ofono.patch,
    debian/patches/ofono_mms_support.patch:
    - 0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch: add
      support for using oFono as a modem manager alongside ModemManager.
  * debian/patches/powersave.patch: replace powersave patch with version from
    upstream branch dcbw/wifi-powersave; based off our inital patch (but with
    lots of improvements). Powersave is now a setting which can be disabled
    per-connection if required:
    - 0001-libnm-libnm-util-add-Wi-Fi-powersave-property.patch
    - 0002-fixup-libnm-libnm-util-add-Wi-Fi-powersave-property.patch
    - 0003-cli-add-support-for-wifi.powersave-setting.patch
    - 0004-wifi-set-wireless-power-save-for-nl80211-devices-whe.patch
    - 0005-fixup-wifi-set-wireless-power-save-for-nl80211-devic.patch
  * debian/patches/git_primary_connection_type_aab7fbfc.patch: add a primary
    connection type property for use by applications to know whether they are
    on mobile data, wifi, or otherwise. Patch by Ryan Lortie; replaces the
    previous patch primary_connection_type.patch with the committed version.
  * debian/patches/default_powersave_on.patch: set wireless dynamic power save
    to enabled by default. It defaults to disabled upstream. Since this is a
    per-connection setting, you can disable powersave for your connections by
    editing the configuration file under /etc/NetworkManager/system-connections
    and adding "powersave=0" under the [802-11-wireless] section.
  * debian/patches/demarshal_int64_properties.patch: properly demarshall
    64-bit integer types in NMObject.
  * debian/patches/only-ignore-host-side-veth.patch: let client-side veth type
    ethernet devices be managed by NetworkManager.
  * debian/control, debian/rules: disable libteam for now, since it's not yet
    suitable for inclusion in main.
  * debian/control: also from libteam-utils from being mentioned in Suggests
    and network-manager binary package description.
  * debian/tests/network_test_base.py, debian/tests/killswitches-no-urfkill,
    debian/tests/nm: update tests for changes in NM behavior and CLI API.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Jan 2015 15:21:30 -0500

network-manager (0.9.10.0-4) unstable; urgency=medium

  * Team upload.
  * Fix arping path and add iputils-arping to the Recommends (Closes:#755039)
  * Add d/p/0013-fix-dhclient-abnormal-exit-due-to-SIGPIPE.patch,
    d/p/0014-log-DHCLIENT-exit-status-better.patch: Prevent dhclient to crash
    when journald is restarted (Closes: #756144)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Dec 2014 16:51:45 +0100

network-manager (0.9.10.0-3) unstable; urgency=medium

  [ Arto Jantunen ]
  * Use the correct path when calling dnssec-trigger-script. (Closes: #763023)

  [ Michael Biebl ]
  * Acknowledge NMU, thanks Micah Anderson.
  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.
  * Build against libsystemd-dev.
  * Cherry-pick upstream commits to make nmtui-edit properly save and display
    passwords. (Closes: #754382)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 06:12:19 +0200

network-manager (0.9.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit to fix checks for default routes (Closes:
    #761114)

 -- Micah Anderson <micah@debian.org>  Wed, 17 Sep 2014 10:06:10 -0400

network-manager (0.9.10.0-2) unstable; urgency=medium

  * Use default compression for binary packages.
  * Enable Network Team driver support. This is an optional feature which
    requires the teamd daemon provided by libteam-utils.
  * Cherry-pick upstream commit to fix Wi-Fi section of "nmtui connect" list
    in non-UTF-8 locales. (Closes: #760186)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 19:40:17 +0200

network-manager (0.9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Exclude libtool .la files from list-missing.
  * Update symbols files.
  * Update Build-Depends as per configure.ac.
  * Build and install nmtui, a curses-based interface for easier console
    operation.
  * Install new device plugins.
  * Stop installing the nm-tool binary which was dropped upstream as it has
    been replaced by the much more powerful nmcli tool.
  * Stop installing the nm-dhcp-client.conf D-Bus policy. NetworkManager uses
    a private D-Bus socket now to communicate with that helper, making that
    file obsolete.
  * Remove the obsolete /etc/dbus-1/system.d/nm-dhcp-client.conf conffile on
    upgrades.
  * Specify the path to the pppd and pppoe binary via the corresponding
    configure switch.
  * Update patches.
    - Drop "Add D-Bus policy for group netdev" patch. Usage of D-Bus
      "at_console" permissions has been removed upstream and access for
      unprivleged users is now handled entirely with PolicyKit.
    - Add patch to use symbolic links instead of hard links for
      /usr/bin/nmtui-*.
    - Add patch to treat virtual ethernet devices as unmanaged to avoid
      interfering with VBox and VMware network interfaces.
    - Refresh remaining patches.
  * Create /etc/NetworkManager/conf.d/ directory which can be used to extend
    the NetworkManager configuration without having to modify the
    distro-provided NetworkManager.conf.
  * Ship an example server.conf configuration file which can be dropped into
    /etc/NetworkManager/conf.d/ to change NetworkManager's behaviour to be
    more like what's expected on "traditional UNIX server" type deployments.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 06:44:53 +0200

network-manager (0.9.8.10-4) unstable; urgency=medium

  * Build against libgnutls28-dev. (Closes: #753136)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Jun 2014 01:49:26 +0200

network-manager (0.9.8.10-3) unstable; urgency=medium

  * Add explicit Build-Depends on libgcrypt11-dev and don't rely on
    libgnutls-dev to pull in that dependency for us. Newer versions of GnuTLS
    no longer use gcrypt but nettle as crypto backend. (Closes: #745955)

 -- Michael Biebl <biebl@debian.org>  Mon, 19 May 2014 17:07:17 +0200

network-manager (0.9.8.10-2) unstable; urgency=medium

  * Don't hookup NetworkManager-wait-online.service in network-online.target
    because it creates a dependency cycle with our current support for legacy
    SysV init scripts.
  * Specify the path for the dnsmasq binary at configure time.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 May 2014 13:43:33 +0200

network-manager (0.9.8.10-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/*: Refresh if necessary

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 21:05:11 +0200

network-manager (0.9.8.8-7) unstable; urgency=medium

  * Build against ppp 2.4.6. Update plugin path and dependencies accordingly.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Apr 2014 10:21:08 +0200

network-manager (0.9.8.8-6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Rework the fix for #734460, kill NetworkManager in the postinst script
    instead of the preinst one to minimize downtime on big upgrades

  [ Michael Biebl ]
  * Don't setup Sleep Monitor if system was not booted with systemd. With a
    standalone logind we don't receive the Resume signal after a suspend
    request and NetworkManager remains in sleep mode where the devices are
    unmanaged. (Closes: #742933)
  * Use dh-autoreconf to update the build system. Override dh_autoreconf since
    we need to run gtkdocize.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2014 12:48:33 +0200

network-manager (0.9.8.8-5) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Convert to multi-arch. Mark libnm-glib4, libnm-glib-vpn1 and libnm-util2
    as M-A: same. As pppd has not been converted yet, keep installing the ppp
    plugin to /usr/lib/pppd/2.4.5/.
  * Rely on dh v9 to set flags from dpkg-buildflags.
  * Use autotools_dev dh addon for up-to-date config.{guess,sub}.
  * Add Depends on libpam-systemd since NetworkManager requires a properly
    setup logind session. (Closes: #743128)
  * Bump policykit-1 from Recommends to Depends.
  * Move the initial ifstate file check into nm_manager_start () to make sure
    the NMManager object has been fully initialized. (Closes: #730437)

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Apr 2014 22:58:16 +0200

network-manager (0.9.8.8-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Update the Homepage URL

  [ Michael Biebl ]
  * Upload to unstable.
  * Fix URL to keyfile spec in README.Debian.
  * Remove /etc/systemd/system/network-manager.service symlink, which was
    previously created dynamically via Alias=, on upgrades.
  * Install PolicyKit rules and pkla file into the system directory.
    /etc/polkit-1 is reserved for local configuration.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Mar 2014 17:12:10 +0100

network-manager (0.9.8.8-3) experimental; urgency=medium

  * Team upload.
  * debian/network-manager.preinst: Stop network-manager before upgrading if
    we are running systemd and the unit is not enabled (Closes: #734460)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Jan 2014 01:35:30 +0100

network-manager (0.9.8.8-2) experimental; urgency=medium

  * Team upload.
  * debian/network-manager.install: Also install the
    NetworkManager-dispatcher.service service file
  * debian/patches/03-systemd.patch, debian/network-manager.links: Install a
    symlink instead of using an Alias= to mask the initscript (Closes: #719703)
  * debian/control, debian/rules: Add call to dh-systemd to enable and start
    the systemd services
  * debian/network-manager.links: Create a symlink so
    NetworkManager-wait-online.service is run before network-online.target
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/network-manager.links, debian/rules: Create the symlinks before
    calling dh_systemd_start so the services are not restarted twice

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Dec 2013 15:46:33 +0100

network-manager (0.9.8.8-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/60-network-manager.rules
    debian/network-manager.install:
    - Install a rules file compatible with experimentals policykit (0.110)
      implementing the same policy as the pkla
  * Switch session tracking to systemd.
  * New upstream release
  * Dropped patches fixed upstream:
    + d/p/06-tear-down-connections-for-unavailable-devices.patch
    + d/p/07-duid-fallback.patch
    + d/p/08-ifupdown-clarify-name-of-connections-hash.patch
    + d/p/09-ifupdown-fix-naming-confusion-in-plugin-hash-tables.patch
    + d/p/10-ifupdown-recalculate-unmanaged-specs-on-interface-ch.patch
  * debian/patches/03-systemd.patch: Refreshed
  * debian/patches/05-force-online-with-unmanaged-devices.patch: Refreshes

  [ Laurent Bigonville ]
  * debian/control: Use canonical URL for the VCS fields
  * debian/control, debian/rules: Enable connectivity checking support
    (Closes: #691790)
  * debian/libnm-glib4.symbols: Add the new symbols exported for connectivity
    checking support

  [ Sjoerd Simons ]
  * Enable usage of the new modem-manager interface
  * Use bluez 4

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 22:11:43 +0100

network-manager (0.9.8.8-0ubuntu34) vivid; urgency=medium

  * debian/tests/wpa-dhclient: unbreak the tests for isc-dhcp 4.3.5: redirect
    stderr to stdout when calling dhclient -x.
  * debian/tests/control: allow messages to stderr in wpa-dhclient test.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 12 Nov 2014 12:08:55 -0500

network-manager (0.9.8.8-0ubuntu33) 14.09; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_present.patch: more workarounds
    for special cases where the global NetworkManager state should be updated.
    (LP: #1386109)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 03 Nov 2014 13:30:05 -0500

network-manager (0.9.8.8-0ubuntu32) 14.09; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_present.patch: adjust unmanaged
    devices handling code to only count unmanaged devices as connected when
    urfkill is present if they are not explicitly disabled in urfkill.
    (LP: #1386109)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 03 Nov 2014 12:08:48 -0500

network-manager (0.9.8.8-0ubuntu31) 14.09; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_present.patch: also update global
    state when any WiFi rfkill switch is toggled. (LP: #1386109)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 03 Nov 2014 10:40:44 -0500

network-manager (0.9.8.8-0ubuntu30) 14.09; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_present.patch: force a global
    NetworkManager state update when receiving wlan/wwan state changes from
    urfkill to account for evil drivers that require hybris calls to
    be turned off / drivers removed. (LP: #1386109)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 30 Oct 2014 12:50:30 -0400

network-manager (0.9.8.8-0ubuntu29) 14.09; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/powersave.patch: enable powersave mode when wifi devices
    are activated; disable it when we're disconnected so as not to interfere
    with scanning and getting connected again to some network. (LP: #1384823)
  * debian/libnm-util2.symbols: update symbols file for new method
    nm_connection_get_connection_type introduced for the PrimaryConnectionType
    patch.

  [ Ryan Lortie ]
  * debian/patches/primary_connection_type.patch: export the type of the
    currently active primary connection (the one that currently owns the
    default gateway), for use by applications to figure out when not to do
    heavy requests, for example, while on mobile broadband. (LP: #1384776)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 23 Oct 2014 15:20:12 -0400

network-manager (0.9.8.8-0ubuntu28) utopic; urgency=medium

  * debian/patches/add_ofono_support.patch: Ignore calls to set_mm_enabled;
    we don't need to do any action when that happens. (LP: #1350332)
  * debian/patches/provisioning_wait_ofono_properties.patch: keep Online into
    consideration when setting the CONNECTED state for the modem device, as
    when flight mode is toggled the oFono Interfaces may be re-created and
    could still be Powered and Attached. (LP: #1350332)
  * debian/patches/ignore_rfkill_if_urfkill_present.patch: don't write state
    file on state changes from urfkill, as urfkill will handle persistence
    itself. (LP: #1381406)
  * debian/patches/bridge_ignore_without_connections.patch: Drop patch; this
    is no longer necessary given upstream commit 17338069 which avoids
    touching bridge connections that weren't created by NM. (LP: #1273201)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Oct 2014 14:38:18 -0400

network-manager (0.9.8.8-0ubuntu27) utopic; urgency=medium

  * Cull scan lists immediately after receving "scan done" from wpa
    supplicant.

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 18 Sep 2014 21:37:50 +0200

network-manager (0.9.8.8-0ubuntu26) utopic; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_is_present.patch: fix crash in
    error handling of the wlan/wwan proxy creation code in NMUrfkillManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 12 Sep 2014 12:04:12 -0400

network-manager (0.9.8.8-0ubuntu25) utopic; urgency=medium

  * debian/tests/urfkill-integration: allow some delay between the moment
    urfkill is asked to block/unblock a device and checking that the state
    has changed to the expected value in NetworkManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 10 Sep 2014 14:04:51 -0400

network-manager (0.9.8.8-0ubuntu24) utopic; urgency=medium

  * debian/patches/remove-extra-scan_done-on-scan-start.patch: only notify
    SCAN_DONE when starting the scan if the call failed; otherwise we get a
    success SCAN_DONE both when the supplicant starts and finishes scanning.
    (LP: #1350267)
  * debian/patches/git_libnm_glib_test_crash_remote_settings_98e7145f.patch:
    fix a crash in tests when test_make_invisible fails to disconnect a
    handler, which corrupts the stack.
  * debian/patches/scan_update_last_seen.patch: update last seen timestamps
    for APs after a scan, so that the timestamp is always latest if an AP
    was still in range, not just because its properties changed.
    (LP: #1358159)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 10 Sep 2014 09:31:21 -0400

network-manager (0.9.8.8-0ubuntu23) utopic; urgency=medium

  * debian/patches/ap_publish_last_seen.patch: add another case where last-seen
    changes should be notified to the libnm-glib object. Thanks to Thomas Voss
    for the fix.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Jul 2014 15:45:51 -0400

network-manager (0.9.8.8-0ubuntu22) utopic; urgency=medium

  * debian/patches/add_ofono_support.patch: use the correct types for the
    ContextAdded and ContextRemoved signals so that we can call on the settings
    plugin to read and update available connections from oFono. (LP: #1341682)
  * debian/patches/provisioning_wait_ofono_properties.patch: refreshed.
  * debian/patches/ap_publish_last_seen.patch: last-seen should be an int in
    libnm-glib too.
  * debian/patches/scan_done_signal.patch: fix call to SignalDone in GLib
    bindings.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Jul 2014 21:09:27 -0400

network-manager (0.9.8.8-0ubuntu21) utopic; urgency=medium

  * debian/patches/ap_publish_last_seen.patch: make the last-seen property for
    an AP public, so we know how hold an AP is from introspection.
  * debian/patches/scan_done_signal.patch: signal when a scan for new APs is
    completed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Jul 2014 10:40:30 -0400

network-manager (0.9.8.8-0ubuntu20) utopic; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_is_present.patch: send the right
    signal for WWAN when its urfkill proxy is created rather that corrupting
    the WLAN state. (LP: #1340217)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 10 Jul 2014 11:49:26 -0400

network-manager (0.9.8.8-0ubuntu19) utopic; urgency=medium

  * debian/tests/wpa-dhclient: don't check IPv6 addresses for privacy
    extensions: those might not be enabled in the test environment; it's
    better to keep that to a separate test to be added later.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 09 Jul 2014 16:26:43 -0400

network-manager (0.9.8.8-0ubuntu18) utopic; urgency=medium

  * debian/control: allow for ofono to be installed instead of modemmanager
    to satisfy the modemmanager recommends.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 10 Jun 2014 15:35:05 -0400

network-manager (0.9.8.8-0ubuntu17) utopic; urgency=medium

  * Merge Debian's init script, for compatibility with insserv.
    (LP: #1323274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 May 2014 15:35:25 +0200

network-manager (0.9.8.8-0ubuntu16) utopic; urgency=medium

  * debian/tests/wpa-dhclient: Fix IPv6 address regex harder.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 May 2014 07:15:45 +0200

network-manager (0.9.8.8-0ubuntu15) utopic; urgency=medium

  * debian/tests/wpa-dhclient: fix regex for IPv6 addresses.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 May 2014 23:42:03 -0400

network-manager (0.9.8.8-0ubuntu14) utopic; urgency=medium

  * debian/tests/nm: really fix the regex for IPv6 address lines.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 May 2014 21:08:02 -0400

network-manager (0.9.8.8-0ubuntu13) utopic; urgency=medium

  * debian/tests/nm: fix regex to properly match IPv6 addresses: there can
    now be IFA_F_MANAGETEMPADDR flag set for the address, which translates into
    an extra "mngtmpaddr" entry in ip address output. 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 May 2014 19:15:20 -0400

network-manager (0.9.8.8-0ubuntu12) utopic; urgency=medium

  * debian/tests/urfkill-integration: skip last NM state file check when
    urfkill is running: we already confirm that NM knows wifi is disabled,
    and the state file is not used when working with urfkill.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 May 2014 17:21:44 -0400

network-manager (0.9.8.8-0ubuntu11) utopic; urgency=medium

  * debian/patches/ignore_rfkill_if_urfkill_is_present.patch:
    - do more logging when grabbing urfkill states from cached properties.
    - consider NO_ADAPTER state as unblocked.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 May 2014 15:30:10 -0400

network-manager (0.9.8.8-0ubuntu10) utopic; urgency=medium

  * debian/patches/add_ofono_settings_support.patch:
    - don't create a monitor for /var/lib/ofono if the path doesn't exist.
      We'll get another chance to do it if oFono appears on the DBus bus.
      (LP: #1289532)
    - Sort the list of ofono connections before returning them.
  * debian/patches/add_ofono_support.patch:
    - Don't Online the modem, urfkill or telepathy-ofono will take care of it.
    - Further refine how we pick the "best" for mobile data for oFono: we only
      want to consider GSM-type connections, and should try to pick the last
      connection to get successfully activated, defaulting to the first context
      privisioned by oFono (if no connections were ever established).
  * debian/patches/ofono_mms_support.patch: deal with MMS by setting up a host
    route for the mobile data connection if the MessageProxy property is set in
    oFono. (LP: #1302037)
  * debian/patches/dont-check-secrets-for-ofono.patch: refreshed.
  * debian/patches/git_default_route_active_device_9820258.patch: keep the
    default gateway on the currently active device.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 May 2014 09:41:26 -0400

network-manager (0.9.8.8-0ubuntu9) utopic; urgency=medium

  * Bump timeout in killswitch test from 10 to 20 seconds, to match the DHCP
    timeout which we use in the other tests. Should fix failures in VMs on
    loaded hosts.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 May 2014 10:53:02 +0200

network-manager (0.9.8.8-0ubuntu8) utopic; urgency=medium

  * Enable systemd units. Packaging taken from Debian.
  * Add missing build-essential test dep for the urfkill tests.
  * debian/tests/urfkill-integration: Ignore initial (expected) failure to
    stop NM, it's not running yet.
  * Move AppArmor workaround for LP #1244157 into the nm test itself, as
    running it as a separate pseudo-test does not work any more with
    adt-virt-qemu (as every test is started in a fresh VM).
  * Fix creation of initial dummy entropy file for the tests, to avoid running
    out of /dev/random entropy in VMs.
  * Disable the two suspend tests in NM, they need to be fixed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 27 Apr 2014 19:34:04 +0200

network-manager (0.9.8.8-0ubuntu7) trusty; urgency=medium

  * debian/tests/nm: Bump DHCP timeouts from 15 to 20 seconds, something in
    the stack got even slower as it used to be.
  * debian/tests/nm: With the patch in 0.9.8.8-0ubuntu5, interfaces with PE
    disabled still get a temporary IP. Disable that check for now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Apr 2014 15:41:11 +0200

network-manager (0.9.8.8-0ubuntu6) trusty; urgency=medium

  [ Martin Pitt ]
  * Mark autopkgtests with "isolation-machine" as these tests can't run in
    schroot or LXC.

  [ Felix Geyer ]
  * Don't check for TARGET_DEBIAN in patches. Upstream has removed the macro
    so just unconditionally enable the code in the patches. (LP: #1296226)
    This fixes the regression of the following patches:
    - quit_dhclient_on_exit.patch (LP: #963106)
    - lp990011_use_tempaddr_sysctl_default.patch (LP: #990011)
    - add_sendsigs_omissions.patch (LP: #869635)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 08 Apr 2014 10:32:10 +1000

network-manager (0.9.8.8-0ubuntu5) trusty; urgency=medium

  * debian/patches/dnsmasq-dbus-updates.patch: properly pass IPv6 DNS search
    in the IPv6 config, not the IPv4 one; fixes assertions trying to add the
    search domains.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Mar 2014 15:21:59 -0500

network-manager (0.9.8.8-0ubuntu4) trusty; urgency=medium

  * debian/tests/urfkill-integration, debian/tests/killswitch, debian/tests/nm:
    really fix the tests this time, hopefully.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Feb 2014 21:23:35 -0500

network-manager (0.9.8.8-0ubuntu3) trusty; urgency=medium

  * debian/tests/urfkill-integration, 
    debian/tests/killswitch: fix small bugs in tests behavior; fail at the end
    so we get full results.
  * debian/tests/nm: bring up NM at the end of the test to ensure we have good
    connectivity for the next tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Feb 2014 15:11:03 -0500

network-manager (0.9.8.8-0ubuntu2) trusty; urgency=medium

  [ Michael Schaller ]
  * debian/patches/nm-wired-no-secret-rerequest.patch: Wired connections: Only
    request new secrets during the inital connection. (LP: #1272321)

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: specify --enable-bluez4, which should now be used explicitly
    for BlueZ 4 support.
  * debian/patches/git_segfault_nmagentmanager_3227cf0.patch: fix segfault in
    NMAgentManager when cancelling a request.
  * debian/patches/ignore_ipv6_set_peer_nosupport.patch: ignore "unsupported"
    error from libnl when adding a PtP peer for IPv6; libnl doesn't support
    that yet.
  * debian/patches/git_agent_removing_requests_b2312d4.patch: fix crash in
    nm_secret_agent_cancel_secrets().
  * debian/patches/git_disp_logging_crash_aca907f.patch: avoid a possible crash
    in the dispatcher if dbus_init() fails.
  * debian/patches/git_fix_shadowed_var_abe208e.patch: fix a shadowed local
    variable in nm_system_bond_enslave().
  * debian/patches/connectivity_check_default_interval.patch: fix handling the
    default value for connectivity check interval if it's not set in the config
    file. Documentation says it should default to 300 if not set.
  * debian/patches/ignore_rfkill_if_urfkill_is_present.patch: don't touch
    saved radio states if we want to use URfkill instead.
  * debian/tests/fake-rfkill.c, debian/tests/Makefile: add Makefile and
    fake-rfkill pretend driver (thanks Johannes Berg!) for testing rfkill.
  * debian/tests/killswitches-no-urfkill: add rfkill tests for NM; rfkill state
    should be tracked.
  * debian/tests/urfkill-integration: add integration tests for urfkill: make
    sure NM can track urfkill state change notifications.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 17 Feb 2014 10:48:19 -0500

network-manager (0.9.8.8-0ubuntu1) trusty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * New upstream release (LP: #1269179).
  * debian/control: add a Build-Depends on libmm-glib-dev.
  * debian/rules: configure with --with-modem-manager-1=yes. This enables
    support for the new ModemManager API.
  * Dropped patches (included upstream):
    - git_core_do_not_call_functions_with_null_connection_5e129f1.patch
    - bluetooth.patch
  * debian/patches/lp912702_fix_multiple_dialogs.patch: handle the case where
    multiple authentication dialogs would be shown if the user doesn't respond
    in time for network auth. (LP: #912702)

  [ Michael Schaller ]
  * ifupdown plugin: Support ifupdown's source stanza. (LP: #1271567)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 24 Jan 2014 12:35:34 -0500

network-manager (0.9.8.4-0ubuntu3) trusty; urgency=low

  * Set "allow-stderr" for debian/tests/apparmor_workaround to avoid failure
    on AppArmor warnings.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 09:48:28 +0100

network-manager (0.9.8.4-0ubuntu2) trusty; urgency=low

  * Add debian/tests/apparmor_workaround: AppArmor currently does not allow us
    to access the system D-BUS from an unshared file system. Hack the policy
    to allow that until that gets fixed properly. (LP: #1244157)
  * Disable dnsmasq autopkgtest. It's not very useful, and any failure keeps
    eth0 torn down, breaking autopkgtest VMs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 08:14:23 +0100

network-manager (0.9.8.4-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release (LP: #1234887):
    + Multiple memory management fixes.
    + Clarify log messages - fixing log severity.
    - agents: don't make method calls with a destroyed proxy
    - libnm-glib: Add NMClient:primary-connection and :activating-connection
    - core: add NMManager:primary-connection and :activating-connection
    - libnm-glib: support new connectivity property/methods
    - core: provide additional network connectivity information
    - core: improve NMManager:state transitions with connectivity checking
    - policy: prevent double-deactivation of an NMActiveConnection
    - wifi: change bgscan threshold parameter (LP: #1071942)
    - dhcp: kill dhclient on fatal errors
    - dnsmasq: does handle more than one nameserver per domain
    - keyfile: ignore Emacs interlocking link named .#<file_name> (rh #987629)
    - core: fix flushing of routes and updating legacy IPv4 address property
    - main: Set umask earlier
    - libnm-glib: fix device description with newer udev versions
    - dhcp: don't crash checking lease config if no DHCP client is usable
    - nm-online: describe '--timeout' option more exactly (rh #969363)
    - dispatcher: expose domains in IP4/6 config (bgo #701820)
    - dispatcher: publish vpn_ip6_config
    - libnm-util: fix possible crash when IP method is NULL
    - core: set GError in nm_manager_deactivate_connection() (rh #976627)
    - keyfile: fix reading bonding options (bgo #701527)
    - libnm-util: remove 'downdelay' and 'updelay' when setting 'arp_interval'
    - libnm-util: can't set both IPv4 'disabled' and IPv6 'ignore' method
    - wifi: fix checking AP mode and EAP-FAST support
    - wired: ignore carrier state for manual/static bridge and bond connections
    - wifi: fix possible crash when IP configuration times out (rh #854073)
    - core: don't prematurely move to IPv6 state GOT_ADDRESS
    - core: wait for all IPv6 addresses to be cleared before continuing
    - ifupdown: recalculate unmanaged specs on interface change (debian #707070)
    - core: missing IP config settings are treated as "auto" (bgo #699755)
    - libnm-util: fix WEP key type comparison in nm_utils_wep_key_valid()
    - core: ActiveConnections torn down when device is unavailable (bgo #676285)
    - core: suppress kernel's automatic creation of bond0 (rh #953466)
    - keyfile: ensure all-default VLAN setting is read correctly
    - wifi: AP mode connections are always available
    - ethernet: don't crash for PPPoE connections with no wired setting
    - modem-manager: wait up to 120s for the connection result
    - core: silence warning about errors reading permanent MAC address
    - dhclient: copy leasefiles from old location if needed (bgo #696210)
    - dhcp: look harder for machine-id, and generate random DUID if it doesn't
      exist (bgo #696109) (LP: #1153342)
    - dhcp: we don't always have an NMSettingIP6Config for the DHCP hostname
    - dbus: reinstall property filter on dbus connection changes (rh #918273)
    - dbus: allow talking to the NetworkManager-SSH VPN plugin
    - dhclient: also request 'static-routes' option from DHCP server
    - device: do not call nm_system_iface_set_up() with invalid index
    - core: fix find_vlan_parent() to return proper device (bgo #695362)
    - libnm-util: free temp decoded base64 data when parsing OpenSSL key files
    - libnm-util: free PPPoE setting private data members
    - libnm-util: free temporary string when parsing OpenSSL key files
    - libnm-util: free temp GByteArray for NM_SETTING_802_1X_CK_SCHEME_PATH
    - libnm-util: fix leak of s390 subchannels
    - cli: fix a crash in 'nmcli d l' when no connections available for a
      device (LP: #1155139)
  * debian/patches/git_machine_id_duid_gen_1d14d17.patch,
    debian/patches/git_systemd_session_tracking.patch: dropping git cherry-pick
    patches that are included in this release.
  * debian/patches/libnl3-cache-args.patch: dropped, applied upstream.
  * debian/patches/dnsmasq-dbus-updates.patch: refreshed.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refreshed.
  * debian/patches/libnm-SecretAgent-annotations.patch,
    debian/patches/libnm-need_secrets-annotations.patch: dropped.
  * debian/patches/configure-logind-detection.patch: dropped, applied upstream.
  * debian/patches/lp191889_always_offline_with_unmanaged_devices.patch:
    refreshed.
  * debian/libnm-glib4.symbols:
    + nm_client_check_connectivity@Base 0.9.8.4-0ubuntu1
    + nm_client_check_connectivity_async@Base 0.9.8.4-0ubuntu1
    + nm_client_check_connectivity_finish@Base 0.9.8.4-0ubuntu1
    + nm_client_get_activating_connection@Base 0.9.8.4-0ubuntu1
    + nm_client_get_connectivity@Base 0.9.8.4-0ubuntu1
    + nm_client_get_primary_connection@Base 0.9.8.4-0ubuntu1
  * debian/patches/
    git_core_do_not_call_functions_with_null_connection_5e129f1.patch: don't
    call functions with connection == NULL.
  * debian/patches/dont-check-secrets-for-ofono.patch: don't try to get secrets
    hints and settings name for an ofono connection when in the prepare stage:
    it just doesn't apply, since both the APN settings and modem PIN are
    handled by ofono directly. (LP: #1234434)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Oct 2013 11:04:13 -0400

network-manager (0.9.8.0-5) unstable; urgency=low

  * Remove old code for upgrading from pre-squeeze versions.
  * Look harder for machine-id, and generate random DUID if it doesn't exist.
    Patch cherry-picked from upstream Git. (Closes: #707204) (bgo: #696109)
  * Fix ifupdown plugin to recalculate unmanaged specs on interface changes.
    Patches cherry-picked from upstream Git. (Closes: #707070)

 -- Michael Biebl <biebl@debian.org>  Wed, 08 May 2013 20:29:50 +0200

network-manager (0.9.8.0-4) unstable; urgency=low

  * Ensure ActiveConnections are torn down when device is unavailable. Patch
    cherry-picked from upstream Git. (Closes: #700391)

 -- Michael Biebl <biebl@debian.org>  Tue, 07 May 2013 02:02:31 +0200

network-manager (0.9.8.0-3) unstable; urgency=low

  [ Michael Biebl ]
  * Use gir dh addon instead of calling dh_girepository manually.
  * Upload to unstable.
  * Be more aggressive in cleaning up /var/lib/NetworkManager on purge.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 May 2013 06:07:27 +0200

network-manager (0.9.8.0-2) experimental; urgency=low

  [ Sjoerd Simons ]
  * Add myself to uploaders

  [ Michael Biebl ]
  * Stop providing static start and stop priorities for dh_installinit. Those
    are no longer tested and we rely on the dependency information in the LSB
    header now to get a correct ordering when being run under sysvinit.
  * Tighten dependencies between -dev packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Mar 2013 16:23:07 +0100

network-manager (0.9.8.0-1) experimental; urgency=low

  * New upstream release.
  * Drop 06-nm-settings-manx.patch, merged upstream.
  * Update symbols file for libnm-glib.
  * Install bash-completion file for nmcli.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Feb 2013 23:14:18 +0100

network-manager (0.9.8.0-0ubuntu22) saucy; urgency=low

  [ Ritesh Khadgaray ]
  * debian/patches/bluetooth.patch: DUN via bluetooth fails (lp: #1186273)

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/track_ip_settings_post_connection.patch: Track IP Settings
    in an oFono schema; so that we're notified and can properly bring down a
    connection when bad things happen.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 04 Oct 2013 11:57:41 -0400

network-manager (0.9.8.0-0ubuntu21) saucy; urgency=low

  * debian/patches/provisioning_wait_ofono_properties.patch: rework when we
    get the IP config from oFono as to get the values prior to transitioning
    to stage 3 (IP Configuration), so that we don't risk missing some of the
    settings. (LP: #1226071, #1225393)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Sep 2013 12:40:07 -0400

network-manager (0.9.8.0-0ubuntu20) saucy; urgency=low

  * debian/patches/add_ofono_settings_support.patch: notify NMSettings that we
    added a connection; as required since this can happen past the initial
    bringup of the plugin.
  * debian/patches/add_ofono_settings_support.patch: watch the IMSI directories
    separately for changes and gprs file additions.
  * debian/patches/add_ofono_support.patch: ask to re-read contexts when the
    modem goes online, when the context manager appears, or when a new context
    is added by oFono (when we get the signal).
  * debian/patches/add_ofono_support.patch: fix typo in property for IMSI:
    it's SubscriberIdentity, not SubscriberInformation.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 29 Aug 2013 17:00:24 -0400

network-manager (0.9.8.0-0ubuntu19) saucy; urgency=low

  * Transition from iproute to iproute2.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Aug 2013 18:38:34 -0400

network-manager (0.9.8.0-0ubuntu18) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/add_ofono_support.patch: really attach the ReadImsiContext
    DBus function call.
  * debian/patches/add_ofono_support.patch: minor code cleanup: rename some
    variables (imsi vs. imei), initialize others to a sane value on
    nm_modem_ofono_init().
  * debian/patches/add_ofono_support.patch: watch for both Attached and Powered
    properties of the Connection Manager to be TRUE before setting an oFono
    modem as enabled (as opposed to just Powered).
  * debian/patches/add_ofono_settings_support.patch: clarify error/warning
    message to show on first scan of the oFono settings directory if an error
    happens or there are simply no contexts to read.

  [ Jonathan Riddell ]
  * Add plasma-nm to frontend options in recommends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Aug 2013 13:21:35 +0100

network-manager (0.9.8.0-0ubuntu17) saucy; urgency=low

  * Rework oFono context parsing into NM Connections. (LP: #1206888)
    * debian/patches/add_ofono_settings_support.patch: listen to inotify events
      for ofono settings file additions and changes.
    * debian/patches/add_ofono_settings_support.patch: refactor settings parsing
      to extract the read step on a per-IMSI basis; make that function callable
      via DBus.
    * debian/patches/add_ofono_support.patch: listen for ContextAdded from oFono
      and call the ReadImsiContexts function from the settings plugin to make
      sure we have all the latest connections from oFono.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Aug 2013 21:13:13 -0400

network-manager (0.9.8.0-0ubuntu16) saucy; urgency=low

  * debian/patches/add_ofono_support.patch:
    - watch the ConnectionManager Powered property and toggle it when our
      WwanEnabled property gets changed (enable a global WWAN switch).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 12 Jul 2013 10:19:05 -0400

network-manager (0.9.8.0-0ubuntu15) saucy; urgency=low

  * debian/patches/add_ofono_support.patch:
    - properly set Gateway for the new route once connected, if it's available.
    - guard against crashes due to quickly changing interfaces. (LP: #1199575)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 10 Jul 2013 14:52:18 -0400

network-manager (0.9.8.0-0ubuntu14) saucy; urgency=low

  * debian/patches/add_ofono_support.patch: watch the state of the Attached
    property before allowing to start a data connection.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Jul 2013 16:57:14 -0400

network-manager (0.9.8.0-0ubuntu13) saucy; urgency=low

  * debian/NetworkManager.conf: enable the ofono settings plugin.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 03 Jul 2013 16:34:19 -0400

network-manager (0.9.8.0-0ubuntu12) saucy; urgency=low

  * debian/patches/add_ofono_support.patch: allow for autoconnection of the
    modem, remove unused code.
  * debian/patches/add_ofono_settings_support.patch: Initial commit for ofono
    settings parser plugin; to read oFono's config files and interpret context
    data as connections.
  * debian/patches/ignore_rmnet_devices.patch: ignore rmnet_usbX devices,
    they are expected to be managed directly by RILD.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 03 Jul 2013 12:14:40 -0400

network-manager (0.9.8.0-0ubuntu11) saucy; urgency=low

  * debian/patches/add_ofono_support.patch: fix race in ofono detection: always
    enumerate modems when ofono appears, since it may well have already emitted
    ModemAdded signals for new modems.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 13 Jun 2013 09:49:13 -0400

network-manager (0.9.8.0-0ubuntu10) saucy; urgency=low

  [ Jeremy Bicha ]
  * debian/control:
    - Build-depend on valac instead of valac-0.18 for easier transitions

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/nm-revert-core-dont-enumerate-unint-devices-udev.patch:
    Revert from git master; use a GUdevEnumerator to list devices for detection
    so that it can work on Touch.
  * debian/patches/lp1099983_ignore-p2p-wifi-devices.patch: temporarily ignore
    'p2p0' wifi devices, to avoid conflicts with wlan0 on Touch.
  * debian/patches/prioritize_3g_later.patch: make sure we prioritize WiFi
    over 3G when WiFi is available.
  * debian/patches/add_ofono_support.patch: add support for handling modems
    exported by oFono; for activation, IP (v4 only) setup and deactivation.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 10 Jun 2013 11:41:23 -0400

network-manager (0.9.8.0-0ubuntu9) saucy; urgency=low

  * debian/tests/nm: Add hotplug ethernet test.
  * Add git_systemd_session_tracking.patch: Fix systemd session tracking
    detection in configure. (LP: #1172062)
  * debian/tests/nm: Verify device type.
  * debian/tests/nm: Don't assert that in IPv4 mode we don't have any IPv6
    configuration. This makes the tests work with current upstream git head.
  * debian/tests/nm: Enlarge DHCP/RA timeout from 8/10 to 15 seconds, this
    still times out too often otherwise.
  * debian/tests/nm: Allow the user to specify extra daemon arguments in
    $NM_TEST_DAEMON_ARGS. With that, one can run NM from upstream git head
    ("--debug --run-from-build-dir") or with extra verbosity
    ("--log-level=DEBUG"). Drop the latter by default, as it makes log files
    harder to read.
  * debian/tests/nm: Avoid comparing current privacy setting against
    NetworkManager.SettingIP6ConfigPrivacy.UNKNOWN, as that is not
    well-defined (and fails with current trunk).
  * debian/tests/nm: Introduce "auto_connect" option to start_nm() to disable
    automatic connections (to wired devices), and add a "manual IPv4" case to
    the Ethernet tests.
  * debian/tests/nm: Add tests for the two explicit IPv6 PE modes for (manual)
    ethernet connections.
  * debian/tests: Only stop/restart NM once, not once per test class.
  * debian/tests/nm: Exit with a meaningful message if not called as root.
  * debian/tests/network_test_base.py, start_dnsmasq(): Use a temporary lease
    file to avoid cluttering the system one.
  * debian/tests/network_test_base.py: Update file docstring.
  * debian/tests/dnsmasq: Some PEP8/pyflakes fixes.
  * debian/control: Drop obsolete network-manager-kde recommends (renamed to
    plasma-widget-networkmanagement which we alternatively recommend).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 May 2013 09:58:16 +0200

network-manager (0.9.8.0-0ubuntu8) saucy; urgency=low

  * Rename test "nm-wifi" to "nm", as soon this will also cover ethernet (and
    potentially other types).
  * debian/tests/nm: Bump suspend test reconnection timeout from 8 to 10s,
    in the hope that they fail less often in Jenkins.
  * debian/tests/nm: Mount unshared tmpfses over NM's configuration and state
    dirs, to avoid interfering with the production system and better isolate
    the tests from each other.
  * debian/tests/network_test_base.py: Create veth devices for testing; adjust
    tests for changed variable names.
  * debian/tests/nm: Adjust NetworkManagerTest helper methods to work with
    either ethernet or wifi devices.
  * debian/tests/nm: Don't use tearDown() to shut down connections, as this
    gets called in the parent process. Use addCleanup() in start_nm() instead.
  * debian/tests/nm: Add first set of ethernet tests. Not covering IPv6 PE
    yet, as we don't have connection pre-configuration for automatic
    connections.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 May 2013 08:58:02 +0200

network-manager (0.9.8.0-0ubuntu7) saucy; urgency=low

  * debian/tests/nm-wifi: Drop trailing ';' from MAC blacklist, to avoid a
    warning.
  * debian/tests/nm-wifi: Run each test in a separate subprocess. With
    upstream commit a87b5a15df the library uses private D-BUS connections which
    go stale when NM restarts for the next test and cause inconsistent
    internal state which is very hard to clean up from Python.
  * debian/tests/nm-wifi: Split IPv6 tests into "PE/private address
    preferred", "PE/public address preferred", and "PE disabled", as upstream
    and Ubuntu packages have different defaults.
  * debian/control: Set Vcs-* back to packaging trunk branch.
  * debian/tests/nm-wifi: Create/shut down test devices for each single test,
    to avoid leaked scan data from previous tests. Enable the 802.11a scan
    tests, as they work now.
  * debian/tests/nm-wifi: Add Coldplug.shell pseudo-test, for a simple
    way to run a shell inside the test AP/NM environment.
  * debian/tests/nm-wifi: Add test for killswitch handling.
  * debian/tests/nm-wifi: Add tests for suspend/resume handling.
  * Add configure-logind-detection.patch: Check libsystemd-login version for
    suspend-resume instead of systemd version, so that we can build this
    against standalone logind.
  * Switch to logind based session and suspend tracking. Add systemd-services
    Recommends (instead of previously undeclared consolekit dependency), and
    build-depend on libsystemd-login-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 28 Apr 2013 07:07:57 -0700

network-manager (0.9.8.0-0ubuntu6) raring; urgency=low

  * debian/tests/nm-wifi: Start NetworkManager with --log-level=DEBUG to get
    more info on failures.
  * debian/tests/nm-wifi: Add test case for WPA2 (IPv4/6).
  * debian/tests/nm-wifi, conn_from_active_conn(): Try several times,
    sometimes the NMConnection object does not yet exist at the first try.
  * debian/tests/{nm-wifi,wpa-dhclient}: Add tests for WPA 1.
  * debian/tests/nm-wifi: Disable networking before shutting down and removing
    connections, to avoid NMClient's state becoming inconsistent and throwing
    warnings and criticals like mad.
  * debian/tests/dnsmasq: Simplify and robustify:
    - Don't use private D-BUS, polkit, and consolekit instances, this is a
      system integration test where we want to assert that the system
      instances work.
    - Kill NetworkManager after the tests.
    - Wait until eth interface is available and connected instead of fixed
      sleep(30).
    - Don't just check for existence of dnsmasq, but also verify that it comes
      from NetworkManager.
    - Resurrect "listens on D-BUS" test.
  * debian/tests/nm-wifi: Don't depend on or change the system-wide state
    file; use a local fresh one for each test.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Apr 2013 13:23:03 +0200

network-manager (0.9.8.0-0ubuntu5) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control: update Vcs-Bzr to point to the right branch for raring.

  [ Martin Pitt ]
  * debian/tests/network_test_base.py: Avoid stderr output from "service".
  * Add libnm-need_secrets-annotations.patch: libnm-glib: Fix transfer
    annotations of nm_{connection,setting}_need_secrets(). This fixes the
    crash when trying to call them from GI, which blocks writing WPA tests.
  * Add libnm-SecretAgent-annotations.patch: libnm-glib: Make SecretAgent
    introspectable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Apr 2013 15:10:52 +0200

network-manager (0.9.8.0-0ubuntu4) raring; urgency=low

  * debian/tests/network_test_base.py: Stop NM during running the tests, to
    avoid interference and allow the tests to run their own NM instance.
  * debian/tests/network_test_base.py, poll_text(): Don't just read one line
    every 0.1 seconds, read as much as possible.
  * debian/tests/network_test_base.py: Determine and store the client and AP's
    MAC address, and tighten check in debian/tests/wpa-dhclient.
  * debian/tests/network_test_base.py: Change setup_ap() to take an arbitrary
    dnsmasq mode for IPv6, so that we can cover "RA only", "RA+DHCP", and
    other modes.
  * debian/tests/wpa-dhclient: Add test for IPv6 with only RA, and add more
    fine-grained verification of assigned addresses.
  * Add debian/tests/nm-wifi: Integration tests for NetworkManager on
    simulated mac80211_hwsim devices.
  * Drop debian/tests/nm. Much simpler and stricter versions of these tests
    are included in debian/tests/nm-wifi, and the test setup is
    unnecessarily complicated and leaves lots of stray processes behind. 
  * Disable "dnsmasq" test. It often fails in VMs (there is not necessarily a
    dnsmasq process), the test does not need to start dbus/polkit/etc (this is
    a system integration test after all), and it leaves
    dbus-daemon/NetworkManager etc. processes behind that interfere with the
    other tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Apr 2013 13:33:20 +0200

network-manager (0.9.8.0-0ubuntu3) raring; urgency=low

  [ Martin Pitt ]
  * Add debian/tests/network_test_base.py: Base class for network related
    tests. This provides fake wifi devices with mac80211_hwsim and hostapd,
    and some utility functions.
  * Add wpa-dhclient autopkgtest: Test wpa_supplicant and dhclient in various
    modes: 802.11a/b/g, IPv4/6, open/WPA2.

  [ Mathieu Trudel-Lapierre ]
  * debian/tests/dnsmasq: disable testDnsmasqHasDbus test; it's broken in the
    autopkgtest qa environment, needs further investigation. The fact that
    dnsmasq gets started is already covered by testDnsmasqRunning.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 09 Apr 2013 09:57:18 -0400

network-manager (0.9.8.0-0ubuntu2) raring; urgency=low

  * debian/patches/git_machine_id_duid_gen_1d14d17.patch: dhcp: look harder
    for machine-id, and generate random DUID if it doesn't exist. (LP: #1153266)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 25 Mar 2013 10:39:32 -0400

network-manager (0.9.8.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Resync package with Debian:
    - debian/libnm*.install: Fix paths for vala vapi files: install to
      /usr/share/vala, not /usr/share/vala-0.18...
    - debian/network-manager-dispatcher.script: clean-up; hostname is still not
      triggering any action, but doesn't need to be listed twice.
    - debian/network-manager.NEWS: sync with Debian.
    - debian/network-manager.dirs: add /etc/NetworkManager/VPN/, used to detect
      newly installed VPN plugins.
    - debian/control: update Build-Depends, Depends, Architecture fields.
    - debian/network-manager.install: reorganize entries to match Debian.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refresh.
  * debian/patches/dnsmasq-dbus-updates.patch: refresh.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refresh.
  * debian/patches/adhoc_use_wpa_rsn_part1.patch: refresh.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refresh.
  * debian/patches/fix-vapigen-detection.patch: drop passing the wanted API to
    VAPIGEN_CHECK, as that causes files to get installed in the versioned vapi
    directory as well, which should be reserved for what ships with vala.
  * debian/control: Modernize:
    - Bump to debhelper 9.
    - Drop Breaks/Replaces for libnm-glib2.
    - Bump Standards-Version.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Cover the "release" case where we don't have autogen.sh -- run the same
      commands it would run.
    - Pass --disable-silent-rules to configure -- I want to see all the gory
      details, thanks.
    - Resync other configure flags with Debian's.
    - Use -delete for the find call to remove .la files.
  * debian/libnm-glib4.symbols, debian/libnm-util2.symbols: add new symbols.
  * debian/*.install: update paths for multiarch, add bash completion for the
    nmcli binary.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 07 Mar 2013 15:58:27 -0500

network-manager (0.9.7.997-2) experimental; urgency=low

  * Move pid file to the new location in /var/run/NetworkManager.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 19:23:19 +0100

network-manager (0.9.7.997-1) experimental; urgency=low

  * New upstream release (0.9.8 beta2).
  * Update symbols files.
  * Use new distro-agnostic configure flags.
  * Drop 04-systemd-set-kill-mode-process.patch, refresh other patches.
  * Bump Build-Depends on libglib2.0-dev, libudev-dev, libgudev-1.0-dev and
    libnl-3-dev.
  * Mark binary packages as linux-any.
  * No longer install nm-crash-logger, has been removed upstream.
  * 05-force-online-with-unmanaged-devices.patch: Set correct online state on
    daemon startup.
  * 06-nm-settings-manx.patch: Don't install generated xml file as man page.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 17:12:48 +0100

network-manager (0.9.7.995+git201301311547.17123fc-0ubuntu1) raring; urgency=low

  * upstream snapshot 2013-01-31 15:47:41 (GMT)
    + 17123fcc612e5704d055d012a0298c954609754a

  [ Marius Kotsbak ]
  * debian/rules: enable connectivity check again, which is now optional,
    with configure option "--enable-concheck".

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/70_lp145653_no_sigaction_for_crashes.patch: dropped, applied
    upstream.
  * debian/patches/dhcpv6-duid-support.patch: dropped, applied upstream.
  * debian/rules: drop --with-distro; which is no longer needed.
  * debian/network-manager.install: drop nm-crash-logger, which is no longer
    being built -- internal crash handling was removed.
  * debian/libnm-glib4.symbols: new symbols:
    + nm_client_get_logging@Base 0.9.7.995+git201301311547.17123fc
    + nm_client_set_logging@Base 0.9.7.995+git201301311547.17123fc
    + nm_device_wifi_request_scan_simple@Base 0.9.7.995+git201301311547.17123fc
  * debian/tests/dnsmasq: improve the test in hope to better catch the state
    of dnsmasq when started by NetworkManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 01 Feb 2013 19:12:05 -0500

network-manager (0.9.6.4-3) experimental; urgency=low

  * Merge changes from unstable branch.
  * Refresh 05-force-online-with-unmanaged-devices.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Jan 2013 04:43:19 +0100

network-manager (0.9.6.4-2) experimental; urgency=low

  * Merge changes from unstable branch.
  * Drop patches for libnm-glib, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Jan 2013 10:13:36 +0100

network-manager (0.9.6.4-1) experimental; urgency=low

  * New upstream release.
  * Update symbols file for libnm-glib.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Oct 2012 22:54:01 +0200

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu3) raring; urgency=low

  * debian/patches/bridge_ignore_without_connections.patch: properly handle the
    cases where we should still keep a bridge device unmanaged after resume
    from suspend.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Jan 2013 18:59:03 -0500

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu2) raring; urgency=low

  * debian/patches/bridge_ignore_without_connections.patch: Ignore bridge
    devices that don't have configured connections, so as not to compete with
    lxc or libvirt and trample their config. (LP: #1099155)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Jan 2013 15:20:08 -0500

network-manager (0.9.6.0+git201301021750.e78c3e8-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2013-01-02 17:50:32 (GMT)
    + e78c3e83d2e0b49641c9d484e0b35b3c6ff9f0db
  * debian/patches/dhcpv6-duid-support.patch: refreshed.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refreshed.
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: refreshed.
  * debian/patches/add-veth-support.diff: refreshed.
  * debian/patches/dnsmasq-dbus-updates.patch: refreshed.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refreshed.
  * debian/patches/send_hostname_for_default_connection.patch: dropped, applied
    upstream.
  * debian/patches/fix-vapigen-detection.patch: refreshed.
  * debian/patches/50_gettext_macros.patch: dropped.
  * debian/rules: simplify call to dh_autoreconf; just run autogen.sh.
  * debian/libnm-glib4.symbols: add symbols:
    + nm_device_bridge_error_get_type@Base
    + nm_device_bridge_error_quark@Base
    + nm_device_bridge_get_carrier@Base
    + nm_device_bridge_get_hw_address@Base
    + nm_device_bridge_get_slaves@Base
    + nm_device_bridge_get_type@Base
    + nm_device_bridge_new@Base
  * debian/libnm-util2.symbols: add symbols:
    + nm_connection_get_setting_bridge@Base
    + nm_connection_get_setting_bridge_port@Base
    + nm_setting_bridge_error_get_type@Base
    + nm_setting_bridge_error_quark@Base
    + nm_setting_bridge_get_*@Base
    + nm_setting_bridge_new@Base
    + nm_setting_bridge_port_error_get_type@Base
    + nm_setting_bridge_port_error_quark@Base
    + nm_setting_bridge_port_get_*@Base
    + nm_setting_bridge_port_new@Base
    + nm_setting_ip6_config_get_dhcp_hostname@Base

  [ Thomas Bechtold ]
  * debian/README.source: fix branchname for ubuntu packaging

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Jan 2013 10:45:49 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu3) raring; urgency=low

  * debian/patches/send_hostname_for_default_connection.patch: always send
    the hostname to the DHCP server if we're activating a default, automatic
    wired connection. (LP: #1084064)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 04 Dec 2012 12:45:24 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu2) raring; urgency=low

  * debian/rules: give tests (run by dbus-test-runner) a timeout of 5 minutes.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Nov 2012 15:42:45 -0500

network-manager (0.9.6.0+git201211131441.e9e2c56-0ubuntu1) raring; urgency=low

  * upstream snapshot 2012-11-13 14:41:20 (GMT)
    + e9e2c5645f869f0671c29f14bf99793787c0272c
  * debian/patches/dhcpv6-duid-support.patch:
    - refresh patch to properly apply to git master.
    - Fix some logic issues when failing to open a default lease file.
  * debian/patches/lp859373_upgrade_policy_fix.patch: refreshed.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refreshed.
  * debian/patches/add_sendsigs_omissions.patch: refreshed.
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: refreshed.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part1.patch: refreshed.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refreshed.
  * debian/patches/quit_dhclient_on_exit.patch: refreshed.
  * debian/patches/dnsmasq-dbus-updates.patch: refreshed.
  * debian/libnm-util2.symbols: add new symbols:
    + nm_setting_connection_add_secondary@Base
    + nm_setting_connection_get_num_secondaries@Base
    + nm_setting_connection_get_secondary@Base
    + nm_setting_connection_remove_secondary@Base
    + nm_utils_ap_mode_security_valid@Base
    + nm_utils_iface_valid_name@Base
    + nm_utils_is_uuid@Base
  * debian/libnm-glib4.symbols: add:
    + nm_device_bond_get_slaves@Base
  * debian/tests/dnsmasq: bump delay after setting up dnsmasq to 30 seconds, to
    give enough time to NM to settle down and be connected.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Nov 2012 14:16:51 -0500

network-manager (0.9.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libdbus-glib-1-dev to (>= 0.94).
  * Update symbols file for libnm-util.

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Aug 2012 22:21:08 +0200

network-manager (0.9.5.95-1) experimental; urgency=low

  * New upstream release (0.9.6 rc1).
    - Remove 'max_replies_per_connection' limit from D-Bus configuration.
      (Closes: #678965)
  * debian/patches/02-dbus_access_network_manager.patch: Updated.
  * Remove patches which have been merged upstream.
  * Update symbols files for libnm-glib and libnm-util.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jun 2012 20:30:16 +0200

network-manager (0.9.6.0-0ubuntu7) quantal; urgency=low

  * debian/network-manager.dnsmasq: Drop "except-interface=lo", since we don't
    listen on 127.0.0.1 directly anymore and keeping that directive has the
    tendency to break system-wide instances of dnsmasq which would write out
    127.0.0.1 to /etc/resolv.conf but never listen on that IP. (LP: #1044388)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Sep 2012 17:07:19 -0400

network-manager (0.9.6.0-0ubuntu6) quantal; urgency=low

  * debian/patches/adhoc_use_wpa_rsn_part1.patch,
    debian/patches/adhoc_use_wpa_rsn_part2.patch: Re-enable WPA for Adhoc; but
    use WPA2/RSN for encryption rather than WPA-None, which is clearly broken.
    (LP: #1046918)
  * debian/tests/nm: drop the test testNMConnected; in a build environment it
    tends to be racy; sometimes NM isn't quite ready to transition to the
    CONNECTING or CONNECTED states, we don't want to hold things up because of
    it. (LP: #1047224)
  * debian/tests/dnsmasq: update the test to correctly point to the new DBus
    address for NetworkManager's dnsmasq instance. (LP: #1047221)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Sep 2012 15:48:24 -0400

network-manager (0.9.6.0-0ubuntu5) quantal; urgency=low

  * debian/patches/nm-ipv6-route-cache.patch: don't re-add routes we receive
    from kernel notifications to the routing table if they have the
    RTM_F_CLONED flag; since that means they're host routes used temporarily
    by the kernel to reach a specific destination; keeping them would cause at
    least issues with VPNs, and possibly confusion with routing daemons.
    Thanks to Ben Jenks for the patch. (LP: #1038541)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 29 Aug 2012 16:38:51 -0400

network-manager (0.9.6.0-0ubuntu4) quantal; urgency=low

  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: set the address
    dnsmasq (and bind) plugins should listen on for DNS resolution to 127.0.1.1,
    as opposed to 127.0.0.1 to avoid conflicts with other instances that might
    need to run on the system with that address.
    Also set the dnsmasq DBus service name to our own custom name:
    org.freedesktop.NetworkManager.dnsmasq, which will also avoid conflicting
    with other dnsmasq instances which might have --enable-dbus enabled.
    (LP: #1034946)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Aug 2012 11:45:46 -0400

network-manager (0.9.6.0-0ubuntu3) quantal; urgency=low

  * debian/patches/dnsmasq-dbus-updates.patch: make sure the no_reply flag is
    set for the SetServers message we send to dnsmasq -- we're not expecting a
    reply and the messages otherwise stick around in the queue as pending.
    (LP: #1033600)
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: properly query
    both /etc/sysctl.d/10-ipv6-privacy.conf and /etc/sysctl.conf for the value
    of use_tempaddr. (LP: #998223)
  * debian/patches/dnsmasq-dbus-updates.patch: fail DNS caching updates (so as
    to not write 127.0.0.1 to resolv.conf) if the lists of device configs were
    empty (no nameservers or domains). (LP: #1023486)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Aug 2012 00:46:06 -0400

network-manager (0.9.6.0-0ubuntu2) quantal; urgency=low

  * debian/control: libnm-glib-dev must have a versioned Depends on
    network-manager-dev.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Aug 2012 16:27:35 -0400

network-manager (0.9.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release 0.9.6.0; notable changes since 0.9.4.0: 
    - Many libnm-glib fixes, including crashes when NetworkManager restarts
    - Enhanced IPv6 stability and compatibility
    - Fix regression in carrier handling for devices that don't support carrier
      detection
    - Add ability to connect to new WiFi networks from nmcli
    - Add native support for ADSL modems using PPPoE or PPPoATM
    - Reduce number of changes made to DNS information during connection setup
    - Add support for IPv6-enabled VPN connections
    - Add device driver version, firmware version, and autoconnect properties
      to the D-Bus API
    - Add on-demand WiFi scan support
    - Fix IPv6 default gateway handling for DHCPv6
    - Add Vala language bindings
    - Fix race with multiple interfaces running DHCP at the same time

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 16:05:15 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu5) quantal; urgency=low

  * debian/rules: update install rules to enable --fail-missing: explicitly
    delete .la files and clean up other unwanted files.
  * debian/control, debian/rules: build with --enable-vala so that we can ship
    vala bindings for NetworkManager.
  * debian/patches/fix-vapigen-detection.patch: patch configure.ac and the
    file m4/vapigen.m4 to properly handle detection of vapigen from valac-0.18,
    which does not ship a vapigen.pc file, only one with a version suffix.
  * debian/libnm-util-dev.install, debian/libnm-glib-dev.install: install vala
    bindings to the appropriate locations.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 11:39:04 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu4) quantal; urgency=low

  * debian/tests/nm, debian/tests/dnsmasq: run ifblacklist_migrate.sh while
    setting up the tests; so that we have some devices we can manage and use
    to get proper data for the tests.
  * debian/patches/dnsmasq-dbus-updates.patch: don't crash when building the
    dbus message for updating dnsmasq's nameservers. (LP: #1031274)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Aug 2012 11:31:34 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu3) quantal; urgency=low

  * debian/tests/nm: spawn console-kit-daemon and polkitd before starting
    NetworkManager in our "private" DBus bus.
  * debian/tests/dnsmasq: add tests for the dnsmasq instance spawned by NM;
    make sure it does get spawned, with --enable-dbus and registers on the bus.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 01 Aug 2012 16:21:46 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu2) quantal; urgency=low

  * debian/network-manager.dirs: add /etc/NetworkManager/dnsmasq.d to the
    directories shipped; so that dnsmasq can start successfully. (LP: #1031350)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 31 Jul 2012 09:41:30 -0400

network-manager (0.9.6.0~git201207271115.edb85e9-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-07-27 11:15:54 (GMT)
    + edb85e972051aff3cfcd5990ea1bd8a28dddc9d9
    - dnsmasq: allow custom configuration via /etc/NetworkManager/dnsmasq.d
  * debian/patches/dnsmasq-dbus-updates.patch: do dnsmasq server updates via
    DBus, instead of respawning the process every time. (LP: #1004775)
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refreshed.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/add_sendsigs_omissions.patch: refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 30 Jul 2012 09:13:32 -0400

network-manager (0.9.6.0~git201207161259.00297f4-0ubuntu2) quantal; urgency=low

  * debian/tests/nm: update test to only start a private DBus bus if we're not
    running in adt-virt-null; which would have its own instance of NM started
    properly on install.
  * debian/patches/lp1025498_link-local_dns_with_null_iface.patch: don't crash
    if iface is NULL when adding link-local nameservers for dnsmasq.
    (LP: #1025498)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Jul 2012 15:03:12 -0400

network-manager (0.9.6.0~git201207161259.00297f4-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-07-16 12:59:59 (GMT)
    + 00297f49fbbe05c51c02da43cda254c35e053589

  [ Edward Donovan ]
  * debian/source_network-manager.py: port package hook to python3.
    (LP: #1013171)

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/lp292054_tune_supplicant_timeout_60s.patch: disable the
    patch. It adds unnecessary delays to things like detecting that hidden
    networks are not in range, and since Jaunty drivers have changed a lot.
    If we're still seeing timing issues with the supplicant, then perhaps the
    drivers should be fixed instead, or we'll re-enable the patch. (LP: #446623)
  * debian/network-manager.dnsmasq, debian/rules:
    install a config file to /etc/dnsmasq.d to avoid system-wide instances of
    dnsmasq to bind to 0.0.0.0 and the loopback interface, so that the NM-
    spawned instance can claim an IP on lo and provide local resolution.
    (LP: #959037)
  * debian/patches/add-veth-support.diff: add support for the veth* virtual
    ethernet devices. Thanks to Stéphane Graber for the patch.
  * debian/patches/nm-ip6-rs.patch: dropped, applied upstream.
  * debian/libnm-util2.symbols: add symbols:
    + nm_utils_file_is_pkcs12@Base
  * debian/control: move policykit-1 from Recommends to Depends: without it
    calls to the backend (e.g. when starting nm-tool), will fail. Thanks to
    Stéphane Graber for the testing and solution.
  * debian/rules: fix clean to properly remove m4/intltool.m4.
  * debian/tests/control, debian/tests/nm: add an autopkgtest control file and
    initial test to verify that NM works once installed.
  * debian/control: add XS-Testsuite: autopkgtest.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 16 Jul 2012 17:17:51 -0400

network-manager (0.9.4.0+git201206081144.2efeac8-0ubuntu1) quantal; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2012-06-08 11:44:43 (GMT)
    + 2efeac8c5f84d55db2779eb27e29eb4c40132540
  * debian/control: add dbus to Build-Depends.
  * debian/control: add libsoup2.4-dev (>= 2.26) to Build-Depends for
    connectivity checking support.
  * debian/patches/70_lp145653_no_sigaction_for_crashes.patch: refreshed.
  * debian/patches/git_*.patch: dropped, included upstream.
  * debian/patches/lp949743_ensure_remoteconnection_disconnects_494f0a2.patch:
    dropped, included upstream.
  * debian/patches/fix-test18.patch: dropped, included upstream.
  * debian/patches/ipw2x00-no-nl80211.patch: dropped, included upstream.
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: update to also
    check /etc/sysctl.d/10-ipv6-privacy.conf.
  * debian/libnm-glib4.symbols: add more symbols:
    + nm_object_error_get_type@Base
    + nm_object_error_quark@Base
    + nm_device_adsl_error_get_type@Base
    + nm_device_adsl_error_quark@Base
    + nm_device_adsl_get_carrier@Base
    + nm_device_adsl_get_type@Base
    + nm_device_adsl_new@Base
    + nm_device_get_autoconnect@Base
    + nm_device_set_autoconnect@Base
    + nm_device_get_driver_version@Base
    + nm_device_get_firmware_version@Base
  * debian/libnm-util2.symbols: add symbols:
    + nm_setting_wireless_get_hidden@Base
    + nm_connection_get_setting_adsl@Base
    + nm_setting_adsl_error_get_type@Base
    + nm_setting_adsl_error_quark@Base
    + nm_setting_adsl_get_*@Base
    + nm_setting_adsl_new@Base
  * debian/ifblacklist_migrate.sh:
    - also comment out the "auto $iface" line for an interface stanza.
    - match "inet6 auto" as well when looking for interfaces to comment out.
  * debian/debug-helper.py: fix permissions.

  [ Loren M. Lang ]
  * debian/ifblacklist_migrate.sh:
    - match and comment out inet6 "auto" interface stanzas. (LP: #1005091)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jun 2012 13:35:07 -0400

network-manager (0.9.4.0-10) unstable; urgency=low

  * debian/patches/21-carrier-detect.patch: ensure carrier is always on for
    devices that don't support detection (rh #816719). (Closes: #699292)
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jan 2013 01:12:53 +0100

network-manager (0.9.4.0-9) unstable; urgency=low

  * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
    depending on whether the connection has a valid IPv4 or IPv6 address.
    Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
    scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
  * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
    interfaces are configured in /etc/network/interfaces, NM will mark those
    devices as unmanaged by default. If such a network interface has been
    brought up by ifup, set the global online state to CONNECTED.
    (Closes: #512286)
  * No longer run the ifblacklist_migrate.sh script upon installation. This
    script was used to comment out DHCP type network interface configurations
    in /etc/network/interfaces as otherwise NM would mark such devices as
    unmanaged. This script was buggy though and sometimes created a broken
    network configuration.
    Since debian-installer in wheezy (7.0) will create proper configuration
    for NM if the network-manager package is part of the installation, this is
    no longer necessary.
    If users make a minimal system installation and install the
    network-manager package afterwards, show a warning in postinst if we
    find any interface configurations in /etc/network/interfaces.
    (Closes: #688355, #690987, #606268)
  * Update README.Debian for the latest changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Jan 2013 04:10:11 +0100

network-manager (0.9.4.0-8) unstable; urgency=low

  * Move the pkla file to /etc/polkit-1 as requested by the release team.
  * debian/patches/04-systemd-set-kill-mode-process.patch: By default, when
    shutting NM down, systemd will kill everything in its cgroup. But this
    can cause problems (eg, NM thinking that dhclient crashed and then taking
    down an interface that it would otherwise have left up). Fix this by
    setting KillMode=process, which tells systemd to only kill NM itself, and
    let NM kill its children. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jan 2013 20:23:27 +0100

network-manager (0.9.4.0-7) unstable; urgency=low

  * Install a PolicyKit pkla file which allows members of group netdev or sudo
    to create system-wide network connections without being prompted for the
    admin password. (Closes: #642136)
  * Cherry-pick patches for libnm-glib which fix various segfaults e.g. in
    gnome-control-center when switching between overview and network settings
    panel or in gnome-shell and nm-applet when restarting NetworkManager.
    (Closes: #696143) (bgo: #674473)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Dec 2012 03:48:18 +0100

network-manager (0.9.4.0-6) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
  * debian/patches/15-ignore-cached-cloned-routes-ipv6-config.patch,
    debian/patches/16-ignore-cached-cloned-routes-kernel-notifications.patch:
    Don't create static IPv6 routes for cached/cloned routes. Patches
    cherry-picked from upstream Git. (Closes: #686328)
  * debian/patches/17-dbus-remove_max_replies_per_connection_limit.patch:
    Remove 'max_replies_per_connection' limit from D-Bus configuration which
    sets it to 512. It was intended to increase the limit from its historical
    value of 32. However, since 2007 the default limit has been 8192, so this
    is actually a reduction. (Closes: #678965)

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Sep 2012 19:24:15 +0200

network-manager (0.9.4.0-5) unstable; urgency=low

  * debian/patches/14-use-same-kernel-API-as-wpa_supplicant.patch: Some
    drivers (ipw2x00) have an incomplete nl80211 implementation and only
    report capabilities which made NM chose the wrong API to talk to the
    device. Instead, match the logic that wpa_supplicant uses to determine
    whether to stick with nl80211 or fall back to WEXT. (Closes: #673705)

 -- Michael Biebl <biebl@debian.org>  Tue, 29 May 2012 12:30:11 +0200

network-manager (0.9.4.0-4) unstable; urgency=low

  * debian/network-manager.dirs: Install /etc/NetworkManager/VPN/ directory.
    This directory needs to exist so NetworkManager can monitor it for changes
    (via inotify) to automatically detect newly installed VPN plugins.
    (Closes: #672963)
  * debian/network-manager.maintscript: Use new versioning scheme as
    recommended by dpkg-maintscript-helper which better handles local
    modifications and (bin)NMUs.
  * debian/patches/13-dont-replace-kernel-default-route-for-IPv6.patch: Don't
    fight with the kernel over the default IPv6 route. (Closes: #670818)

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 01:59:39 +0200

network-manager (0.9.4.0-3) unstable; urgency=low

  * debian/patches/12-initialize-gerror.patch: Initialize GError, else invalid
    free() crash can occur. Fixes a crash in gnome-shell if NetworkManager is
    not running. Patch cherry-picked from upstream Git. (Closes: #665791)
    Thank a lot to Antti-Juhani Kaijanaho for tracking down this problem!
  * Remove explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop,
    let libgirepository1.0-dev pull those dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 20:20:13 +0200

network-manager (0.9.4.0-2) unstable; urgency=low

  * debian/patches/11-initialize-nm-remote-settings.patch: Cherry-pick patch
    from upstream Git which fixes a regression when initializing
    NMRemoteSettings. (Closes: #665752)

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 07:18:51 +0200

network-manager (0.9.4.0-1) unstable; urgency=low

  * New upstream release.
    - IP configuration is now non-blocking; waiting for IPv6 RA no longer
      blocks the device from activating if IPv4 is ready and vice versa.
      (Closes: #653076)
    - Set the correct default route for IPv6. (Closes: #657109)
  * debian/patches/04-ifupdown-support-dns-search-entries.patch: Removed,
    merged upstream.
  * debian/patches/10-format-security.patch: Fix format string vulnerability
    by using g_set_error_literal().
  * Refresh patches.
  * Rewrite and update debian/copyright using the machine-readable copyright
    format 1.0. (Closes: #652882)
  * Bump Standards-Version to 3.9.3.
  * Clean up seen-bssids and timestamps state file on purge.
  * Update symbols files for libnm-glib and libnm-util.
  * Install new nm-*-enum-types.h header files.
  * Add Build-Depends on libnl-genl-3-dev.
  * The D-Bus policy file /etc/dbus-1/system.d/NetworkManager.conf has been
    renamed to org.freedesktop.NetworkManager.conf. Update the .install file
    and use the dh_install maintscript facility to move the conffile on
    upgrades. This requires a newer debhelper, so bump the Build-Depends
    accordingly.
  * Use dh_install maintscript to handle the other conffiles as well.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 14:26:44 +0100

network-manager (0.9.4.0-0ubuntu5) quantal; urgency=low

  * debian/network-manager.upstart: add "and static-network-up" to ensure the
    loopback device is really up before we start dnsmasq. (LP: #993379)
  * debian/patches/git_kernel_ipv6_default_route_77de91e.patch: avoid fighting
    with the kernel for what IPv6 default route should be set: let the kernel
    set his own, then add a new route with a different metric so that we can
    go back and remove it later. (LP: #988183)
  * debian/patches/nm-ip6-rs.patch: avoid disconnections due to RDNSS expiry,
    send a Router Sollicit to try and get new RDNSS data. (LP: #993571)
  * debian/patches/git_remove_ifpppstatsreq_6b64e4d.patch: remove the use of
    the ifpppstatsreq struct, which has been dropped in newer kernels: use
    ifreq and ppp_stats separately instead.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 May 2012 15:28:36 -0400

network-manager (0.9.4.0-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/quit_dhclient_on_exit.patch: make sure we kill dhclient when
    we are stopping. (LP: #963106)
  * debian/patches/lp949743_ensure_remoteconnection_disconnects_494f0a2.patch:
    make sure NMRemoteConnection objects have their signals disconnected.
    (LP: #949743)
  * debian/patches/lp990011_use_tempaddr_sysctl_default.patch: *really* fix the
    use_tempaddr sysctl to properly be set to 2 on the wired interface.
    (LP: #990011)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 27 Apr 2012 18:13:56 -0400

network-manager (0.9.4.0-0ubuntu3) precise; urgency=low

  * debian/patches/ipw2x00-no-nl80211.patch: workaround ipw2x00 drivers not
    reporting wireless encryption capabilities properly: if caps are 0 (none
    reported), then fail the nl80211 initialization and fallback to wext.
    Thanks to Omar Siam for the patch. (LP: #973241)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 12 Apr 2012 11:23:37 -0400

network-manager (0.9.4.0-0ubuntu2) precise; urgency=low

  * debian/patches/git_nmclient_bindings_fix_b48dc05.patch: fix getting active
    connections from a bindings-created NMClient object.
  * debian/patches/git_glib_ensure_inited_a4f450a.patch: make sure all cases
    where properties are accessed in libnm-glib have the underlying objects
    properly initialized.
  * debian/patches/git_core_is_adhoc_wpa_assert_47f9eb8.patch: prevent asserting
    when checking a connection (for whether it is adhoc and WPA) that is not
    a wifi one.
  * debian/patches/git_glib_gerror_invalid_free_8bb2789.patch: avoid a possible
    invalid free() by making sure GError is properly initialized in
    _nm_remote_settings_ensure_inited(). Thanks to Fabien Tassin for reporting.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Apr 2012 11:28:24 -0400

network-manager (0.9.4.0-0ubuntu1) precise; urgency=low

  * New upstream release 0.9.4.0: (LP: #960494)
    - settings: quiet warning when checking for AdHoc WPA connections
    - core: suppress useless log message when route already exists (LP: #958519)
    - TODO: remove bridging/bonding and InfiniBand
    - core: do a better job of applying bond configuration
    - libnm-util: improve NMSettingBond:verify()
    - libnm-util: fix an NMSettingBond bug
    - core: fix NMDeviceBond:dispose() to chain up
    - wifi: work around more wl.o stupidity
    - ip6: fix setting default route with libnl3 (bgo #668286)
    - firewall: set interface zone before IP configuration (rh #805405)
    - libnm-glib: ensure bindings-created objects work as expected (rh #802536)
    - mobile: ensure IPv4 timeout fails activation
    - utils: override VPN plugin's never-default when ignoring auto routes
    - wifi: make sure we're connected to netlink before using it
    - libnm-glib: add 'registered' property for NMSecretAgent
    - keyfile: fix testcases after InfiniBand transport-mode default change
    - wifi: disable Ad-Hoc WPA connections (LP: #905748)
    - infiniband: fix missing sentinel
    - Add a workaround for a problem creating InfiniBand connections
    - core: treat missing IPv6 setting as AUTO
    - libnm-glib: add errors to nm_device_connection_compatible() and device
      classes
    - vpn: add a new field so VPN plugins can specify multiple domains
    - dnsmasq: allow proxying dnssec data (upstreamed Ubuntu patch)
    - gsm: pass the PPP auth preferences for STATIC and DHCP device use
    - core: allow IPv4 to fail by default
  * debian/control: add Pre-Depends as required for maintscript.
  * debian/control: bump debhelper Build-Depends to (>= 8.1.0~).
  * debian/control: bump Standards-Version to 3.9.3.
  * debian/copyright: update copyright and migrate to format 1.0; thanks to
    Michael Biebl for the work. (LP: #907294)
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed.
  * debian/patches/dnsmasq-dnssec-passthrough.patch: dropped, applied upstream.
  * debian/patches/nl3-default-ip6-route.patch: dropped, applied upstream.
  * debian/libnm-glib4.symbols: add new symbols:
    + nm_device_connection_compatible@Base
    + nm_device_*_error_get_type@Base
    + nm_device_*_error_quark@Base
    + nm_secret_agent_get_registered@Base
  * debian/network-manager.postrm: cleanup timestamps and seen-bssids files on
    purge.
  * debian/network-manager.{pre,post}inst: clean up and remove old migration
    steps; we can reimplement just the ones we need in maintscript.
  * debian/network-manager.maintscript:
    - fix the migration of /etc/dbus-1/system.d/NetworkManager.conf to its new
      name /etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf, so we do
      not have leftover files after upgrade.
    - reimplement the rename of nm-system-settings.conf to NetworkManager.conf
      in this format (Debian has already done so).
  * debian/patches/git_doc_fixups_54618a7.patch: fix building documentation to
    make sure the documentation pages aren't missing for the new Bond, Vlan and
    InfiniBand settings.
  * debian/patches/git_format_string_vuln_verify_546c269.patch: fix a small
    format string vuln error in verify() for nm-setting-bond.c; as caught by gcc
    if building with -Werror=format-security.
  * debian/patches/fix-test18.patch: add the "test 18" test data for ifupdown
    tests. It was in git but missing from the release tarball.
  * debian/patches/whoopsie-daisy-dbus-support.patch: allow whoopsie access to
    the necessary DBus interfaces to make a decision about whether the
    connection is a billed one.
  * debian/debug-helper.py: carry our own copy of the debug helper. That's one
    other thing that is not shipped in the release tarball.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 27 Mar 2012 14:04:57 -0400

network-manager (0.9.3.995+git201203152001.04b2a74-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-03-15 20:01:30 (GMT)
    + 04b2a7433662540c87b5b5e58c7b1b5f9314f253
    + Bugfix only snapshot.
    - wifi: yet another nl80211 processing fix (LP: #956349)
    - docs: libnm-glib docs fixes for recent additions
    - docs: fix 'make distcheck' API doc xslt paths
    - core: fix carrier-triggered state re-entrancy issue (rh #800690)
    - core: fix queued state change debug message
    - cli: use nm_device_connection_valid() function from libnm-glib
    - libnm-glib: two object uniqueness fixes
    - libnm-util: don't assert on buggy drivers with no WEP cipher capabilities
    - libnm-glib: fix leaked NMDevice objects due to circular refcounting
    - libnm-glib: ensure nm_device_set_device_type() stays private
    - libnm-glib: prevent possible access of freed memory
    - Fix names of error enum values
    - po: updated Slovenian translation (bgo #671242)
    - trivial: fix completed VLAN connection name
    - cli: fix VLAN priority map listing
    - build: make VLAN code compatible with older kernels
    - wifi: fix typo in wifi detection code (bgo #671276)
  * debian/patches/git_nm_device_set_device_type_private.patch,
    debian/patches/git_libnm-util_wep_caps_assert_bb6da99.patch,
    debian/patches/git_glib_enum_dbus_nicks_54ef8f3.patch: dropped, applied
    upstream and included in this snapshot.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 16 Mar 2012 14:32:19 -0400

network-manager (0.9.3.995+git201203081848.bba834f-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-03-08 18:48:46 (GMT) (LP: #950313)
    + bba834f8428934608b58eb96aa2b81e413430346
    - Added VLAN support.
    - Added bonding support.
    - Added Firewalld support.
    - Added support for IP connectivity checking.
    - Updated translations for Ukrainian, Slovenian, Hungarian, Malayalam,
      Polish and Brazilian Portugese.
    - Miscellaneous bugfixes.
  * debian/patches/nm-change-dnsmasq-parameters.diff: refreshed, dropped the
    disabling of --strict-order, since that change made it upstream.
  * debian/patches/avoid-periodic-disk-wakeups.patch: dropped, this was fixed
    slightly differently upstream, keeping periodic updates of the timestamps
    in memory but avoiding to flush the changes to disk, see commit 0be930c.
  * debian/patches/manage-privacy-extensions.patch: dropped, applied upstream;
    the only part that wasn't applied is to default to privacy extensions being
    enabled...
  * debian/patches/enable-ipv6-privacy.patch: since we dropped the previous
    patch, update the defaults for PROP_IP6_PRIVACY to make sure IPv6 privacy
    extensions are enabled by default, to retain the same behavior we already
    had.
  * debian/patches/git_libnm-glib_ensure_device_state_aef4340.patch: dropped,
    applied upstream.
  * debian/patches/dnsmasq-dont-read-hosts.patch: dropped, applied upstream.
  * debian/patches/dnsmasq-dnssec-passthrough.patch: refreshed. 
  * debian/patches/git_nm_device_set_device_type_private.patch: make sure
    nm_device_set_device_type() stays private.
  * debian/libnm-glib4.symbols: add new symbols:
    + nm_device_bond_get_carrier@Base
    + nm_device_bond_get_hw_address@Base
    + nm_device_bond_get_type@Base
    + nm_device_bond_new@Base
    + nm_device_olpc_mesh_get_active_channel@Base
    + nm_device_olpc_mesh_get_companion@Base
    + nm_device_olpc_mesh_get_hw_address@Base
    + nm_device_olpc_mesh_get_type@Base
    + nm_device_olpc_mesh_new@Base
    + nm_device_vlan_get_carrier@Base
    + nm_device_vlan_get_hw_address@Base
    + nm_device_vlan_get_type@Base
    + nm_device_vlan_get_vlan_id@Base
    + nm_device_vlan_new@Base
  * debian/libnm-util2.symbols: add new symbols:
    + nm_connection_get_setting_vlan@Base
    + nm_setting_bond_get_option_default@Base
    + nm_setting_bond_get_valid_options@Base
    + nm_setting_ip6_config_get_ip6_privacy@Base (renamed from
      nm_setting_ip6_config_get_enable_ip6_privacy@Base)
    + nm_setting_ip6_config_privacy_get_type@Base
    + nm_setting_vlan_*
    + nm_vlan_flags_get_type@Base
    + nm_vlan_priority_map_get_type@Base
  * debian/network-manager.install: install the debug-helper.py script as a way
    for our users to change wpasupplicant, NetworkManager and ModemManager log
    levels easily; as /usr/lib/NetworkManager/debug-helper.py.
  * debian/control: add python to Suggests because the debug-helper.py script
    does require it, but leave it as just a Suggests because the script is
    simply there to make people's life easier when reporting bugs.
  * debian/patches/git_glib_enum_dbus_nicks_54ef8f3.patch: make sure the nicks
    for NM enums are properly set rather than defaulting to the automatic
    values from glib-mkenums; this should fix the nm-connection-editor bug
    with editing various types of connections. (LP: #951464, #953522) 
  * debian/patches/git_libnm-util_wep_caps_assert_bb6da99.patch: fix asserts
    in nm_util_security_valid() when devices (like those which use ipw2200)
    report no WEP capabilities. (LP: #908380)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Mar 2012 15:03:16 -0400

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu7) precise; urgency=low

  * debian/ifblacklist_migrate.sh: simplify the script and fix the logic to
    comment out any configuration under devices that are configured
    automatically to use DHCP, since in those cases NetworkManager will pick
    things up. (LP: #948217)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 08 Mar 2012 13:56:38 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu6) precise; urgency=low

  * debian/patches/dnsmasq-dnssec-passthrough.patch: have dnsmasq proxy DNSSEC
    data; otherwise we'll get DNSSEC-enabled sites show as non-DNSSEC in
    browsers (which would be a regression from the behavior of the libc
    resolver). (LP: #946093)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 05 Mar 2012 11:22:00 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu5) precise; urgency=low

  * debian/patches/git_libnm-glib_ensure_device_state_aef4340.patch: make sure
    we also update the device state in libnm-glib when the state-changed signal
    gets fired. (LP: #934117)
  * debian/control: update Vcs-Bzr; renamed the packaging branch.
  * debian/patches/dnsmasq-dont-read-hosts.patch: avoid dnsmasq caching old
    entries from /etc/hosts because they were listed when dnsmasq was started:
    have dnsmasq not read /etc/hosts at all, the libc resolver can properly
    take care of it on its own. (LP: #943339)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 Mar 2012 09:36:08 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu4) precise; urgency=low

  [ Gabor Kelemen ]
  * debian/network-manager.upstart: Make NM aware of the locale. (LP: #875017)

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/lp936712_dnsmasq_ip6_ns_ordering.patch: order IPv6
    nameservers before IPv4 ones in dnsmasq config: dnsmasq is able to properly
    deal with broken IPv6 nameservers (or routers). (LP: #936712)
  * debian/control: add Conflicts: connman to network-manager. (LP: #659460)
  * debian/patches/manage-privacy-extensions.patch: set the default for using
    IPv6 Privacy extensions to TRUE; this is just correcting an oversight from
    adapting the upstream patch. (LP: #176125)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Feb 2012 19:40:35 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu3) precise; urgency=low

  * debian/libnm-*-dev.install: add missing -enum.h files now that upstream
    uses glib-mkenums. (LP: #934505)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Feb 2012 18:39:16 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu2) precise; urgency=low

  * debian/control: add missing Build-Depends on python-gobject-2 and
    python-dbus which somehow appears to be required for tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Feb 2012 18:00:32 -0500

network-manager (0.9.2.0+git201202161854.8572ecf-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-02-16 18:54:47 (GMT)
    + 8572ecfd7cc823097ff80de54ed6d7e17059c4fb
  * debian/patches/nl3-default-ip6-route.patch: refreshed.
  * debian/patches/manage-privacy-extensions.patch: allow NM to manage privacy
    extensions on a per-connection basis.
  * debian/libnm-util2.symbols: add/update symbols:
    + nm_setting_ip6_config_get_enable_ip6_privacy@Base
    + nm_setting_802_1x_ck_format_get_type@Base
    + nm_setting_802_1x_ck_scheme_get_type@Base
    + nm_setting_bond_add_option@Base
    + nm_setting_bond_get_num_options@Base
    + nm_setting_bond_get_option@Base
    + nm_setting_bond_get_option_by_name@Base
    + nm_setting_bond_remove_option@Base
    + nm_setting_compare_flags_get_type@Base
    + nm_setting_diff_result_get_type@Base
    + nm_setting_gsm_network_band_get_type@Base
    + nm_setting_gsm_network_type_get_type@Base
    + nm_setting_hash_flags_get_type@Base
    + nm_setting_secret_flags_get_type@Base
    + nm_utils_security_type_get_type@Base
    + nm_wep_key_type_get_type@Base
  * debian/libnm-glib4.symbols: add new symbols:
    + nm_client_permission_get_type@Base
    + nm_client_permission_result_get_type@Base
    + nm_secret_agent_get_secrets_flags_get_type@Base
    + nm_wimax_nsp_network_type_get_type@Base
  * debian/patches/add_sendsigs_omissions.patch: move NM pid files for dhclient
    and dnsmasq (and also dhcpcd and named if they were used) to the
    /run/sendsigs.omit.d directory and with a slightly different name. This
    will let us skip over those processes as shutdown since they will be killed
    by NetworkManager when its upstart job stops. (LP: #869635)
  * debian/rules: re-enable tests; run them inside dbus-test-runner.
  * debian/control: Build-Depends on dbus-test-runner for tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Feb 2012 16:01:07 -0500

network-manager (0.9.2.0+git201202091925.c721477-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-02-09 19:25:59 (GMT)
    + c721477d11d4fe144111d6d2eec8f93f2e9186c9
  * debian/patches/avoid-periodic-disk-wakeups.patch: refreshed.
  * debian/patches/nl3-default-ip6-route.patch: refreshed.
  * debian/libnm-glib4.symbols: add symbols:
    + nm_active_connection_get_master@Base
    + nm_client_new_async@Base
    + nm_client_new_finish@Base
    + nm_remote_settings_new_async@Base
    + nm_remote_settings_new_finish@Base
    + nm_device_get_state_reason@Base
  * debian/libnm-util2.symbols: add symbols:
    + nm_setting_802_1x_get_pac_file@Base
    + nm_setting_infiniband_get_transport_mode@Base

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Feb 2012 16:45:41 -0500

network-manager (0.9.2.0+git201201101813.0b30200-0ubuntu2) precise; urgency=low

  * debian/patches/dnsmasq-vpn-dns-filtering.patch: update to fix crash when
    trying to add entries to dnsmasq with a NMIP{4,6}Config object that has no
    nameservers. (LP: #915825)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 16 Jan 2012 20:17:48 +0100

network-manager (0.9.2.0+git201201101813.0b30200-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
  * debian/libnm-util2.symbols: add new symbols:
    - nm_setting_vpn_get_num_data_items@Base
    - nm_setting_vpn_get_num_secrets@Base
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: filter nameservers before
    adding to dnsmasq to avoid using DNS servers which are unavailable due to
    a VPN taking the default route, or to be considered insecure when a VPN
    is connected. (LP: #898224)
  * debian/NetworkManager.conf: enable the use of DNSMasq as a resolver by
    default, NetworkManager will configure it based on DHCP responses and
    interface settings. See the 'foundations-p-dns-resolving' blueprint.
  * debian/control: move dnsmasq-base from a Recommends to a Depends.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 12 Jan 2012 11:01:32 +0100

network-manager (0.9.2.0+git201112151936.6b31828-0ubuntu3) precise; urgency=low

  * debian/patches/avoid-periodic-disk-wakeups.patch: avoid waking up disks to
    write a timestamp every 5 minutes; we already update the timestamp when
    connections are established, and it's enough to get a decent snapshot of
    connection activations. For VPN, also update on disconnect. (LP: #913856)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 10 Jan 2012 14:14:45 +0100

network-manager (0.9.2.0+git201112151936.6b31828-0ubuntu2) precise; urgency=low

  * debian/control: libnm-glib-vpn1 Breaks/Replaces libnm-glib2, to ease with
    upgrades from Lucid. (LP: #900509)
  * debian/rules: re-update the daily builds special case, we don't want to
    fail daily builds for new added symbols.
  * debian/patches/nm-change-dnsmasq-parameters.patch: change dnsmasq's params
    when it's started by NM to disable caching and not pass --strict-order.
    Thanks to Stéphane Graber for the patch. (LP: #903854)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 09 Jan 2012 14:07:45 +0100

network-manager (0.9.2.0+git201112151936.6b31828-0ubuntu1) precise; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2011-12-15 19:36:29 (GMT)
    + 6b31828f1890cdfd5d9a9700640f1dcb80961e9c
  * debian/patches/lp767868_refcount_default_wired_512a0f8.patch: dropped,
    applied upstream.
  * debian/patches/secrets_delete_conn_leak_e39449c.patch: dropped, applied
    upstream.
  * debian/patches/libnl3-cache-args.patch: refresh.
  * debian/patches/fix_reading_intlist-like_ssids_965d586.patch: dropped,
    applied upstream.
  * debian/patches/lp862134_resolv_conf_updates.patch: dropped, applied
    upstream.
  * debian/patches/ipv6-dont-block-ipv4.patch: dropped, applied upstream.
  * debian/patches/manual-ip6-manager.c: dropped, applied upstream.
  * debian/patches/core-improving-handling-of-rfkill-bgo-655773.patch: dropped,
    applied upstream.
  * debian/patches/nl3-default-ip6-route.patch: refreshed.
  * debian/patches/dhcpv6-duid-support.patch: refreshed.
  * debian/rules: shed a few characters from the version string for snapshots,
    starting with low-hanging fruit (there shouldn't often be multiple uploads
    per minute, and we have lots of unnecessary punctuation).
  * debian/libnm-util2.symbols: add symbols:
    + nm_connection_is_type@Base
    + nm_connection_get_setting_bond@Base
    + nm_connection_get_setting_infiniband@Base
    + nm_connection_get_setting_serial@Base
    + nm_connection_get_virtual_iface_name@Base
    + nm_setting_802_1x_get_password_raw*
    + nm_setting_bond_*
    + nm_setting_connection_get_master@Base
    + nm_setting_connection_get_slave_type@Base
    + nm_setting_connection_get_zone@Base
    + nm_setting_connection_is_slave_type@Base
    + nm_setting_get_virtual_iface_name@Base
    + nm_setting_infiniband_*
    + nm_utils_hwaddr_*
  * debian/libnm-glib4.symbols: add symbols:
    + nm_device_infiniband_get_carrier@Base
    + nm_device_infiniband_get_hw_address@Base
    + nm_device_infiniband_get_type@Base
    + nm_device_infiniband_new@Base
  * debian/control: update Build-Depends to look for libnl-3-dev instead of
    libnl3-dev.
  * debian/control: add libnl-genl-3-dev and libnl-route-3-dev to Build-Depends.
  * debian/network-manager.install: dbus config file NetworkManager.conf was
    renamed to org.freedesktop.NetworkManager.conf.

  [ Thomas Bechtold ]
  * debian/source_network-manager.py: cleanup and modernize the apport hook to
    take into account nmcli.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Dec 2011 21:43:09 -0500

network-manager (0.9.2.0-2) unstable; urgency=low

  * Build against libnl3.
  * Change section of gir1.2-networkmanager-1.0 to introspection.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * debian/patches/04-ifupdown-support-dns-search-entries.patch
    - Support dns-search entries in /etc/network/interfaces as used by
      resolvconf and openresolv. (Closes: #651447)
      Patch cherry-picked from upstream Git.
  * Add Recommends on crda to apply regulatory domain settings for wireless
    devices. (Closes: #653706)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2012 13:16:32 +0100

network-manager (0.9.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Removed, applied upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 05:50:39 +0100

network-manager (0.9.1.95-1) unstable; urgency=low

  * New upstream release (0.9.2 rc1).
    - Fix connection sharing with newer iptables versions. (Closes: #638995)
    - Fix handling of numeric SSIDs in the keyfile plugin. (Closes: #642912)
  * debian/watch: Track .xz tarballs.
  * debian/libnm-util2.symbols: Add new symbols for libnm-util.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Avoid blowing away existing routes and resolv.conf if NM never managed
      any devices. (Closes: #546893, #624159, #637005, #641904)
  * debian/control: Add Build-Depends on libglib2.0-doc for proper
    cross-references in the gtk-doc API documentation.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2011 21:32:50 +0100

network-manager (0.9.1.90-0ubuntu6) precise; urgency=low

  * debian/patches/core-improving-handling-of-rfkill-bgo-655773.patch:
    Fix the rfkill handling with the improved block state determination
    logic among the platform driver and the non-platform driver.
    (LP: #887834)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Thu, 24 Nov 2011 15:41:54 +0800

network-manager (0.9.1.90-0ubuntu5) oneiric-proposed; urgency=low

  * debian/patches/fix_reading_intlist-like_ssids_965d586.patch: Fix numeric
    SSIDs parsing; if there is no semicolon, except the file is in new format
    (so just a valid, all-nums SSID rather than a integer list). (LP: #874328)
  * debian/patches/lp862134_resolv_conf_updates.patch: don't update routing
    and DNS for unmanaged devices or devices transitioning to unmanaged; in an
    attempt to keep possibly correct resolv.conf contents and routes.
    (LP: #862134)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Oct 2011 07:36:41 -0400

network-manager (0.9.1.90-0ubuntu4) oneiric-proposed; urgency=low

  * debian/patches/lp859373_upgrade_policy_fix.patch: keep providing the
    use-user-connections PolicyKit policy to help with upgrades from previous
    releases. (LP: #859373)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 13 Oct 2011 17:59:26 -0400

network-manager (0.9.1.90-0ubuntu3) oneiric; urgency=low

  * debian/patches/nl3-default-ip6-route.patch: set destination for default
    gateway as an all-zero in6_addr rather than NULL (since libnl3 requires
    setting a destination). (LP: #856209)
  * debian/patches/manual-ip6-manager.patch: provide an unused but set ipv6
    manager object so manual routes are torn down when a device is deactivated.
  * debian/patches/dhcpv6-duid-support.patch: update to avoid spewing out debug
    messages as warnings/info.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Oct 2011 15:03:22 -0400

network-manager (0.9.1.90-0ubuntu2) oneiric; urgency=low

  * debian/patches/libnl3-cache-args.patch: unbreak setting route priorities,
    which will also unbreak cases where connections fails when  wired and wifi
    are connected to the same network. (LP: #856333)
  * debian/patches/dhcpv6-duid-support.patch: support handling DUIDs for DHCPv6
    requests, as defined by RFC 3315, section 9. (LP: #849994)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Sep 2011 11:59:27 -0400

network-manager (0.9.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #855592)
    - core: print textual desc for reason codes on device deactivation too
    - supplicant: Don't leak secrets, even if they're probably invalid
    - core: storing timestamps also for VPN connections (rh #725353)
    - wifi: remove some dead code
    - ppp: pass novj through to pppd
    - monitor: Use nl_socket_alloc() instead of nl_socket_alloc_cb()
    - core: Fix check for failure in translating link name to ifindex
    - netlink: fix flags use in nm_netlink_route_add
    - core: Fix leaks if address parsing fails while setting mac
    - core: fix leaked address structure after parsing mac address
    - ip6: various leak fixes and sanity checks
    - keyfile: fix two bugs for updating/writting a keyfile
    - sharing: fix handling of rule negation (debian #638995)
    - cli: print 'Permissions' property of NMSettingConnection setting
    - cli: add missing GSM bands for GSM setting
    - cli: add 'nmcli con delete' command for removing configured connections
    - cli: nm_access_point_get_bssid instead of nm_access_point_get_hw_address
    - dnsmasq: use '@interface' for link-local DNS servers in dnsmasq config
    - settings: preserve agent secrets the right way
  * debian/patches/libnl3-support-0fe8c80.patch: dropped, included upstream.
  * debian/libnm-util2.symbols: add new secrets symbols:
    - nm_connection_clear_secrets_with_flags
    - nm_settings_clear_secrets_with_flags
  * debian/patches/ipv6-dont-block-ipv4.patch: refreshed, rework to follow
    upstream review and recommendations.
  * debian/patches/lp767868_refcount_default_wired_512a0f8.patch: correct ref
    counting of the default wired connection when it's re-saved once changed
    from the original default values. (LP: #767868)
  * debian/patches/secrets_delete_conn_leak_e39449c.patch: cherry-pick upstream
    fix of a leak of the connection object when secrets are deleted for a
    connection.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Sep 2011 12:08:51 -0400

network-manager (0.9.0-2) unstable; urgency=low

  * Add Breaks against network-manager-openconnect (<< 0.9) and
    plasma-widget-networkmanagement (<< 0.9~) to avoid partial upgrades.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Sep 2011 02:29:40 +0200

network-manager (0.9.0-1) experimental; urgency=low

  * New upstream release.
    - Properly enforce PolicyKit settings controlling the permissions to
      configure wireless network sharing. (CVE-2011-2176, Closes: #631520)
  * Update symbols files.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 00:40:48 +0200

network-manager (0.9.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: disable the patch,
    it causes an issue with mobile broadband connections. (LP: #840082)
    Reopens LP: #761558.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 08 Sep 2011 17:02:34 -0400

network-manager (0.9.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: default to AUTO for
    IPv6 method if the setting is missing (e.g. default new connection for new
    devices). (LP: #761558)
  * debian/patches/libnl3-support-0fe8c80.patch: fix nm_netlink_route_add() to
    take into account flags already passed (e.g. for replacing routes).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 02 Sep 2011 10:28:15 -0400

network-manager (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/libnl3-support-0fe8c80.patch: replace libnl3-port.patch; use
    a cherry-pick from upstream with the same changes.
  * debian/patches/lp120363_smartcard_pkcs11.patch: dropped, it's high effort
    to maintain across releases, essentially needs to be re-done, and doesn't
    even appear to work. (Reopens: #120363).
  * debian/libnm-util2.symbols: fixup 802.1x symbols:
    - remove symbols coming from lp120363_smartcard_pkcs11.patch.
    - add new 802.1x subject/altsubject handling symbols from 0.9.0.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 10:39:40 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu2) oneiric; urgency=low

  * debian/control: bump libnl Build-Depends to libnl3-dev.
  * debian/patches/libnl3-port.patch: backport changes from NM's libnl3 git
    branch to port to libnl3 APIs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Aug 2011 10:17:28 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-21 04:56:48 (GMT)
    + 36db194ae95e35cc7b8f431ab984780dea24656d
    - libnm-util: default to allowing v6 connections to fail (set to optional)
  * debian/patches/ipv6-dont-block-ipv4.patch: don't block waiting for IPv6 to
    apply IPv4 connection settings.
  * debian/libnm-glib4.symbols: add new nm_client_get_device_by_iface symbol.
  * debian/libnm-util2.symbols: add new symbols:
    - nm_setting_wired_get_mac_address_blacklist
    - nm_setting_wireless_get_mac_address_blacklist

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 25 Jul 2011 20:01:12 -0400

network-manager (0.8.9997+git.20110614t173923.b4a72d1-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-06-14 17:39:23 (GMT)
    + b4a72d1ad794aef4c623fd530fc38ceb9b95456d
    - libnm-glib: fix crash for AddAndActivateConnection (LP: #795871)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Jun 2011 15:12:50 -0400

network-manager (0.8.9997-1ubuntu2) oneiric; urgency=low

  * debian/rules: re-install ifblacklist-migrate.sh so installs from the
    alternate image correctly factor out devices managed by NetworkManager.
    (LP: #790604)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 31 May 2011 10:06:33 -0400

network-manager (0.8.9997-1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Add debian/README.source.
    - Add dh-autoreconf, libnotify-dev, isc-dhcp-client to Build-Depends.
    - Have network-manager Depends on iproute, iputils-arping.
    - Have network-manager Recommends the -pptp plugin as well as the different
      alternate UIs (n-m-gnome, -kde, or plasma-widget-networkmanagement).
    - Add a stub for hostname events to the dispatcher script.
    - Use an Upstart startup script instead of a SystemD init script.
    - debian/network-manager.install: install the apport hook.
    - debian/network-manager.links: add a link to the apport hook to reuse for
      nm-applet.
    - debian/network-manager.prerm: add a task to stop NetworkManager when
      removing the package
    - debian/network-manager.{post,pre}{inst,rm}: drop some unnecessary
      migration steps and adjust versioning for Ubuntu package upgrades.
    - Drop debian/patches/02-dbus_access_network_manager.patch; as we don't use
      the netdev group to limit access to devices in Ubuntu.
    - debian/rules: use NSS instead of GnuTLS for crypto functions.
    - debian/rules: run dh with autoreconf.
    - debian/rules: run intltool-update in install.
    - debian/rules: add variables and targets for git snapshots.
    - debian/rules: use dh_makeshlibs with -c4 to check for changed symbols.
  * debian/patches/70_lp145653_no_sigaction_for_crashes.patch: refresh and
    update to also let apport catch SIGFPE crashes.
  * debian/patches/lp191889_always_offline_with_unmanaged_devices.patch:
    refreshed.
  * debian/patches/lp120363_smartcard_pkcs11.patch: refreshed so it applies
    cleanly.
  * debian/patches/50_gettext_macros.patch: workaround intltoolize issue to
    have configure generate po/Makefile.in.in.
  * debian/rules: disable tests, they fail because dbus can't be started without
    DISPLAY, which is complex in buildds. We can make do without them for now.
  * debian/network-manager.install: drop installing nm-vpn-properties.1; we
    don't generate it anymore and there is no binary that matches it.
  * debian/libnm-util2.symbols: readd symbols introduced by the smartcard patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 30 May 2011 09:53:52 -0400

network-manager (0.8.9997-1) experimental; urgency=low

  * New upstream release (0.9 rc3).
    - Correctly pass iface parameter to dispatcher scripts. (Closes: #627610)
  * Update debian/libnm-glib4.symbols and debian/libnm-util2.symbols for new
    API additions.
  * debian/network-manager-dispatcher.script
    - Handle dhcp4-change and dhcp6-change events (by doing nothing). This
      prevents the 01ifupdown dispatcher script from logging an error on DHCP
      lease changes. (Closes: #628154)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 21:54:09 +0200

network-manager (0.8.999-1) experimental; urgency=low

  * New upstream release (0.9 rc2).
  * Refresh debian/patches/03-systemd.patch.
  * Update debian/libnm-glib4.symbols and debian/libnm-util2.symbols.
  * Merge changes from unstable branch.
  * Update package descriptions.
  * Install NetworkManager-wait-online.service unit file but keep it disabled
    by default. This unit can be used to delay network.target until the
    network is actually up.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 22:56:20 +0200

network-manager (0.8.998-1) experimental; urgency=low

  * New major upstream release (0.9 rc1).
    - Support for fast user switching. (Closes: #563560)
    - API simplification. User settings have been merged into the core daemon,
      i.e. system connections by default. Secrets are provided by so called
      secret agents which can be either system wide or user specific (e.g. VPN
      passwords).
    - Support for WiMaX (currently disabled as the WiMaX SDK is not packaged
      yet).
   * debian/control
     - Bump Build-Depends on libglib2.0-dev to (>= 2.22).
     - Bump Build-Depends on libudev-dev to (>= 147).
     - Bump Breaks against other network-manager-* packages to avoid partial
       upgades.
     - Bump Depends on wpasuplicant to (>= 0.7.3-1) for the new wpasupplicant
       D-Bus interface.
     - Bump Standards-Version to 3.9.2. No further changes.
   * Refresh debian/patches/02-dbus_access_network_manager.patch.
   * SONAME bump for libnm-glib (2→4) and libnm-util (1→2).
     - Rename *.install and *.symbols files.
     - Update debian/control.
     - Update *.symbols files.
   * Update *.install files.
     - Drop static libraries from *-dev packages.
     - Install new header files for libnm-glib-dev.
     - Install network-manager gtk-doc documentation.
     - Drop keyfile plugin, it is now built into the core.
  * Enable gobject introspection support
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0 and
      gir1.2-freedesktop.
    - Add package gir1.2-networkmanager-1.0 containing the typelib files.
    - Add Depends on gir1.2-networkmanager-1.0 (= ${binary:Version}) to
      libnm-glib-dev and libnm-util-dev according to the new policy.
    - Install gir files in libnm-glib-dev.install and libnm-util-dev.install.
    - Call dh_girepository for libnm-glib4 and libnm-util2 in debian/rules.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Apr 2011 06:49:57 +0200

network-manager (0.8.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 11:05:42 +0200

network-manager (0.8.4-0ubuntu1) oneiric; urgency=low

  * Upstream release 0.8.4.
  * debian/source/format: migrate to package format 3.0 (quilt)
  * debian/patches/99_printf_formatting_fixes.patch: dropped, applied upstream.
  * debian/patches/git_disconn_secrets_reqs_b613a17.patch,
    debian/patches/git_wwan_state_detection_d0a1b23.patch, 
    debian/patches/git_wired_ap_scan_value_a262dc4.patch: dropped,
    applied upstream.
  * debian/patches/lp120363_smartcard_pkcs11.patch: refreshed, for reordering
    the new symbols in the symbols list file.
  * debian/patches/02-dbus_access_network_manager.patch: dropped, no longer
    required (hal is deprecated).
  * debian/control: merge Debian changes and migrate to DH instead of CDBS:
    - bump debhelper Build-Depends to >= 8.
    - add Build-Depends on dh-autoreconf.
    - sync Build-Depends with Debian's; this drops automake1.9, cdbs, quilt,
      gnome-common, libgnome-keyring-dev, libgnomeui-dev, libpanel-applet2-dev,
      libglade2-dev, libgconf2-dev, iproute.
    - add new package network-manager-dbg for debug symbols.
    - bump Standards-Version to 3.9.2.
  * debian/control: merge binary packages dependencies with Debian, important
    changes:
    - network-manager: Depends adds udev and isc-dhcp-client (>= 4.1.1-P1-4)
    - network-manager: Recommends: adds policykit-1
    - network-manager: Suggests: adds avahi-autoipd
  * debian/compat: bump to compat level 8.
  * debian/rules:
    - migrate to use dh instead of CDBS.
    - add override for dh_strip to correctly strip NM to the new
      package network-manager-dbg. 
    - cleanup more extra files left behind by the build.
  * debian/libnm-glib-dev.install,
    debian/libnm-glib-vpn-dev.install: clean up and sync with Debian.
  * debian/libnm-glib-dev.links: drop links to legacy names for .pc files,
    introduced in Karmic for a transition: they're not required anymore.
  * debian/libnm-util-dev.install: sync with Debian.
  * debian/network-manager.install:
    - don't ship .a and .la files.
    - explicitly install /usr/bin/nm-online.
    - install dispatchers from upstream in /etc/NetworkManager/dispatcher.d.
    - install extra udev rules from upstream.
  * debian/network-manager.dirs: sync with Debian.
  * debian/network-manager.docs: define additional upstream files to ship as
    documentation.
    - drop ifblacklist_migrate.sh and /usr/share/NetworkManager/gdb-cmd
  * debian/network-manager.postrm: drop old code migrating /etc/dbus-1/event.d.
  * debian/network-manager.postinst: drop code migrating /etc/dbus-1/event.d.
  * debian/copyright: sync with Debian.
  * debian/README.Debian: add information about using System-level settings and
    connections.
  * debian/watch: because I can.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 May 2011 12:59:53 -0400

network-manager (0.8.4~git.20110319t175609.d14809b-0ubuntu3) natty; urgency=low

  * debian/patches/git_disconn_secrets_reqs_b613a17.patch: fix cleaning up
    NMVPNManager objects when stopping the deamon. (LP: #737713)
  * debian/patches/git_wwan_state_detection_d0a1b23.patch: fix enabled state
    detection. (LP: #756553)
  * debian/patches/git_wired_ap_scan_value_a262dc4.patch: wired 802.1x
    connections need to set ap_scan=0 for the supplicant, which apparently had
    been dropped at some point.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 Apr 2011 17:24:02 -0400

network-manager (0.8.4~git.20110319t175609.d14809b-0ubuntu2) natty; urgency=low

  * debian/control: split libnm-glib2 into a separate binary for the VPN parts
    of the API, the new package will be called libnm-glib-vpn1. (LP: #745769)
  * debian/libnm-glib2.install, debian/libnm-glib-vpn1.install: update to
    correctly install just libnm-glib-vpn.so.* from libnm-glib-vpn1.
  * debian/libnm-glib2.symbols, debian/libnm-glib-vpn1.symbols: move symbol
    definitions for libnm-glib-vpn.so to their own package.
  * debian/control: depend on libnm-glib-vpn1 from libnm-glib2, as a
    transitional measure to maintain compatibility with the VPN plugins.
  * debian/control: have libnm-glib2 and libnm-glib-vpn1 Breaks/Conflicts with
    previous revisions of libnm-glib2, for upgrade purposes.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 04 Apr 2011 22:37:19 -0400

network-manager (0.8.4~git.20110319t175609.d14809b-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-03-19 17:56:09 (GMT)
    + d14809b6ae1986372bc2bc25f2f92f501f0f678a
    - logging: fix format string/argument disagreements
    - logging: clean up logging macros and helper
    - release: bump version to 0.8.3.998 (0.8.4-rc1)
    - api: fix mistakenly absent Dhcp6Config device property
    - libnm-glib: make sure nm_device_get_dhcp6_config() is visible
    - arch: create /var/run/NetworkManager if doesn't exist in initscripts
      (bgo #643902)
    - po: remove useless '&nbsp;' for French translation (bgo #644110)
    - ifupdown: normalize keys using - or _ (debian #609831)
    - build: fix unresolved symbols when building gtk-doc scanner with GCC 4.5
    - dnsmasq: remove unused variable
    - dnsmasq: send no config file instead of a bogus one (LP: #725041)
    - core: fix some code that required glib 2.26
    - keyfile: trivial whitespace fixes
    - settings: fix some code that required glib 2.26
    - release: bump version to 0.8.3.997 (0.8.4-beta3)
    - build: fix bug tracker link
    - dhcp: don't quit if we can't find a usable DHCP client (bgo #643575)
    - keyfile: write certificates and keys in a human-readable manner
    - ifcfg-rh: fix leak writing out certificate blobs
    - keyfile: allow paths to be used for certificates and private keys
    - include: add NM_CHECK_VERSION define
    - core: fix sorting connections after timestamps handling change
    - examples: simplify system wifi connection example
    - examples: new example for adding system WPA EAP-TLS wifi connection
    - ifcfg-rh: fix testcases now that timestamps are no longer written
  * debian/patches/dnsmasq_conffile_conn_sharing.patch: drop, applied upstream.
  * debian/patches/fix_sorting_connections_w_tstamp_3194cb9.patch: included.
  * debian/patches/gtkdoc-build-requires-gobject.patch: drop, applied upstream.
  * debian/libnm-glib2.symbols: add new nm_device_get_dhcp6_config@Base symbol.
  * debian/patches/99_printf_formatting_fixes.patch: replace %zd formats with
    the appropriate format modifiers for time_t and unsigned long.
  * debian/network-manager-dev.install: install missing nm-version.h include.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Mar 2011 12:00:10 -0400

network-manager (0.8.4~git.20110228t143901.5cdded6-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-02-28 14:39:01 (GMT) (LP: #726820)
    + 5cdded6b66bdc371acb29e76187b174c55c11470
    - docs: explicitly list libnm-glib objects
    - libnm-util: fix parameter name for docs generator
    - api: add missing Settings.System D-Bus interface bits
    - ifcfg-rh: get rid of LAST_CONNECT
    - core/libnm-glib: don't touch files in /etc when updating timestamps
    - release: bump version to 0.8.3.996 (0.8.4-beta2)
    - api: document more VPN connection failure codes (bgo #643324)
    - libnm-util: silently ignore non-secrets when updating connection secrets
    - libnm-util: fix updating secrets (rh #680385)
    - keyfile: fix tests for no-longer-required serial and PPP settings
    - ip6: fail activation if addrconf fails to start
    - core: don't require serial and PPP settings for mobile broadband
    - ppp: fix warning when PPP support is disabled
    - libnm-util: bump version for several recent changes
    - release: bump version to 0.8.3.995 (0.8.4-beta1)
    - release: update NEWS with changes since 0.8.2
    - libnm-util: fix updating secrets
    - core: flush IPv6 routes even if configuration failed (bgo #641333)
      (LP: #704812)
    - libnm-util: remove GObject Introspection annotations
    - gentoo: simplify OpenRC detection
    - libnm-util: add nm_connection_diff()
    - dns: fix up updating resolv.conf (rh #672282)
    - Revert "libnm-glib: return enums for NMAccessPoint flags accessors"
    - build: allow disabling PPP support at build time
    - core: fix dbus-glib crash on shutdown with systemd
    - libnm-glib: return enums for NMAccessPoint flags accessors
    - libnm-util: fix description of bluetooth setting type property
    - test: don't crash libnm-glib if there are no devices for an active
      connection
    - test: don't crash libnm-glib-test if there aren't any APs
  * debian/patches/revert_52f2295.patch: dropped, fixed upstream.
  * debian/libnm-util1.symbols: adding new symbols introduced upstream:
    - nm_connection_diff
    - nm_setting_diff
  * debian/patches/fix_sorting_connections_w_tstamp_3194cb9.patch: fix sorting
    connections following upstream commit 7d707bd, which is necessary for auto
    activations.
  * debian/patches/dnsmasq_conffile_conn_sharing.patch: don't pass a bogus conf
    file to dnsmasq, just pass no file parameter (LP: #725041)
  * debian/rules: enable build-time tests. (LP: #727395)
  * debian/patches/70_lp145653_no_sigaction_for_crashes.patch: add .pc file
    generated by quilt to POTFILES.skip, otherwise the build will fail due to
    the tests we now run detecting a localizable file missing from templates.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 04 Mar 2011 10:53:59 -0500

network-manager (0.8.3.999-1) unstable; urgency=low

  * New upstream release (0.8.4 rc2).
  * Update debian/watch, switch to bzip2.
  * Use dh_installinit -R instead of -r and stopping manually in postinst.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 23:06:53 +0200

network-manager (0.8.3.998-1) unstable; urgency=low

  * New upstream release (0.8.4 rc1).
    - Store connection timestamps for system connections in
      /var/lib/NetworkManager. (Closes: #612424)
    - Send hostname when using DHCP. (Closes: #561532)
  * Bump debhelper compatibility level to 8.
  * Remove patches (merged upstream)
    - d/p/40-umanaged-interfaces.patch
    - d/p/50-bridge-interfaces.patch
    - d/p/51-normalized-keys.patch
    - d/p/60-policy-stop-touching-etc-hosts.patch
    - d/p/70-install-nm-online.patch
    - d/p/80-keyfile-ignore-temporary-files.patch
    - d/p/81-keyfile-quiet-keyfile-plugin-when-re-read-connection.patch
    - d/p/82-core-handle-device-removal.patch
    - d/p/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
  * Update debian/libnm-glib2.symbols and debian/libnm-util1.symbols.
  * Update debian/network-manager-dev.install, install nm-version.h.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Mar 2011 20:55:36 +0100

network-manager (0.8.3+git.20110210t152733.00327fb-0ubuntu2) natty; urgency=low

  * debian/patches/revert_52f2295.patch: revert upstream commit 52f2295,
    "libnm-util: fix possible crash in nm_setting_update_secrets()",
    until it can be further investigated: it breaks at least PPTP VPNs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 11 Feb 2011 15:03:12 -0500

network-manager (0.8.3+git.20110210t152733.00327fb-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-02-10 15:27:33 (GMT)
    + 00327fb82d5cb9d9dc63abe6477baf819fcffdd9
    - cli: improve/add NM running checks
    - cli: don't poke NetworkManager D-Bus service names when it's not running
    - logging: don't print extraneous newline in syslog
    - libnm-util: make NM_SETTING_IP4_CONFIG_DHCP_SEND_HOSTNAME property TRUE
      by default (rh #488975)
    - settings: fix plugin capabilities max value
    - vpn: fix memory leak when activating a VPN connection
    - vpn: fix VPN active connection D-Bus API handling (bgo #569294)
    - build: turn off set-but-not-used variable warnings in new GCC
    - cli: add support for WWAN connections for 'nmcli con up' (bgo #640020)
    - libnm-util: fix possible crash in nm_setting_update_secrets()
    - wired: clear wired secrets tries counter when appropriate
    - wifi: clear wireless secrets tries counter when deactivating
    - core: lack of an IPv4 setting indicates DHCP (novell #664640)
    - core: handle D-Bus disconnect better on exit
    - policy: don't update hostname on exit
    - modem: handle IP Method changes after modem has been created
  * debian/control: bump Standards-Version to 3.9.1.
  * debian/control: fix/cleanup Description fields, move Homepage to its field.
  * debian/network-manager.postrm: cleanup old cruft, partially sync to Debian.
  * debian/network-manager.preinst: cleanup, sync some parts with Debian.
  * debian/network-manager.postinst: cleanup, sync parts with Debian.
  * debian/network-manager.preinst,
    debian/network-manager.postrm,
    debian/network-manager.postinst:
    Move NM's main config file to /etc/NetworkManager/NetworkManager.conf.
  * debian/nm-system-settings.conf: renamed to NetworkManager.conf.
  * debian/network-manager.install:
    - mostly sync with Debian.
    - install NetworkManager.conf rather than nm-system-settings.conf.
  * debian/compat: using debhelper 7, compat should have been at 7 long ago.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 11 Feb 2011 11:32:40 -0500

network-manager (0.8.3+git.20101219t181118.e919218-0ubuntu2) natty; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/source_network-manager.py:
    - Replace HAL usage by udev and other means. (LP: #654900)
    - Make Gconf/settings/scan results inclusion conditional (LP: #389702)
  * debian/patches/gtkdoc-build-requires-gobject.patch: explicitly link against
    gobject-2.0 to build documentation files.

  [ Thomas Bechtold ]
  * Install gtk-doc API with libnm-util-dev and libnm-glib-dev (LP: #706965)
    - update debian/libnm-glib-dev.install
    - update debian/libnm-util-dev.install
  * Regenerate libnm-glib, libnm-util documentation at build time
    - update debian/rules

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Feb 2011 11:34:46 -0500

network-manager (0.8.3+git.20101219t181118.e919218-0ubuntu1) natty; urgency=low

  * upstream snapshot 2010-12-19 18:11:18 (GMT)
    + e91921814569bf9033fa0779837a77b22eb98e4a 
    - libnm-util: fix a memory leak in nm_setting_to_string()
    - various ipv6 fixes
    - libnm-util: fix nm_utils_security_valid() checks for Ad-Hoc APs
    - dns: direct IPv4 reverse DNS queries to split DNS servers
    - policy: stop touching /etc/hosts
    - dhclient: split out dhclient config merging and add testcases
    - dhclient: explicitly request WPAD option (bgo #368423)
  * Drop the patch to not write localhost.localdomain in /etc/hosts, it's no
    longer needed now that NM doesn't change the hosts file.
    - delete debian/patches/never-localhostlocaldomain.patch
    - update debian/patches/series
  * debian/libnm-glib2.symbols: Add new symbols for libnm-glib2:
    + nm_dhcp6_config_get_one_option
    + nm_dhcp6_config_get_options
    + nm_dhcp6_config_get_type
    + nm_dhcp6_config_new
  * Add vpn-up/vpn-down options for the NM dispatcher script. This should really
    fix bug 661951. (LP: #661951)
    - update debian/network-manager-dispatcher.script

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 20 Dec 2010 13:55:42 -0500

network-manager (0.8.3+git.20101209t061929.638fb18-0ubuntu1) natty; urgency=low

  * upstream snapshot 2010-12-09 06:19:29 (GMT)
    + 638fb1878019ac75617b653d13f4970af6e9c970
    - core: correct TIMESTAMP type; fixes potential crash when time() is 32bit
      (LP: #686320)
    - libnm-glib: actually define the "ip-interface" property
    - ifupdown: Correctly mark unmanaged devices (debian #569215)
    - ifupdown: Allow to mark bridge ports as unmanaged (debian #530335)
  * Finish fixing daily builds: explicitly checkout/switch to the branch we're
    interested in before pulling new revisions so that it get properly updated.
    - update debian/rules
  * Revert s390 devices patch, it was applied upstream.
    - remove debian/patches/fix-natty-build.patch
    - update debian/patches/series
  * Add support for the 'hostname' dispatcher action that would previously
    trigger useless "exited with error status 1" messages (but not actually
    break anything). For now it will just exit doing nothing. (LP: #661951)
    - update debian/network-manager-dispatcher.script

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 10 Dec 2010 12:26:21 -0500

network-manager (0.8.3~git.20101118t223039.d60a988-0ubuntu1) natty; urgency=low

  * upstream snapshot 2010-11-18 22:30:39 (GMT)
    + d60a988518cb0851488bc21732271a971877cdcd

  [ Evan Broder ]
  * Check for notify-reboot-required, instead of depending on it being
    available. (LP: #669925)

  [ Mathieu Trudel-Lapierre ]
  * explicitly always get HEAD rather than the branch's name in get-orig-source
    - update debian/rules
  * drop do-not-include-netif.patch; the header conflict was fixed in a kernel
    update
    - remove debian/patches/do-not-include-netif.patch
    - update debian/patches/series
  * Short-circuit the /etc/hosts update mechanisms to avoid adding useless
    localhost(6?).localdomain(6?) on loopback addresses. (LP: #677496)
    - add debian/patches/never-localhostlocaldomain.patch
    - update debian/patches/series

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 22 Nov 2010 09:35:21 -0500

network-manager (0.8.2-6) unstable; urgency=medium

  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/control
    - Remove old Conflicts/Replaces which were required for upgrades to
      squeeze.
    - Bump Breaks against network-manager-gnome to (<< 0.8.2) to avoid
      partial upgrades which can lead to problems with user settings for
      ethernet connections. (Closes: #612291)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 20:59:46 +0100

network-manager (0.8.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 15:29:32 +0100

network-manager (0.8.2-4) experimental; urgency=low

  * Cherry-pick patch from upstream to correctly handle device removal when
    properties are unreadable. (Closes: #605570)

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 16:59:37 +0100

network-manager (0.8.2-3) experimental; urgency=low

  * Cherry-pick two patches from upstream Git to make the keyfile plugin
    ignore temporary files and be more quiet when re-reading connections which
    have not changed.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Add debian/network-manager.docs.
  * Enable systemd support
    - Install NetworkManager.service unit file in /lib/systemd/system.
    - Add --with-systemdsystemunitdir=/lib/systemd/system to configure flags.
    - Add debian/patches/03-systemd.patch containing Debian specific tweaks
      for the NetworkManager.service unit file.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:28:04 +0100

network-manager (0.8.2-2) experimental; urgency=low

  * Fix installation of nm-online.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:49:50 +0100

network-manager (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Set timestamp for system connections. (Closes: #509817)
  * Remove patches, merged upstream
    - debian/patches/10-dont_require_ifup_for_lo.patch
    - debian/patches/30-typo_fix.patch
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * Make sure gtk-doc API documentation is built
    - Add Build-Depends on gtk-doc-tools.
    - Add --with-docs configure option.
  * debian/network-manager.preinst
    - Remove pre-lenny conffile upgrade code.
  * debian/network-manager.{install,manpages}
    - Install nm-online binary and man page.
  * debian/patches/02-dbus_access_network_manager.patch
    - Update policy for group netdev based on upstream changes for at_console.
  * debian/patches/60-policy-stop-touching-etc-hosts.patch
    - Stop touching /etc/hosts. Rely on the debian installer to setup
      /etc/hosts so the hostname is resolvable. Patch cherry-picked from
      upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 06:47:11 +0100

network-manager (0.8.2-0ubuntu1) natty; urgency=low

  * new upstream release 0.8.2
    - update timestamp in active system connections every 5 mins
    - ignore authorization for sleep/wake requests (but restrict to root)
    - add timestamp to default auto wired connections (LP: #447067)
    - don't crash if for some reason HW addresses aren't available (bgo #630534)
    - ensure Enabled state is preserved regardless of rfkill (LP: #387345)
    - add dhcp4-change and dhcp6-change events (bgo #563654)
    - validate Enable/Disable WiFi and WWAN requests
    - handle VPN service installation/removal dynamically (LP: #458595)
    - let plugins forbid VPN connections from getting the default route
      (LP: #598357)
    - work around dbus-glib property access bug (CVE-2010-1172)
    - ensure dhcp_manager exists before trying to unref it (bgo #626610)
  * drop dhcp3 support patch, it was applied upstream.
    - remove debian/patches/99-support-dhcp3.patch
    - update debian/patches/series
  * drop cherry-picked patches to /etc/hosts handling, their changes are
    included in the source tarball:
    - remove debian/patches/lp659872_dont_overwite_hosts_aliases_ee9ce60.patch
    - remove debian/patches/lp632896_cleanup_etc_hosts.patch
    - update debian/patches/series
  * Properly document workflow for working on NM packaging.
    - add debian/README.source
  * Slight change to GET_SOURCE script. Looks like we were looking for the
    "orig" keyword in the wrong variable.
    - update debian/rules
  * Fix typo in README.source
    - update debian/README.source
  * network-manager Breaks: dhcp3-client (<< 4.1.1-P1-11) to provide seemless
    upgrades to isc-dhcp 4 and avoid unnecessary compatibility issues
  * switch Build-Depends from dhcp3-client to isc-dhcp-client >= 4.1.1 to make
    sure we don't build with an old version of DHCP.
  * libnm-glib2 also Breaks: dhcp3-client (<< 4.1.1-P1-11)
    - debian/control
  * libnm-util1 Breaks: dhcp3-client (<< 4.1.1-P1-11) as well
    - debian/control
  * Patch various files to support building with kernel headers 2.6.36 and
    newer (otherwise it conflicts with libc headers for interface structures)
    - debian/patches/do-not-include-netif.patch
    - debian/patches/series

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 09 Nov 2010 13:01:48 -0500

network-manager (0.8.1+git.20100810t184654.ab580f4-0ubuntu4) natty; urgency=low

  * Pre-initialize the parent GUdevDevice in _update_s390_subchannels, it caused
    n-m to fail to compile on natty.
    - add debian/patches/fix-natty-build.patch
    - update debian/patches/series

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 20 Oct 2010 10:33:49 -0400

network-manager (0.8.1+git.20100810t184654.ab580f4-0ubuntu3) natty; urgency=low

  [ Anders Kaseorg ]
  * Remove stale entries for the system hostname from /etc/hosts when
    bringing down interfaces.  (LP: #632896)
    - Add debian/patches/lp632896_cleanup_etc_hosts.patch

  [ Mathieu Trudel-Lapierre ]
  * Don't overwrite aliases in /etc/hosts (LP: #659872)
    - add debian/patches/lp659872_dont_overwite_hosts_aliases_ee9ce60.patch
    - update debian/patches/series

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 19 Oct 2010 16:04:00 -0400

network-manager (0.8.1+git.20100810t184654.ab580f4-0ubuntu2) maverick; urgency=low

  * Also install the new nmcli utility so some command-line control of NM is available. (LP: #623385)
    - update debian/network-manager.install

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Aug 2010 09:30:59 -0400

network-manager (0.8.1+git.20100810t184654.ab580f4-0ubuntu1) maverick; urgency=low

  * upstream snapshot 2010-08-10 18:46:54 (GMT)
    + ab580f486213f97d41b3141e9d7ef9394a29b14a
    - following upstream branch NM_0_8: release 0.8.1 with fixes
  * refresh sigaction patch: sigactions moved from NetworkManager.c to main.c
    - update debian/patches/70_lp145653_no_sigaction_for_crashes.patch
  * refresh wpasupplicant timeout patch: we still should give association
    some more time
    - update debian/patches/lp292054_tune_supplicant_timeout_60s.patch
  * update logging call in "unmanaged" connections patch to properly use
    nm_log_info, not nm_info
    - update debian/patches/lp191889_always_offline_with_unmanaged_devices.patch
  * adding new symbols to debian/libnm-glib2.symbols:
    - nm_settings_interface_error_get_type
    - nm_active_connection_get_default6
  * adding new symbols to debian/libnm-util1.symbols:
    - nm_ip6_address_get_gateway
    - nm_ip6_address_set_gateway
    - nm_setting_gsm_get_allowed_bands
    - nm_setting_gsm_get_home_only
    - nm_setting_ip4_config_get_may_fail
    - nm_setting_ip6_config_get_may_fail
    - nm_utils_ip4_get_default_prefix
    - nm_setting_wired_get_cloned_mac_address
    - nm_setting_wireless_get_cloned_mac_address
    - nm_utils_wifi_channel_to_freq
    - nm_utils_wifi_find_next_channel
    - nm_utils_wifi_freq_to_channel
    - nm_utils_wifi_is_channel_valid
    - nm_setting_wired_add_s390_option
    - nm_setting_wired_get_num_s390_options
    - nm_setting_wired_get_s390_nettype
    - nm_setting_wired_get_s390_option
    - nm_setting_wired_get_s390_option_by_key
    - nm_setting_wired_get_s390_subchannels
    - nm_setting_wired_remove_s390_option
  * bump DEB_AUTO_UPDATE_ACLOCAL and DEB_AUTO_UPDATE_AUTOMAKE versions from 1.9
    to 1.11, to deal with the builddir variable for libdeprecated-nm-glib.la
    - update debian/rules
  * adding more new symbols to debian/libnm-glib2.symbols:
    - nm_client_networking_get_enabled
    - nm_client_networking_set_enabled
    - nm_device_get_firmware_missing
    - nm_client_get_permission_result
    - nm_device_ethernet_get_permanent_hw_address
    - nm_device_wifi_get_permanent_hw_address 
  * dropping ppp Depends to a Recommends (LP: #348521)
    - update debian/control
  * drop patch 008-BACKEND-debian-fallback-to-generic-loopback.loom.patch,
    it looks like the generic backend is already bringing lo up reasonably well
    - update debian/patches/series
  * fix build-time detection of dhclient version; handle using dhclient v3 by
    not passing the new parameters isc-dhcp v4 expects. IPv6 won't work any
    better but at least IPv4 will.
    - add debian/patches/99-support-dhcp3.patch
    - update debian/patches/series
  * add dhcp3-client to Build-Depends to properly handle dhclient version
    detection.
    - update debian/control

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Aug 2010 10:03:55 -0400

network-manager (0.8.1-6) unstable; urgency=low

  * debian/patches/40-umanaged-interfaces.patch
    - For devices to be marked unmanaged, do not require a valid connection
      configuration. (Closes: #569215)
  * debian/patches/50-bridge-interfaces.patch
    - Parse bridge configurations in /etc/network/interfaces and add
      interfaces defined via bridge_ports to well_known_interfaces. This
      allows to mark those interfaces as unmanaged if managed=false.
      The "all" keyword and regexes are not supported and simply skipped.
      (Closes: #530335)

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Dec 2010 17:11:13 +0100

network-manager (0.8.1-5) unstable; urgency=low

  * Update Vcs-* fields: Move packaging from svn to git.
  * Don't try the interfaces migration if /etc/network/interfaces does not
    exist. This avoids a failure on remove. (Closes: #605360)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Nov 2010 15:06:21 +0100

network-manager (0.8.1-4) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Integrate debian/ifblacklist_migrate.sh from Ubuntu and install
    it in /usr/lib/NetworkManager. Improve it to disable the interfaces
    with a #NetworkManager# prefix and re-enable them when the package is
    removed. (Closes: #530024)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 23:28:19 +0100

network-manager (0.8.1-3) unstable; urgency=low

  * debian/control
    - Drop Recommends: network-manager-gnome | network-manager-kde, as this
      can have unwanted side-effects, like GNOME packages being installed on
      a KDE desktop. Instead let the desktop meta packages depend on their
      preferred frontend. (Closes: #596233)
    - Add Breaks: ppp (<< 2.4.5) to avoid partial upgrades. (Closes: #592444)
  * debian/network-manager.README.Debian
    - Add a section briefly explaining system settings and add references to
      the online documentation and the system settings spec. (Closes: #594849)
  * debian/patches/30-typo_fix.patch
    - Fix a small typo in README, and while at it, in other files too.
      Thanks Christian Perrier for spotting it. (Closes: #594850)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2010 03:31:48 +0200

network-manager (0.8.1-2) unstable; urgency=medium

  * Move configuration file /etc/NetworkManager/nm-system-settings.conf to
    /etc/NetworkManager/NetworkManager.conf. Update maintainer scripts to move
    the conffile without triggering a dpkg prompt.
  * debian/network-manager.postrm
    - Don't fail on purge if /var/lib/NetworkManager directory does not exist.
      (Closes: #591861)
  * debian/patches/10-dont_require_ifup_for_lo.patch
    - Don't require ifup for enabling the loopback interface but use it if
      installed. Patch cherry-picked from upstream Git.
  * debian/control
    - Drop dependency on ifupdown as we have a fallback now for enabling the
      loopback interface. (Closes: #580309)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Aug 2010 04:19:38 +0200

network-manager (0.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #590139)
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Remove, merged upstream.
  * Build against ppp 2.4.5. (Closes: #589791)
    - Bump Build-Depends on ppp to (>= 2.4.5).
    - Bump Recommends on ppp to (>= 2.4.5).
    - Drop --with-pppd-plugin-dir configure option and use upstream default.
  * debian/network-manager.postrm
    - Clean up /var/lib/NetworkManager on purge. (Closes: #584854)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 02:26:59 +0200

network-manager (0.8.0.999-1) unstable; urgency=low

  * New upstream release (0.8.1 rc1). (Closes: #582822)
    - Bluetooth Dial-Up Networking support.
    - Command line interface via nmcli.
    - IPv6 DHCP support.
    - Correctly reset state after a failed suspend/resume cycle.
      (Closes: #566891)
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * debian/network-manager.{install,manpages}
    - Install nmcli binary and man page.
  * debian/libnm-{glib,util}-dev.install
    - Install gtk-doc API documentation for libnm-glib and libnm-util.
    - Install nm-dhcp6-config.h for libnm-glib.
  * debian/control
    - Add Depends on libdbus-glib-1-dev for libnm-util-dev.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Update Depends on dhcp3-client to isc-dhcp-client (>= 4.1.1-P1-4) to get
      DHCPv6 support.
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Update dhclient.conf and lease directory path for isc-dhcp-client.
      (Closes: #587473)
  * debian/libnm-glib-{vpn-}dev.links
    - Stop installing compat symlinks for the pkg-config files.
      (Closes: #569187)
  * debian/rules
    - Set --with-pppd-plugin-dir configure option to /usr/lib/pppd/2.4.4.
      The upstream default is 2.4.5 now but Debian still only has ppp 2.4.4.
    - Set --with-dhclient configure option to /sbin/dhclient.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Jul 2010 17:01:53 +0200

network-manager (0.8-1) unstable; urgency=low

  * New upstream release.
    - ifupdown: don't export connections until "managed" state is checked.
      (Closes: #568287)
  * Remove patches, all merged upstream
    - debian/patches/03-hostname-fallback.patch
    - debian/patches/04-etc-hosts-rewrite.patch
    - debian/patches/05-ifupdown-allow-hotplug-autoconnect.patch
  * debian/network-manager-dispatcher.script
    - Map NetworkManager down event to ifupdown post-down phase.
      (Closes: #562811)
    - Map vpn-up/vpn-down event to ifupdown post-up/post-down phase.
      (Closes: #518530)
    - Comment out pre-up/pre-down events as they are not supported upstream.
    - Add hostname event but don't hook it up with a particular action.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Feb 2010 00:31:22 +0100

network-manager (0.8-0ubuntu3) lucid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * drop patch superseded upstream
    - delete debian/patches/0001-core-make-sure-device-interfaces-are-up-before-ip4-c.patch
    - update debian/patches/series

  [ Mathieu Trudel <mathieu-tl@ubuntu.com> ]
  * Recommend network-manager-pptp. It's at least useful for some DSL users.
    See LP: 107738.
    - update debian/control

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Thu, 25 Mar 2010 08:53:54 -0400

network-manager (0.8-0ubuntu2) lucid; urgency=low

  * Add network-manager-kde as option for network-manager recommends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Feb 2010 15:49:49 +0000

network-manager (0.8-0ubuntu1) lucid; urgency=low

  * upstream 0.8 release
    - backends: add backend for Pardus
    - libnm-util: fix NMDeviceBt hardware address property
    - core: ensure failed /etc/hosts update writes out well-formatted file (LP: #471498)
    - netlink: work around kernel cache refill problems
    - keyfile: add IPv6 support (bgo #593814)
    - libnm-util: add IPv6 comparison functions
    - crypto: de-init NSS after calling PR_GetError()
    - policy: fall back to original hostname before trying reverse DNS
    - policy: be more selective when adding hostname to /etc/hosts (debian #567411)
    - ifupdown: interpret allow-hotplug as autoconnect (debian #568784)
    - gsm: handle PIN requests during modem enable too (bgo #609197)
    - modem: ignore Enabled property changes while activating
    - ifupdown: don't tell NM about connections until we check 'managed' (LP: #450458)

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Fri, 19 Feb 2010 10:01:07 -0500

network-manager (0.8~rc2-0ubuntu1) lucid; urgency=low
 
  * upstream snapshot 2009-11-12 01:22:59 (GMT)
    + 420ea0220c29a45337e239e4c53250a6989160a3
    - ppp: allow update of ppp secrets in all ACTIVATING stages (LP: #432205) 
    - core: validate pidfile and quit early if NM is already running (rh #517362)
    - core: preserve wifi and networking enabled/disabled states (bgo #582447)
    - libnm-util: don't allow blank or NULL VPN items or secrets (rh #532084)

  * upstream 0.8-rc1 release
    - libnm-util: client cert shouldn't be required to set priv key (bgo #585570)
    - wifi: poll rfkill status for ipw2x00 devices
    - ppp: increase PPPoE pppd timeout to 30 seconds (debug)
    - wifi: don't allow scan requests when associating
    - wifi: ensure wifi devices are enabled on wakeup if not rfkilled
    - libnm-util: handle PEM files without ending newline (rh #507315)
    - system-settings: cache secrets to protect against nm_connection_clear_secrets
    - dnsmasq: VPN DNS fixes (LP #389006)
    - system-settings: fix crash when deleting wired connections
    - modem: subsitute known-good nameservers if PPP doesn't return any (LP: #434477)
    - core: clear invalid tag on failed connections when sleeping (LP: #456362)
    - wwan: unable to bring up mobile-broadband system connection (LP: #483773)
    - 8021x: fixed problems with invalid connection / client-certs (LP: #245184)

  * upstream 0.8-rc2 release	
    - po: update italian translation (bgo #595673)
    - core: fix error when parsing state file for WirelessEnabled fails
    - libnm-util: fix potential crash when encrypting fails
    - modem: ensure deactivation on disable only happens on disable
    - modem: ensure device is deactivated if the modem is disabled
      underneath NM
    - modem: enable modem before connecting if required
    - libnm-glib: add WWAN enable/disable support
    - manager: add WWAN enable/disable support
    - modem: proxy the ModemManager Enabled property
    - manager: generalize rfkill operations
    - core: add statefile support for WWAN devices
    - udev: add support for other types of rfkill switches
    - core: generalize interface for enabling/disabling devices
    - modem: fix enable/disable/disconnect flow
    - system-settings: Fix using hostname from DHCP
    - libnm-util: client certificate should not be required to set 
      private key (bgo #585570)


  [ Alexander Sack <asac@ubuntu.com> ]
  * allow daily builds to be filed against ubuntu bug system;
    to allow this we add report['CrashDB'] = 'ubuntu' to the apport
    hook
    - update debian/source_network-manager.py
  * attach list of system-connection configuration files in apport hook
    - update debian/source_network-manager.py

  [ Mathieu Trudel <mathieu.tl@gmail.com> ]
  * updated pkcs11 smartcard patch
    - updated debian/patches/lp120363_smartcard_pkcs11.patch
  * updated signals patch for apport
    - updated debian/patches/70_lp145653_no_sigaction_for_crashes.patch
  * add new nm_setting_olpc_mesh_new symbol to libnm-util1.symbols
    - update debian/libnm-util1.symbols
  * add new nm_client_wwan* symbols to libnm-glib2.symbols
    - update libnm-glib2.symbols

  [ Tony Espy <espy@ubuntu.com> ]
  * add logic to map '~rc' versions to '-rc' tag format used upstream.  This
    allows the upstream tags to be used, while managing to keep the version
    numbers less than the final release version.
    - update debian/rules

 -- Tony Espy <espy@ubuntu.com>  Wed, 20 Jan 2010 09:51:19 -0500

network-manager (0.8~a~git.20091013t193206.679d548-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-10-13 19:32:06 (GMT)
    + 679d548e09a0b58815ca62989627d00e7b8c7d96
    - ppp: add minimal debugging output to the ppp plugin
    - system-settings: fix crash saving default wired connections to backing storage (LP: #435029)
    - sharing: fix sharing after 715ddd2045cf786e6c80e6d3d8617fe70ad24552 (LP: #444756)
    - vpn: clear secrets when the connection fails
  * drop iptables-dev dependency and explicitly set
    --with-iptables=/sbin/iptables for configure
    - update debian/control
    - update debian/rules
  * fix LP: #366525 - network-manager should recommend iptables
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 15 Oct 2009 00:16:15 +0200

network-manager (0.8~a~git.20091005t192303.1d28ad1-0ubuntu2) karmic; urgency=low

  * add build-dep on iptables-dev
    - update debian/control

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Tue, 06 Oct 2009 00:32:28 +0200

network-manager (0.8~a~git.20091005t192303.1d28ad1-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-10-05 19:23:03 (GMT)
    + 1d28ad1aa54bacf6b6b64582ee7c41d9728d7304 
  * fixed upstream
    - LP: #413622 - Network manager does not unmanage devices configured as
      "mapping" in /etc/network/interfaces
    - LP: #413967 - Network manager does not connect wlan0 on startup
    - LP: #417719 - Disconnected static wired network initially treated as
      connected
    - LP: #422597 - 802.11x fails for wired connections (wireless works)
    - LP: #438771 - Creating a wireless or DSL connection fails with
      "Error editing connection: property '%s' / '%s' invalid: %d"
    - LP: #443423 - Connection properties are not stored
    - LP: #439221 - cannot create wireless Wpa & Wpa2 connection with GUI
    - LP: #441668 - network-manager does not save modifications on GSM
      connections 
    - LP: #438454 - NetworkManager fails to set IP and route information entered

  [ Mathieu Trudel <mathieu.tl@gmail.com> ]
  * updated pkcs11 smartcard patch
    - updated debian/patches/lp120363_smartcard_pkcs11.patch
  * add new 802.1x symbols to libnm-util1.symbols
    - update debian/libnm-util1.symbols

  [ Alexander Sack <asac@ubuntu.com> ]
  * drop cherry-pick now applied upstream
    - delete debian/patches/lp436884.patch
    - update debian/patches/series
  * extend apport hook to also append /etc/NetworkManager/nm-system-settings.conf
    - update debian/source_network-manager.py

 -- Alexander Sack <asac@ubuntu.com>  Mon, 05 Oct 2009 23:46:01 +0200

network-manager (0.8~a~git.20090923t064445.b20cef2-0ubuntu2) karmic; urgency=low

  * fix LP: #436884 - wireless secrets dont work in karmic; we
    cherry-pick a one-line git commit that makes the GetSecrets
    call use the right dbus proxy.
    - add debian/patches/lp436884.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 29 Sep 2009 17:11:56 +0200

network-manager (0.8~a~git.20090923t064445.b20cef2-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-09-23 06:44:45 (GMT)
    + b20cef2e1beae61cb2335edb8cb0aa3932facd54
  * drop patches superseded upstream
    - delete debian/patches/lp303142_more_time_for_manual_registration.patch
    - update debian/patches/series
  * adjust .symbols files for changed vpn ABI/API
    - update debian/libnm-glib2.symbols
  * fix wrong file location: network-manager.prerm => debian/network-manager.prerm

 -- Alexander Sack <asac@ubuntu.com>  Thu, 24 Sep 2009 11:33:58 +0200

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu6) karmic; urgency=low

  LP: #430878
  * debian/rules: We never previously started or restarted network manager
    on install or upgrade, and instead flagged a reboot.  So we need a
    --noscripts for dh_installinit to stop that happening with Upstart
    (didn't need this before because the init script was never installed
     with dh_installinit)
  * debian/network-manager.prerm: Restore, just stop N-M using "stop"

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Sep 2009 20:50:31 +0100

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu5) karmic; urgency=low

  * Don't have network manager wait for network filesystems, since
    the network filesystems are probably waiting for network manager. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Sep 2009 13:49:48 +0100

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu4) karmic; urgency=low

  [ Alexander Sack ]
  * fix upstart regression that made NM restart on hal upgrade
    - update debian/network-manager.upstart

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Sep 2009 00:08:21 +0100

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Replace init script with Upstart job.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 13:40:43 +0100

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu2) karmic; urgency=low

  * fix LP: #429901 - provide legacy .pc files for libnm_glib and libnm_glib_vpn
    to ease transition
    - add debian/libnm-glib-dev.links

 -- Alexander Sack <asac@ubuntu.com>  Tue, 15 Sep 2009 10:44:42 +0200

network-manager (0.8~a~git.20090911t130220.4c77fa0-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-09-11 13:02:20 (GMT)
    + 4c77fa08623f41dd710c545ec859dd7e942a3f2c
    + fix LP: #411668 - NetworkManager crashes in g_type_check_instance_cast ()
      when connecting to 3G 
    + fix LP: #366772 - Network manager does not show EVDO, device detected by hal
    + fix LP: #424092 - ifupdown connection device locking regressions caused by
      system-settings rework
    + fix LP: #424603 - Not closing modems when disconnected

  [ Tony Espy <espy@ubuntu.com> ]
  * fix build error due to upstream re-factoring
    - update debian/patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch
  * fix install problem due to new PolicyKit changes
    - update debian/network-manager.install
  * fix install problem due to libnm-glib naming changes
    - update debian/libnm-glib-dev.install
    - update debian/libnm-glib0.install
  * handle upstream soname version bump for libnm-glib
    - update debian/control
    - rename debian/libnm-glib0.install => debian/libnm-glib2.install
    - rename debian/libnm-glib0.symbols => debian/libnm-glib2.symbols
    - update debian/libnm-glib2.symbols
  * add new olpc_mesg symbols to libnm-util1.symbols
    - update debian/libnm-utils1.symbols
  * fix lintian errors: update Standards-Version to 3.8.3, add missing 
    ${misc:Depends}, and replace deprecated ${Source-Version} variables 
    with ${binary:Version}
    - update debian/control

  [ Alexander Sack <asac@ubuntu.com> ]
  * drop -0ubuntu1 suffix from ip6 symbols added in previous upload
    - update debian/libnm-glib0.symbols
  * remove hal from build-depends and depends (LP: #416988)
    - update debian/control
  * adjust patches to new upstream codebase
    - update debian/patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch
    - update debian/patches/lp291902_IFUPDOWN_dont_export_connection_in_unmanaged_mode.patch
  * build depend on libpolkit-gobject-1-dev instead of libpolkit-dbus-dev
    - update debian/control
  * make GET_SOURCE not go mad for git versions that use a different abbrev-id syntax
    - update debian/rules
  * drop patches applied upstream
    - delete debian/patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch
    - delete debian/patches/lp291902_IFUPDOWN_dont_export_connection_in_unmanaged_mode.patch
    - update debian/patches/series

  [ Mathieu Trudel <mathieu.tl@gmail.com> ]
  * adjust patches to new upstream codebase
    - update debian/patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch 
  * add rule to retrieve current snapshot information
    - update debian/rules
  * fix missing character in GET_SOURCE code
    - update debian/rules
  * use current snapshot hash from changelog instead of latest in get-snapshot-info
    - update debian/rules
  * update GET_SOURCE code: exit on any error
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Mon, 14 Sep 2009 11:29:38 +0200

network-manager (0.8~a~git.20090820t182117.cb60390-0ubuntu2) karmic; urgency=low

  New upstream snapshot:
  + LP: #412570 - [novatel] modemmanger does not connect to 3G network, icon
    keeps spinning.
  + LP: #413333 - [huawei] MM wont connect, keeps nm.applet spinning

  [ Tony Espy <espy@ubuntu.com> ]
  * remove deprecated and un-used DBUS init scripts
    - remove network-manager.dbus-event
    - remove network-manager-dispatcher.dbus-event
  * add comment to system settings config file about how to to 
    override it with another file
    - update nm-system-settings.conf

  [ Jonathan Riddell <jriddell@ubuntu.com> ]
  * Recommend on renamed plasma-widget-networkmanagement
  * Update Vcs-bzr line in debian/control

  [ Alexander Sack <asac@ubuntu.com> ]
  * use command_output from apport.hookutils - thx Matt Zimmerman
    - update source_network-manager.py
  * add LOCAL_BRANCH feature to play nicely with fta's build bot
    - update rules
  * add nm_settings_olpc_ symbols to libnm-util1
    - update debian/libnm-util1.symbols
  * fix LP: #416598 - mbm dhclient request fails because interface is not up
    - add debian/patches/0001-core-make-sure-device-interfaces-are-up-before-ip4-c.patch
    - update debian/patches/series
  * add ip6 api symbols for libnm-glib0
    - update debian/libnm-glib0.symbols

  [ Matt Zimmerman <mdz@ubuntu.com> ]
  * Update source_network-manager.py to use attach_network and attach_wifi from
    hookutils, to further benefit from common code and add some new info
  * Automatically tag apport bugs with driver-ndiswrapper, driver-b44 or
    driver-madwifi per https://wiki.ubuntu.com/DebuggingNetworkManager

 -- Alexander Sack <asac@ubuntu.com>  Thu, 20 Aug 2009 21:46:03 +0200

network-manager (0.8~a~git.20090804t185522.4bab334-0ubuntu1) karmic; urgency=low

  [ Tony Espy <espy@ubuntu.com> ]
  * upstream snapshot 2009-08-04 18:55:22 (GMT)
    + 4bab33405be01fd263373e530d712f3eb8d01d0d
  * add ipv6 header to libnm-util-dev install
    - update libnm-util-dev.install 
  * add ipv6 symbols to libnm-util1
    - update libnm-util1.symbols
  * made more revisions to the tarball generation code
    after finding problems with the GET_SOURCE function
    - update rules
  * add more bluetooth symbols to libnm-util1 symbols	
    - update libnm-util1.symbols
  * use -c4 MAKESHLIBS_ARG to detect symbol changes instead of
    hard-coding versions for individual libraries.
    - update rules
  * re-work tarball generation code; added get-curr-source to
    grab a specific version; get-orig-source now grabs the tip
    of new variable GIT_BRANCH; adjusted changelog version to 
    new scheme.
    - update rules
  * add modemmanager to Recommends:
    - update control

  [ Alexander Sack <asac@ubuntu.com> ]
  * prepare get-orig-source for daily ppa-scripts
    - update rules
  * drop patches not required on trunk
    - delete patches/60_NULL_info_linux_driver.patch
    - delete patches/lp199140_dont_manage_virtual_devices.patch
    - delete patches/lp356517_manage_virtual_devices_on_armel.patch
    - update patches/series
  * port smartcard patch and reenable it
    - update patches/lp120363_smartcard_pkcs11.patch
    - update patches/series
  * port patches to trunk
    - update patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch
  * add libgudev-1.0-dev as new build dependency
    - update control
  * update .install debhelper files to match new upstream hierarchy
    - update libnm-util-dev.install
    - update network-manager.install
  * add bluetooth settings symbols to libnm-util1 symbols
    - update libnm-util1.symbols

 -- Tony Espy <espy@ubuntu.com>  Thu, 06 Aug 2009 10:31:17 +0100

network-manager (0.7.999-3) unstable; urgency=low

  * debian/patches/03-hostname-fallback.patch
    - If dhcp does not return a valid hostname and none of the system settings
      plugins provides a hostname, fallback to the hostname that was set when
      NetworkManager was started. Patch pulled from upstream Git.
      (Closes: #567207)
  * debian/patches/04-etc-hosts-rewrite.patch
    - Be more selective when adding hostname to /etc/hosts.
      Patch pulled from upstream Git. (Closes: #567411)
  * debian/patches/05-ifupdown-allow-hotplug-autoconnect.patch
    - Set autoconnect=true for devices marked as allow-hotplug in
      /etc/network/interfaces. (Closes: #568784)
  * debian/control
    - Remove Riccardo from Uploaders with Riccardo's consent.
    - Bump Breaks for network-manager-kde to (<< 1:0.9~~). The KDE3 version no
      longer works correctly with this version of network-manager.
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/network-manager.init
    - Don't use "set -e".
    - Print meaningful messages on start and stop in case the daemon is already
      running resp. already stopped.

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Feb 2010 17:27:54 +0100

network-manager (0.7.999-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jan 2010 17:03:35 +0100

network-manager (0.7.999-1) experimental; urgency=low

  * New upstream release (0.8 rc3). (Closes: #553320)
    - Much improved bluetooth support.
    - Support for IPv6.
    - Port to PolicyKit 1. (Closes: #549502)
    - Drop hal dependency, use udev directly.
    - Use ModemManager for better mobile broadband.
  * debian/rules
    - Don't ship empty TODO file. (Closes: #558471)
    - Specify the path to the iptables binary.
  * Update *.install, *.symbols and debian/control for library soname changes:
    libnm-glib0 → libnm-glib2 and libnm-glib-vpn0 → libnm-glib-vpn1.
  * debian/network-manager.install
    - Remove nm-system-settings files.
    - Install PolicyKit files to new location.
    - Remove udev modem prober.
  * debian/libnm-glib-{vpn-}dev.links
    - The name of the pkg-config files has changed ('_' → '-'). Create compat
      symlinks so existing configure scripts keep working, allowing for a
      smoother transition to the new library names.
  * debian/control
    - Wrap dependencies.
    - Drop Build-Depends on libhal-dev and libpolkit-dbus-dev.
    - Add Build-Depends on libdbus-1-dev (>= 1.1), libpolkit-gobject-1-dev and
      libgudev-1.0-dev.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.18).
    - Replace hal Depends with udev.
    - Replace policykit Recommends with policykit-1.
    - Add Recommends on modemmanager which is required for mobile broadband
      support.
    - Update package description: policykit → policykit-1.
    - Add -dbg package. (Closes: #380626)
  * debian/network-manager.init
    - Update LSB header: Replace hal dependency with udev.
    - The nm-system-settings daemon has been merged into the NetworkManager
      daemon, so we no longer need to kill nm-system-settings on "stop".
  * debian/network-manager.preinst
    - Remove the obsolete conffile
      /etc/dbus-1/system.d/nm-system-settings.conf on upgrades.
  * network-manager.postinst
    - Kill any running nm-system-settings daemon on upgrades before the new
      NetworkManager daemon is started. Its functionality has been merged
      into NetworkManager.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jan 2010 01:53:46 +0100

network-manager (0.7.2-2) unstable; urgency=low

  * debian/rules
    - Disable -Werror (more-warnings) for now as it causes build failures on
      sparc.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Nov 2009 07:26:23 +0100

network-manager (0.7.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes segfault of nm-system-settings for empty SSIDs. (Closes: #531605)
    - Fixes build failures with binutils-gold. (Closes: #555770)
    - Adds support for GTC (WPA2 Enterprise/PEAP). (Closes: #543454)
  * debian/patches/02-dbus_access_network_manager.patch
    - Update group="netdev" policy based on the upstream changes for
      at_console. The updated D-Bus policy also fixes communication failures
      between pppd and NetworkManager. (Closes: #555624)
  * Drop patches that have been merged upstream
    - debian/patches/04-struct_termios.patch
    - debian/patches/05-handle-new-ssb-bus-from-HAL-0.5.13.patch
  * debian/libnm-util1.symbols
    - Add new symbol nm_setting_wireless_security_get_wep_key_type.
  * debian/control
    - Bump Standards-Version to 3.8.3. No further changes.
  * debian/network-manager.install
    - Make sure we install all udev rules files.
  * debian/network-manager.init
    - Kill the D-Bus activated nm-system-settings daemon on "stop". Update
      README.Debian accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2009 00:12:29 +0100

network-manager (0.7.1-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    - Add Build-Depends on libudev-dev. This allows to query udev for modem
      capabilities without having to spawn udevadm.
  * debian/patches/05-handle-new-ssb-bus-from-HAL-0.5.13.patch
    - HAL 0.5.13 added support for the ssb bus type which is internally used
      on most Broadcom ethernet and wifi chipsets. Update NM to detect the
      driver for the changed device layout. (Closes: #540613)
      Patch backported from upstream git.
  * debian/network-manager.init
    - Update LSB header. Provide the "network-manager" facility instead of
      "NetworkManager" as gdm is depending on the former and to be more in
      line with the recommended practice to name the Provides like the init
      script itself. (Closes: #539753)

  [ Sjoerd Simons ]
  * debian/control
    - Add libnm-util-dev to the depends of libnm-glib-dev. (Closes: #539888)

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Aug 2009 23:47:01 +0200

network-manager (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Use set -e instead of #!/bin/sh -e for all maintainer scripts.
  * debian/patches/04-struct_termios.patch
    - Fix FTBFS on alpha by using the POSIX.1 struct termios interface instead
      of the obsolete struct termio ioctl interface. (Closes: #524161)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Apr 2009 00:47:03 +0200

network-manager (0.7.1-0ubuntu1) karmic; urgency=low

  * upstream release 0.7.1

 -- Alexander Sack <asac@ubuntu.com>  Tue, 02 Jun 2009 12:58:30 +0200

network-manager (0.7.1~rc4.1.cf199a964-0ubuntu2) jaunty; urgency=low

  * fix LP: #356517 - NetworkManager does not detect eth0 on armel; on armel
    network devices have no visible bus and hence appear similar to virtual
    devices that got blacklisted by the fix for LP: #199140; for jaunty
    we workaround the issue by explicitly disabling the virtual device
    blacklisting on __ARMEL__
    - add patches/lp356517_manage_virtual_devices_on_armel.patch
    - update patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 14 Apr 2009 13:53:20 +0200

network-manager (0.7.1~rc4.1.cf199a964-0ubuntu1) jaunty; urgency=low

  * upstream release 0.7.1 final candidate 1 (Wed Apr 8 06:38:37 2009 -0400)
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
      - modem-probe: retry opening the serial port if --delay is used (LP: #351803)
        (Up to --delay milliseconds.)
      - core: ignore DHCP-sent MTUs less than 577 (LP: #352779)
      - core: update FSF address (bgo #577949)
      - modem-probe: don't restrict probing on tty device name (LP: #351803)

 -- Alexander Sack <asac@ubuntu.com>  Wed, 08 Apr 2009 12:53:41 +0200

network-manager (0.7.1~rc4-0ubuntu1) jaunty; urgency=low

  * upstream release 0.7.1 rc4
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
      - dont send AT commands to serial consoles that are not using a modem driver 
      - nozomi probing (LP: #351803)
      - allow users with polkit authorization to view/edit secrets for system connections
      - fix crash that might be LP: #319918
  * allow connection sharing out of the box; we add dnsmasq-base to Recommends:
    - update control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 06 Apr 2009 12:43:31 +0200

network-manager (0.7.1~rc3.2.gitb8fc83a7-0ubuntu1) jaunty; urgency=low

  * upstream 0.7.1 rc3 + gitb8fc83a7 (Thu Mar 26 17:05:41 2009 -0400)
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
    + fix broken udev-prober for 3G modems (LP: #346835)
  * fix LP: #348521 - network-manager sould depend on ppp
    - update control
  * update diverged patches
    - update patches/60_NULL_info_linux_driver.patch

 -- Alexander Sack <asac@ubuntu.com>  Fri, 27 Mar 2009 14:37:33 +0100

network-manager (0.7.1~rc3.1.git4cf2da146-0ubuntu1) jaunty; urgency=low

  * upstream 0.7.1 rc3 + git4cf2da146
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
  * adjust patches to changed code base
    - update patches/60_NULL_info_linux_driver.patch

 -- Alexander Sack <asac@ubuntu.com>  Thu, 19 Mar 2009 15:05:35 +0100

network-manager (0.7.1~rc3-0ubuntu2) jaunty; urgency=low

  * Recommend plasmoid-network-manager not network-manager-kde
   - Closes LP: #340210

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2009 14:17:50 +0000

network-manager (0.7.1~rc3-0ubuntu1) jaunty; urgency=low

  * upstream 0.7.1 rc3
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
  * point Vcs-Bzr: to new 0.7.1 packaging branch
    - update control
  * fix .symbols files for libnm-glib0 and libnm-util0 to only contain symbols
    for the right shared libs
    - update libnm-glib0.symbols
    - update libnm-util1.symbols

  [ Steve Langasek ]
  * src/nm-hal-manager.c: ignore virtual 'wired' devices whose 
    originating device is /org/freedesktop/Hal/devices/computer, since 
    these are generally managed by some other daemon and network-manager
    just gets in the way.  LP: #199140.
    - add patches/lp199140_dont_manage_virtual_devices.patch
    - update series

 -- Alexander Sack <asac@ubuntu.com>  Thu, 05 Mar 2009 00:54:41 +0100

network-manager (0.7.1~rc1+20090220-0ubuntu2) jaunty; urgency=low

  * drop suggests on udev-extras as the modem code was moved into
    network-manager
    - update control
  * ship udev modem probe rules and nm-modem-probe binary in
    network-manager package
    - update network-manager.install

 -- Alexander Sack <asac@ubuntu.com>  Mon, 23 Feb 2009 15:52:55 +0100

network-manager (0.7.1~rc1+20090220-0ubuntu1) jaunty; urgency=low

  * upstream 0.7.1 rc1 (post) snapshot
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
    + Feb 20, 2009 (a2b55d43)
  * Fix LP: #332064 - carrier detect broken for forcedeth and other drivers

 -- Alexander Sack <asac@ubuntu.com>  Fri, 20 Feb 2009 16:30:39 +0100

network-manager (0.7.1~rc1-0ubuntu2) jaunty; urgency=low

  * upstream 0.7.1 rc1 release taken from git
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
    + Feb 18, 2009 (6176cc68)
  * rebase some patches on new upstream code base
    - update patches/60_NULL_info_linux_driver.patch
  * start NetworkManager daemon later (50) and remove old init links
    accordingly (requested by Keybuk aka scott@ubuntu.com)
    - update debian/network-manager.postinst
  * build depend on libudev-dev to enable support for modem probing
    through udev-extras; in turn add udev-extras to suggests
    - update control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 19 Feb 2009 23:35:23 +0100

network-manager (0.7.1~20090213+gitf142e15-0ubuntu1) jaunty; urgency=low

  * new upstream snapshot (0.7.1 pre)
    + http://git.freedesktop.org/NetworkManager/NetworkManager/
    + NETWORKMANAGER_0_7 (branch)
    + Feb 13, 2009 (f142e15)
  * patch housekeeping for new upstream code
    + remove upstreamed patches
      - delete debian/patches/04-ltversioning.patch
      - delete debian/patches/ftbfs_nm_netlink_monitor.patch
      - delete debian/patches/lp290468_only_consider_name_suffix_VPN_service_files.patch
      - update debian/patches/series
    + adjust patches to new upstream code base
      - update debian/patches/lp292054_tune_supplicant_timeout_60s.patch
  * add symbol files for libs: libnm-util1 and libnm-glib0
    - add libnm-glib0.symbols
    - add libnm-util1.symbols
  * set default behaviour for bzr-builddeb to merge = True
    - add .bzr-builddeb/default.conf
  * bump shlibs version for libnm-glib0 and libnm-util1 to
    -V "libnm-glib0 (>= 0.7.1~20090213)"
    - update rules

 -- Alexander Sack <asac@ubuntu.com>  Tue, 17 Feb 2009 11:00:12 +0100

network-manager (0.7.0.100-1) unstable; urgency=low

  * New upstream release (0.7.1 rc4).
  * debian/network-manager.install
    - Install modem prober udev rules file into /lib/udev/rules.d.
  * debian/network-manager.preinst
    - Remove obsolete conffile
      /etc/udev/rules.d/77-nm-probe-modem-capabilities.rules.
    - Move the old pid file from /var/run/NetworkManager to /var/run on
      upgrades so the daemon can be stopped correctly in postinst and the
      obsolete run directory is removed automatically.
  * debian/network-manager.dirs
    - Do no longer install the /var/run/NetworkManager directory.
  * debian/network-manager.init
    - Store the NetworkManager pid file directly in /var/run.
  * debian/control
    - Bump Standards-Version to 3.8.1. See the changes above wrt the /var/run
      directory.
  * debian/patches/02-dbus_access_network_manager.patch
    - Remove haldaemon section, obsolete.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Apr 2009 07:06:19 +0200

network-manager (0.7.0.99-1) unstable; urgency=low

  * New upstream release (0.7.1 rc3).
    - Fix FTBFS for older GCC versions. (Closes: #517520)
    - Fix crash for wireless-ssid setting in ifupdown plugin which also caused
      hostname to be set incorrectly. (Closes: #513852)
    - Handle unsupported format for wifi keys in ifupdown plugin.
      (Closes: #513874)
  * debian/network-manager.install
    - Install modem prober and corresponding udev rules file.
  * debian/control
    - Add Recommends on dnsmasq-base and iptables which are required for
      creating Ad-hoc connections and connection sharing. (Closes: #513151)
    - Document optional dependencies, like avahi-autoipd or policykit, in the
      package description. (Closes: #504455)
  * debian/rules
    - Update stop priorities for 0 1 6 from K14 to K88.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Mar 2009 13:21:13 +0100

network-manager (0.7.0.97-1) unstable; urgency=low

  * New upstream release.
    - Update 02-dbus_access_network_manager.patch for the latest upstream
      changes which fixes non-deterministic allow/deny for D-Bus messages with
      no interface. (Closes: #510729)
    - Disable 03-F3507g.patch for now, patch no longer applies and should be
      replaced by ModemManager anyway.
    - Remove 04-ltversioning.patch, merged upstream.
    - Remove 05-dhclient_lease_files.patch, merged upstream.
  * Merge experimental branch into unstable. Remaining changes:
    - Remove 07-domain_search.patch, merged upstream.
    - Remove 08-hal_deprecated_keys.patch, fixed upstream.
    - Remove 09-nm_dbus_get_ap_from_object_path-mem_leak_fix.patch, obsolete.
    - Disable 20-manual_means_always_online.patch, needs to be ported to 0.7.
    - Drop libdbus-glib-1-dev Depends from libnm-util-dev.
  * debian/control 
    - Add ${misc:Depends} to all binary packages.
    - Let network-manager depend on dhcp3-client directly, as the dependency
      on dhcdbd has been removed. (Closes: #509655)
    - Wrap Build-Depends.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/rules
    - Include debhelper.mk before any other files as recommended by the cdbs
      documentation.
  * Update symbols file for libnm-util and libnm-glib due to API additions.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Feb 2009 22:47:20 +0100

network-manager (0.7.0-1) experimental; urgency=low

  * New upstream release. (Closes: #446098)
    - Allow connections before login (system connections). (Closes: #461831)
    - Storing system connections via PolicyKit is working. (Closes: #504443)
    - The nm-vpn-properties tool has been obsoleted by nm-connection-editor
      from the network-manager-gnome package and thus removed from the
      tarball. (Closes: #497108)
    - Removed dependency on dhcdbd. (Closes: #478469)
    - Improved communication between NM and wpasupplicant (over D-Bus) for
      faster wireless connections. (Closes: #385647)

  [ Sjoerd Simons ]
  * debian/libnm-util0.symbols: Updated
  * debian/libnm-glib0.symbols: Updated
  * debian/patches/03-F3507g.patch
    - Added. Fix gsm support for Ericsson F3507g Mobile Broadband cards
  * debian/control: Recommend ppp (Closes: #507842)

  [ Michael Biebl ]
  * debian/patches/04-ltversioning.patch
    - Bump soname of libnm-util due to an ABI break between 0.6.6 and 0.7.
      (Closes: #503682)
  * Update control, install and symbols file for the new libnm-util library
    name (libnm-util0 -> libnm-util1).
  * debian/control
    - Add Conflicts/Replaces: network-manager-pptp (<< 0.7~~) as the pppd
      plugin is now shipped by this package.
    - Add Breaks (<< 0.7~~) for the network-manager-* packages as the 0.6
      versions of those packages do not work with network-manager 0.7.
  * debian/patches/05-dhclient_lease_files.patch
    - Change the location of the dhclient lease files to /var/lib/dhcp3.
  * debian/network-manager.README.Debian
    - Merge README.Debian from Ubuntu which describes the new
      managed/unmanaged modes.
  * debian/nm-system-settings.conf
    - Set default mode to unmanaged.
  * debian/copyright
    - Revised and updated. libnm-glib and libnm-util are licensed under the
      LGPL v2 or later.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Dec 2008 09:56:14 +0100

network-manager (0.7.0~svn4191-1) experimental; urgency=low

  * SVN snapshot of the upcoming 0.7 release.

  [ Sjoerd Simons ]
  * Split out libnm-glib-vpn from libnm-glib
  * debian/rules: Use list-missing

  [ Michael Biebl ]
  * Drop obsolete patches
    - debian/patches/01-supplicant_timeout.patch (obsolete)
    - debian/patches/05-debian_backend.patch (obsolete, relevant changes
      merged upstream)
    - debian/patches/06-dispatch_more_events.patch (no longer applies)
    - debian/patches/07-domain_search.patch (merged upstream)
    - debian/patches/08-hal_deprecated_keys.patch( merged upstream)
    - debian/patches/13-validate_mac_addr.patch (merged upstream)
  * debian/patches/02-dbus_access_network_manager.patch
    - Updated for 0.7.
  * debian/control:
    - Add Build-Depends on uuid-dev, libgnutls-dev, libpolkit-dbus-dev,
      ppp-dev and quilt.
    - Drop Build-Depends on libgnome-keyring-dev, libgnomeui-dev,
      libglade2-dev, libgconf2-dev, libnotify-dev, docbook-to-man and iproute.
    - Bump Build-Depends on libdbus-glib-1-dev to (>= 0.75).
    - Drop Depends on dhcdbd (dhcdbd is dead) and iproute.
    - Bump Depends on lsb-base to (>= 3.2-14) which provides status_of_proc().
    - Bump Depends on dbus to (>= 1.1.2) for system bus activation support.
    - Add Recommends on policykit, which is required if you want to manage
      system connections.
    - Add Suggests avahi-autoipd for IPv4LL support.
  * Switch to quilt patch management system.
  * debian/rules:
    - Set libexecdir to /usr/lib/NetworkManager, so NetworkManager can
      automatically find the VPN plugins. 
    - Add support for resolvconf.
    - Enable GnuTLS crypto support.
    - Remove nm-vpn-properties bits.
  * debian/nm-vpn-properties.sgml: Dropped, obsolete
  * debian/copyright: Revised and updated
  * debian/network-manager.postrm: Relevant code moved to preinst
  * debian/network-manager.preinst:
    - Stop old network-manager-dispatcher on upgrades and remove the init
      script and the start symlinks.
  * debian/network-manager.network-manager-dispatcher.init:
    - Dropped, obsolete. (Closes: #500085)
      The dispatcher functionality is now provided by a D-Bus activated system
      service which is started on demand.
  * debian/network-manager.init
    - Remove dhdbd from Required-Start and Required-Stop in the LSB header.
    - Remove check for /sbin/ip.
    - Add "status" action.
  * debian/*.install: Updated
  * debian/*.symbols:
    - Add symbols files for all libraries for improved shlibs handling.
  * debian/nm-system-settings.conf:
    - Ship a default configuration for the system settings service. Enable the
      ifupdown (legacy ro support) and keyfile (rw) plugin.

  [ Sjoerd Simons ]
  * Update the various symbols files
  * Update to current svn

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Oct 2008 21:28:05 +0100

network-manager (0.7-0ubuntu2) jaunty; urgency=low

  * ppp 2.4.5git transition: bump ppp-dev lower version bound to 2.4.5~
    - update debian/control

  * fix LP: #120363 - NetworkManager should support smartcard based
    certificate; we apply the backend patch contributed by David Smith
    - add debian/patches/lp120363_smartcard_pkcs11.patch
    - update debian/patches/series

  [ Alessandro Ghersi <alessandro.ghersi@fastwebnet.it> ]
  * fix LP: #270584 add the dependency network-manager-dev in
    libnm-glib-dev; also fixes LP: #321473 liferea doesnt handle
    network-manager online/offline state 
    - update debian/control
  * update Standards-Version to 3.8.0
    - update debian/control

  [ Steven S Danna <ssd7@pitt.edu> ]
  * fix LP: #283416 - add /etc/init.d/NetworkManager status; init
    script was fixed upstream; however, we take the lsb-base lower
    version bound from the bug (>= 3.2-14)
    - udpate debian/control

 -- Alexander Sack <asac@ubuntu.com>  Sat, 14 Feb 2009 22:16:12 +0100

network-manager (0.7-0ubuntu1) jaunty; urgency=low

  * (merge) new upstream release NetworkManager 0.7 final
    - rev 3802 lp:~vcs-imports/network-manager/main/
    + fix LP: #288963 Network Manager fails to connect to a system stored
      network with "set_network_cb(): Couldn't set network config: Did not receive
      correct message.." in intrepid
    + fix LP: #288703 Routes lost on DHCP lease renewal (breaks VPN)

  * drop probe v250 modem patch; this should be done in udev-extras; until
    that happens we rely on accurate hal-info
    - delete debian/patches/add_probe_for_v250_modems.patch
    - update debian/patches/series
  * drop upstreamed patches
    - delete debian/patches/50_gcc43.patch
    - delete debian/patches/lp282207_set_apn_at_syntax.patch
    - delete debian/patches/lp268667_more_ppp_default_options.patch
    - delete debian/patches/lp278631-initscript-polishing.patch
    - update debian/patches/series
  * drop unused patch
    - delete debian/patches/41o_completely_deactivate_stage1.patch
  * make manual regristration timeout patch out of automatic one (which
    was applied upstream)
    - rename debian/patches/lp303142_more_time_for_automatic_registration.patch
      => debian/patches/lp303142_more_time_for_manual_registration.patch
  * add patch to fix ftbfs
    - add debian/patches/ftbfs_nm_netlink_monitor.patch
    - update debian/patches/series
  * [libnm-util-dev] dont try to install nm-setting-ip6-config.h - which is
    supposed to be hidden in 0.7 final
    - update debian/libnm-util-dev.install
  * prepatch upstream soname version bump for libnm-util
    - add debian/patches/04-ltversioning.patch
    - update debian/patches/series
    ship the libs in libnm-util1
    - update debian/control
    - rename debian/libnm-util0.install => debian/libnm-util1.install
    and bump so shlibs control file info for libnm-util1
    - update debian/rules
  * add easy bzr builddeb support with proper upstream-revision (--show-ids)
    - add .bzr-builddeb/default.conf
  * install plugin in ppp 2.4.4 and 2.4.5 directory
    - update debian/network-manager.install

 -- Alexander Sack <asac@ubuntu.com>  Mon, 12 Jan 2009 13:29:24 +0100

network-manager (0.7~~svn20081018t105859-0ubuntu2) jaunty; urgency=low

  * fix LP: #292054 - Some drivers take too long to associate (Was:
    network-manager 0.7 always asks for WPA passphrase); we workaround
    this driver/wpasupplicant bug by giving association more time
    (e.g. 60sec instead of 25sec)
    - add debian/patches/lp292054_tune_supplicant_timeout_60s.patch
    - update debian/patches/series
  * fix LP: #256905 - dbus policy file (nm-avahi-autoipd.conf) not properly
    deployed in package; install nm-avahi-autoipd.conf
    - update debian/network-manager.install
  * fix LP: #282207 - [Sierra] NM 0.7 does not set APN for AT&T 3G connection;
    apply fix from Jerone Young
    - add debian/patches/lp282207_set_apn_at_syntax.patch
    - update debian/patches/series
  * fix LP: #268667 - not all required ppp options get set on command line
    which makes ppp use bad values from /etc/ppp/options; we backport upstream
    fix
    - add debian/patches/lp268667_more_ppp_default_options.patch
    - update debian/patches/series
  * fix LP: #291564 - ifupdown network manager does not blacklist/unmanage
    mapped devices in managed=false mode; thanks to Stephan Trebels for the
    patch
    - add debian/patches/lp291564_ifupdown_unmanage_mapping_and_iface.patch
    - update debian/patches/series
  * fix LP: #291902 - ifupdown plugin should not export any parsed connection
    configuration when running in managed=false mode; we fix this by exporting
    empty connection list in unmanaged mode
    - add debian/patches/lp291902_IFUPDOWN_dont_export_connection_in_unmanaged_mode.patch
    - update debian/patches/series
  * belt-and-braces fix LP: #290468 VPN fails, "/usr/bin/nm-ppp-starter
    missing"; we remove obsolete conffiles in -pptp .preinst; in case user
    modified them they will be renamed to .dpkg-bak; this patch takes care that
    NM doesn't consider files in /etc/NetworkManager/VPN that don't have a
    .name filename suffix.
    - add debian/patches/lp290468_only_consider_name_suffix_VPN_service_files.patch
    - update debian/patches/series
  * fix LP: #303142 - 3G [Option] some modems take a while time to register on
    network (CREG); we use g_timeout_add instead of _idle_add to give the
    modem some rest during registration phase.
    - add debian/patches/lp303142_more_time_for_automatic_registration.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Fri, 28 Nov 2008 13:47:07 +0100

network-manager (0.7~~svn20081018t105859-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Sat 2008-10-18 10:58:59 +0000 (rev 3648)
    from lp:~vcs-imports/network-manager/main. Includes:
    + (bzr3642) proper wireless capability detection
      - update src/nm-device-wifi.c
    + update translations nb

  * More cherry-picks:
    + (bzr3650) Updated Belarusian Latin translation.
      - update vpn-daemons/pptp/po/be@latin.po

  * Changes in upstream snapshot that don't affect directly produced binary
    packages:
    + (bzr3645) NA/openvpn: support .cer and .crt certificates for openvpn (related
      to LP: #270762)
      - update vpn-daemons/openvpn/properties/auth-helpers.c
    + (bzr3646) NA/openvpn: The "Certificates (TLS)" tab should also be
      present for NM_OPENVPN_CONTYPE_PASSWORD (LP: #280429)
      - update vpn-daemons/openvpn/properties/auth-helpers.c
    + updated vpn translations es, sv

 -- Alexander Sack <asac@ubuntu.com>  Mon, 20 Oct 2008 17:35:58 +0200

network-manager (0.7~~svn20081015t224738-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Wed 2008-10-15 22:47:38 +0000 (bzrrev 3641)
  - a few more follow up fixes for routing routing/subnet/vpn handling.

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Oct 2008 11:08:39 +0200

network-manager (0.7~~svn20081015t024626-0ubuntu1) intrepid; urgency=low

  new upstream snapshot Wed 2008-10-15 02:46:26 +0000 (bzrrev 3637); topic:
  - more vpn and routing fixes

  [ Alexander Sack <asac@ubuntu.com> ]
  * drop upstreamed IFUPDOWN patches
    - delete debian/patches/003-IFUPDOWN-remove-unused-callbacks.loom.patch		
    - delete debian/patches/004-IFUPDOWN-devtracking.loom.patch			
    - delete debian/patches/005-IFUPDOWN-unmanaged-mode.loom.patch			
    - delete debian/patches/006-IFUPDOWN-parse-system-settings.loom.patch		
    - delete debian/patches/007-IFUPDOWN-managed-mode.loom.patch			
  * adjust patches that didnt apply cleanly anymore
    - update debian/patches/008-BACKEND-debian-fallback-to-generic-loopback.loom.patch
  * fix eventual restart races by --retry'ing at least 5 seconds for NM to stop
    in init script
    
  [ Mario Limonciello <superm1@ubuntu.com> ]
  * debian/network-manager.postinst:
    - Set startup priority to be lower than Ubiquity to allow only-ubiquity
      installs to have network access. (LP: #277302)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Oct 2008 00:08:41 +0200

network-manager (0.7~~svn20081008t224042-0ubuntu3) intrepid; urgency=low

  * fix LP: #281187: NetworkManager crashed with SIGSEGV in nl_addr_get_len();
    we dont set libhal properties anymore, but instead use the result directly
    to categorize GSM/CDMA modems
    - update debian/patches/add_probe_for_v250_modems.patch
  * fix LP: #282554: NM 0.7 fails to build on all architectures, but amd64 and
    i386; we don't use nm_error, but nm_warning when modem probe fails on IO
    level; this works around a bug about a missing signal.h include in glib.
    - update debian/patches/add_probe_for_v250_modems.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 18:23:41 +0200

network-manager (0.7~~svn20081008t224042-0ubuntu2) intrepid; urgency=low

  * more ifupdown compatibility: we maintain /var/run/network/ifstate
    in network manager dispatcher script. This fixes a bug in the
    nfs init script that uses /var/run/network/ifstate to determine
    whether all required devices are properly up.
    - update debian/network-manager-dispatcher.script
  * fix LP: #191889: [MASTER] [WORKAROUND] "Offline Mode" feature fails to
    detect proper online state for networks that are managed outside of
    network manager; we fix this by using NM_STATE_CONNECTED when unmanaged
    devices exist.

 -- Alexander Sack <asac@ubuntu.com>  Sat, 11 Oct 2008 14:25:55 +0200

network-manager (0.7~~svn20081008t224042-0ubuntu1) intrepid; urgency=low

  new upstream snapshot: Wed 2008-10-08 22:40:42 +0000 (bzrrev 3615) from
  lp:~vcs-imports/network-manager/main branch

  * fix LP: #277063 - routing randomness
  * fix save system settings feature for keyfile plugin
  * Fix LP: #278631 - NM output not going cleanly on console; we use
    /lib/lsb/init-functions to do proper logging
    - add debian/patches/lp278631-initscript-polishing.patch
    - update debian/patches/series
  * drop upstreamed patches:
    000-FIXCRASH-in-add_default_dhcp_connection.loom.patch,
    001-IFUPDOWN-wep-tx-keyidx.loom.patch, 002-IFUPDOWN-hostname.loom.patch
    - update debian/patches/series
    - delete debian/patches/000-FIXCRASH-in-add_default_dhcp_connection.loom.patch
    - delete debian/patches/001-IFUPDOWN-wep-tx-keyidx.loom.patch
    - delete debian/patches/002-IFUPDOWN-hostname.loom.patch
  * adjust patches to new upstream codebase
    - update debian/patches/003-IFUPDOWN-remove-unused-callbacks.loom.patch
    - update debian/patches/004-IFUPDOWN-devtracking.loom.patch
    - update debian/patches/005-IFUPDOWN-unmanaged-mode.loom.patch
    - update debian/patches/006-IFUPDOWN-parse-system-settings.loom.patch
    - update debian/patches/007-IFUPDOWN-managed-mode.loom.patch
    - update debian/patches/008-BACKEND-debian-fallback-to-generic-loopback.loom.patch

 -- Alexander Sack <asac@ubuntu.com>  Thu, 09 Oct 2008 16:13:09 +0200

network-manager (0.7~~svn20081004t225044-0ubuntu1) intrepid; urgency=low

  new upstream snapshot: Sat 2008-10-04 22:50:44 (bzrrev 3602) from
  lp:~vcs-imports/network-manager/main branch

  * merging final revision of main.eni branch which brings
    us back to parity with upstream branch. features temporarily lost from
    "upstream" code base due to this
    + graceful defaults for ifupdown ip4settings
    + wep-tx-keyidx support
    + pre-run intltoolize
  * we run intltoolize -f -c  in pre-build:: target
    - update debian/rules
  * drop lp276253_fix_system_hostname.patch; upstream behaviour became more
    graceful and we will add ifupdown plugin support to read/write
    /etc/hostname
    - delete debian/patches/lp276253_fix_system_hostname.patch
    - update debian/patches/series
  * enable ifupdown system-config-interface implementation by default
    (LP: #256054)
    - update debian/nm-system-settings.conf
  * rewrite README.Debian; we document "managed" vs. "unmanaged" mode as well
    as "dial up configurations"
    - update debian/README.Debian
  * reflect the implicit default mode (unmanaged) in default
    nm-system-settings.conf shipped by ubuntu package in intrepid
    - update debian/nm-system-settings.conf
  * (disabled) add code that enforces -Os instead of -O2
    - update debian/rules

  Cherry-Picking upstream submitted patches:
  * debian/patches/000-FIXCRASH-in-add_default_dhcp_connection.loom.patch:
    - fix crash of nm-system-settings when replugging devices that get a
      default connection created (wired)
  * debian/patches/001-IFUPDOWN-wep-tx-keyidx.loom.patch:
    - add support for wep-tx-keyidx wpa setting to ifupdown plugin
  * debian/patches/002-IFUPDOWN-hostname.loom.patch:
    - implement read/write support for /etc/hostname in ifupdown system config
  * debian/patches/003-IFUPDOWN-remove-unused-callbacks.loom.patch:
    - remove some unused callbacks (cleanup)
  * debian/patches/004-IFUPDOWN-devtracking.loom.patch:
    - add device tracking infrastructure - prepare managed/unmanaged mode
  * debian/patches/005-IFUPDOWN-unmanaged-mode.loom.patch:
    - implement global unmanaged mode (LP: #256054)
  * debian/patches/006-IFUPDOWN-parse-system-settings.loom.patch:
    - implement system-settings boolean key ifupdown:managed - default: false
      (LP: #256054)
  * debian/patches/007-IFUPDOWN-managed-mode.loom.patch:
    - implement managed-mode: update mac address of nm-wired/wirless-settings
      (LP: #256054)
  * debian/patches/008-BACKEND-debian-fallback-to-generic-loopback.loom.patch:
    - use ifconfig (instead of ifup) to bring up loopback. If ifconfig is not
      available we fallback to the generic (libnl based) implementation
      shipped by NetworkManager

 -- Alexander Sack <asac@ubuntu.com>  Mon, 06 Oct 2008 13:40:08 +0200

network-manager (0.7~~svn20080928t225540+eni0-0ubuntu2) intrepid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * remove patches forwarded/applied upstream
    - delete debian/patches/80_lp259503_access_to_freed_device_struct.patch
    - delete debian/patches/honour_resolvconf_exitcode.patch
    - delete debian/patches/lp269010_keyfile_secrets_crash.patch
    - update debian/patches/series
  * LP: #276253 - NM 0.7 sets hostname to localhost.localdomain instead of
    what is in /etc/hostname - we fallback to hostname configured in
    /etc/hostname even when no distro specific system plugin is enabled; we
    do this for all cases until a proper solution was found.
    - add debian/patches/fix_system_hostname.patch
    - update debian/patches/series

  [ Matt Zimmerman <mdz@ubuntu.com> ]
  * (apport hook) Use [].append rather than the += operator, to avoid things
    like: "InterestingModules: b 4 4" (should be b44)
    - update debian/source_network-manager.py

 -- Alexander Sack <asac@ubuntu.com>  Thu, 02 Oct 2008 20:37:20 +0200

network-manager (0.7~~svn20080908t183521+eni0-0ubuntu4) intrepid; urgency=low

  * src/probe-modem.c: type_gsm, type_cdma and type_v250 variables are not
    properly reset when the retry: block is run twice in probe_modem. This can lead to
    unpredicted behaviour; the fix initializes those variables at the beginning of the
    retry: block; (LP: #271446)
    - update debian/patches/add_probe_for_v250_modems.patch

 -- Alexander Sack <asac@ubuntu.com>  Thu, 25 Sep 2008 03:27:46 +0200

network-manager (0.7~~svn20080908t183521+eni0-0ubuntu3) intrepid; urgency=low

  [ Antti "Wellark" Kaijanmäki ]
  * Fix LP: #268095 - MASTER Network Manager should probe for GSM and CDMA command 
    sets; we probe all modems tagged as v.250 in hal that otherwise dont specify a
    GSM or CDMA command set.
    - added debian/patches/add_probe_for_v250_modems.patch
    - modified debian/patches/series

  [ Alexander Sack <asac@ubuntu.com> ]
  * point Vcs-Bzr to right source tree
    - update debian/control
  * Fix LP: #269755 - "network manager always crashes on resume"; these crashes
    are a regression introduced by fix for LP: #259503 which was first
    released in 0.7~~svn20080908t183521+eni0-0ubuntu1. To fix we redo the patch
    in a way that will eliminate any idle callbacks as soon as they
    become irrelevant.
    - update debian/patches/80_lp259503_access_to_freed_device_struct.patch

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * system-settings/plugins/keyfile/plugin.c: it might be better if we were
    casting the data from the hash to a gobject, instead of the key which is
    a filename... fixes a crash whenever trying to handle system-level secrets.
    LP: #269010.
    - add debian/patches/lp269010_keyfile_secrets_crash.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 17 Sep 2008 02:54:56 +0200

network-manager (0.7~~svn20080908t183521+eni0-0ubuntu2) intrepid; urgency=low

  * fix FTBFS; we add uuid-dev to Build-Depends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 10 Sep 2008 09:01:07 +0200

network-manager (0.7~~svn20080908t183521+eni0-0ubuntu1) intrepid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * new upstream snapshot (Mon 2008-09-08 18:35:21 rev3504)
  * merge improved ifupdown system config implementation from main.eni branch;
    Mon 2008-09-08 20:47:20 +0200; rev 2828
  * Fix LP: #255839 - "0.7 N-M "system setting" does not work"; we create the
    /etc/NetworkManager/system-connections/ directory during package install now
    - update debian/network-manager.dirs
  * adjust patch due to changed ifupdown plugin source dir
    - update debian/patches/50_gcc43.patch
  * fix LP: #256480 - "network-manager 0.7 breaks resolvconf integration"; we
    pass --with-resolvconf=/sbin/resolvconf to configure.
    - update debian/rules
  * (proposed) fix LP: #259503 - "crashes when unplugging device (or unloading
    module)" - crash caused by idle handler accessing already freed device.
    We fix that for wireless and ethernet, which both were affected by
    properly refcounting the device gobjects.
    - add debian/patches/80_lp259503_access_to_freed_device_struct.patch
    - update debian/patches/series
  * drop ifupdown from Depends: - there is no sense to depend on replacements
    - update debian/control
  * drop patch applied upstream
    - delete debian/patches/05-debian_backend.patch
    - update debian/patches/series
  * Fix LP: #261688 - NetworkManager build dependency for "libdbus-glib-1-dev
    (>= 0.60)" incorrect; we adjust the version to >= 0.74.
    - update debian/control
  * bump shlibs requirements for libnm-util0 and libnm-glib0 packages to >=
    0.7~~svn20080908
    - update debian/rules
  * Fix - Networkmanager doesn't update resolv.conf when resolvconf is
    installed, but /etc/resolv.conf isnt a link; we fix that by honouring
    the resolvconf exit code and fall back to "normal" named behaviour in case
    it fails. This requires a resolvconf update which currently doesnt return
    a non-zero exit code when it fails in such a way.
    - add debian/patches/honour_resolvconf_exitcode.patch
    - update debian/patche/series

  [ Matt Zimmerman <mdz@ubuntu.com> ]
  * Add apport package hook (LP: #258552)
    - add debian/network-manager.links
    - add debian/source_network-manager.py
    - update debian/network-manager.install

 -- Alexander Sack <asac@ubuntu.com>  Tue, 09 Sep 2008 16:24:08 +0200

network-manager (0.7~~svn20080818t061112+eni0-0ubuntu1) intrepid; urgency=low

  * fix LP: #255844 - add update-notifier-common to the Depends
    - update debian/control
  * fix LP: #255958 - nm-tool broken on nm 0.7; we properly run make install
    for test/ source directory with proper DESTDIR in
    binary-install/network-manager:: cdbs target; in turn we dont explicitly
    install the nm-tool binary in network-manager.install
    - update debian/rules
    - update network-manager.install
  * adjust patches for new upstream codebase
    - update debian/patches/05-debian_backend.patch
    - update debian/patches/50_gcc43.patch
    - remove debian/patches/19_interfaces_can_have_more_than_one_instance.patch
    - update debian/patches/series
  * adjust files installed in libnm-util-dev package: we add
    nm-setting-ip6-config.h and we remove nm-setting-vpn-properties.h from
    and to the .install list
    - update debian/libnm-util-dev.install
  * add gtk-doc-tools to build-depends
    - update debian/control
  * Fix LP: #145653 - "signal handler prevents apport crash reporting"
    - add debian/patches/70_lp145653_no_sigaction_for_crashes.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Mon, 18 Aug 2008 21:27:59 +0200

network-manager (0.7~~svn20080720t224551+eni1-0ubuntu1) intrepid; urgency=low

  * new bzr eni/ifupdown preview based on trunk rev 3808 (Sun 2008-07-20 22:45:51
    +0000) aka eni rev 2800
  * adjust 05-debian_backend.patch to new upstream code base
    - update debian/patches/05-debian_backend.patch
  * drop patches replaced by upstream features
    - debian/patches/20_do_not_take_over_dhcpv4iface_when_v6_is_configured.patch
    - update debian/patches/series
  * drop patches applied upstream
    - debian/patches/dhclient_dbus_policy_ubuntu.patch
    - update debian/patches/series
  * drop 41k_20_sec_wireless_link_timeout.patch after a similar fix has
    landed in upstream sources
    - delete debian/patches/41k_20_sec_wireless_link_timeout.patch
    - update debian/patches/series
  * dont install NetworkManagerDispatcher files
    - update debian/network-manager.install
    - update debian/network-manager.manpages
  * install debian/tmp/usr/include/NetworkManager/nm-setting-8021x.h and
    debian/tmp/usr/include/NetworkManager/nm-setting-pppoe.h to libnm dev
    package
    - update debian/libnm-util-dev.install
  * drop nm-param-spec-specialized.h from libnm-util-dev
    - update debian/libnm-util-dev.install
  * ship libnm_glib_vpn.pc in libnm-glib-dev package
    - update debian/libnm-glib-dev.install
  * ship org.freedesktop.network-manager-settings.system.policy in
    network-manager package; this allows the connection editor to obtain
    modify privileges through authentication.
    - update debian/network-manager.install
  * ship all usr/share/* pieces in network-manager package
    - update debian/network-manager.install
  * enable keyfile plugin for global system settings daemon
    - add debian/nm-system-settings.conf
    - update debian/network-manager.install
  * install nm-system-settings binary and plugins
    - update debian/network-manager.install
  * use --libexecdir=/usr/lib/NetworkManager to prevent clutter of
    file system hierarchy; dont install usr/lib/network-manager accordingly.
    - update debian/rules
    - update debian/network-manager.install
  * ship usr/lib/pppd/2.4.4/nm-pppd-plugin.so in network-manager package
    - update debian/network-manager.install
  * revert previous major SO version bump for libnm-util; add explicit
    MAKESHLIBS version for libnm-util0 (>=0.7~~)
    - rename debian/libnm-util1.install => debian/libnm-util0.install
    - update debian/control
  * add libpolkit-dbus-dev to Build-Depends
    - update debian/control
  * add libnss3-dev to Build-Depends
    - update debian/control
  * add debian/patches/50_gcc43.patch to support intrepid
    - add debian/patches/50_gcc43.patch
    - update debian/patches/series
  * add Conflicts/Replaces on network-manager-pptp (<< 0.7~~) to prevent
    upgrading conflict
    - update debian/control
  * guard against drivers that dont have linux.info.driver hal property in
    the originating_device (hal); we provide a default driver name to prevent
    NULL pointer issues.
    - add debian/patches/60_NULL_info_linux_driver.patch
    - update debian/patches/series
  * export DHCP_CLIENT_PATH=/sbin/dhclient in order to not add dhclient as
    build-dependency
    - update debian/rules
  * install update-rc.d startup links for NetworkManager in runlevels 2 3 4 5
    and dont stop in any runlevel
    - update debian/network-manager.postinst
  * remove NetworkManager update-rc.d links when upgrading from any package <<
    this version before setting up the runlevels from above
    - update debian/network-manager.postinst
  * dont restart NetworkManager in postinst, but use restart-notifier to
    ask users for reboot
    - update debian/network-manager.postinst
  * dont run 25NetworkManager and 26NetworkManagerDispatcher scripts in any
    pre/post script without testing that it exists and is executable
    - update debian/network-manager.preinst
    - update debian/network-manager.prerm
  * introduce rm_conffile function and abort_rm_conffile function; use it
    to remove dbus event scripts
    - update debian/network-manager.preinst
    - update debian/network-manager.postrm
  * remove backup for unmodified and successfully moved or removed conffiles
    in postinst
    - update debian/network-manager.postinst
  * remove NetworkManager update-rc.d links in postrm when downgrading
    - update debian/network-manager.postrm
  * dont install Dispatcher
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 07 Aug 2008 10:20:55 +0200

network-manager (0.7~~svn20080121t191418+eni1-0ubuntu0~pre7) hardy; urgency=low

  * 0.7 svn preview 20080121t191418 with initial eni support
  * fix network-manager.{postinst,postrm,preinst,prerm} scripts to
    properly migrate the /etc/dbus-1/event.d/25NetworkManager script
    to /etc/init.d/NetworkManager
    - add debian/network-manager.postrm
    - add debian/network-manager.preinst
    - update debian/network-manager.postinst
    - update debian/network-manager.prerm
  * drop depends on dhcdbd
  * bump -version-info of libnm-util and ship libnm-util1 package
    - update debian/control
    - rename debian/libnm-util0.install => debian/libnm-util1.install
  * force upgrade of libnm-glib0 by adding explicit MAKESHLIBS version
    - update debian/rules
  * stop old network manager using /etc/dbus-1/event.d/25NetworkManager
    script and remove it after this was done
    - update debian/network-manager.postinst
  * add automake1.9 to Build-Depends
    - update debian/control
  * add ppp-dev to Build-Depends
    - update debian/control
  * include empty aclocal.m4 file to make cdbs trigger aclocal auto run
    - add aclocal.m4
  * bump Build-Depends version of libnl-dev to (>= 1.0~pre8) and runtime
    Depends of wpasupplicant to (>= 0.6.1~)
  * unfold Build-Depends: and Depends: lines to improve legability of patches
    - update debian/control
  * ship nm-setting-cdma.h to libnm-util-dev
    - update debian/libnm-util-dev
  * don't pass obsolete options --with-wpa_supplicant and --with-dhcdbd to
    configure anymore
    - update debian/rules
  * don't install /etc/dbus-1/event.d/25NetworkManager and don't restart/stop
    NetworkManager from /etc/dbus-1/event.d anymore
    - update debian/rules
    - update debian/network-manager.postinst
    - update debian/network-manager.prerm
  * use invoke-rc.d to restart and stop NetworkManager script installed in
    /etc/init.d and use update-rc.d to setup/remove NetworkManager to the
    |defaults 30| runlevels
    - update debian/network-manager.postinst
    - update debian/network-manager.prerm
  * enable all autotools updates through cdbs
    - update debian/rules
  * adapt patches to account for changed source base:
    - update 41k_20_sec_wireless_link_timeout.patch
  * allow dhcp user to use dbus service org.freedesktop.nm_dhcp_client
    - add debian/patches/dhclient_dbus_policy_ubuntu.patch
    - update debian/patcheds/series
  * install /etc/dbus-1/system.d/nm-dhcp-client.conf
    - update debian/network-manager.install
  * update patchset to account for changed source base in debian/patches/
    and update debian/patches/series accordingly:
    - delete 01-supplicant_timeout.patch: not applicable
    - delete 04-if_fix.patch: applied upstream
    - delete 06-dispatch_more_events.patch: doesn't apply anymore (might need
      porting)
    - delete 11-man_page_sh_name.patch: applied upstream
    - delete 13-rml-wpa-workarounds.patch: driver workarounds -> dropped for now (might need resurrection if drivers don't work out as good - with regards to wext - as expected)
    - delete 14-j-hostap-supplicant-driver.patch: more driver workarounds for hostap -> might need resurrection at some point
    - delete 16_undefined_macros.patch: not applicable anymore
    - delete 17_avahi_autoipd.patch: disable for now (might need porting if
      avahi doesn't work)
    - delete 21_manual_means_always_online.diff: not applicable anymore
    - delete 23_nm-monitor-eni.diff: doesn't really apply anymore. has to be
      done differently now
    - delete 24pp_svn2578-gnome354565-fix-ethernet-link-detection-races.patch:
      applied upstream
    - delete 41c_ubuntu-fixup--get_mode_always_fails_typo_fix.patch: applied
      upstream.
    - delete 41e_fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch: not
      applicable
    - delete 41m_unref_dbus_connection_on_shutdown.patch: not applicable and
      appears to be properly fixed now
    - delete 41r_wpa_control_custom_timeout.patch: not applicable (wpa
      communication is now done through dbus)
    - delete 41r_wpa_control_explicit_TIMEOUT_reply_fixup.patch: not applicable
      (wpa communication is now done through dbus)
    - delete 41s_wpa_ctrl_socket_non_block.patch: not applicable as there is not
      wpa socket communication in nm 0.7 anymore
    - delete 41t_nm_device_wireless_index_ctrl_sockets_by_run_count.patch: not
      applicable (same reason as abve)
    - delete 41u_custom_timeout_for_some_wpa_ctrl_operations.patch: all this is
      now different in 0.7
    - delete 41wa_lp145683_wpa_ctrl_check_select_result_for_error.patch: no
      wpa_ctrl anymore
    - delete 41x_lp145653_reraise_fatal_signals.patch: doesn't apply anymore
      and never worked anyway
    - delete 41y_queue_if_dbus_name_is_taken_on_startup.patch: no obvious port;
      lets hope that dbus detects that name owner is down more easily
    - delete 41z_lp138217_use_timeout_to_schedule_activation.patch: not
      applicable anymore
    - delete 42a_lp50214_gnome464215_fix_hidden.patch: is different (maybe
      needs porting though)
  * drop all 0.6.x svn cherry picks which naturally don't apply for trunk (0.7)
    anymore:
    - delete debian/patches/24pp_svn2754-lp101857-endianess.patch
    - delete debian/patches/24pp_svn2618_set-hardware-RF-to-enabled-if-no-killswitches.patch
    - delete debian/patches/24pp_svn2605-gnome354565-dont-up-notwired-interfaces.patch
    - delete debian/patches/24pp_svn2604_Add-HAL-based-rfkill-support.patch
    - delete debian/patches/24pp_svn2591_Ensure-the-device-is-up-stage3.patch
    - delete debian/patches/24pp_svn2579-sleep-1-second-to-stabilize-if.patch

 -- Alexander Sack <asac@ubuntu.com>  Tue, 22 Jan 2008 17:26:34 +0000

network-manager (0.6.6-3) unstable; urgency=low

  * debian/network-manager.network-manager-dispatcher.init 
    - NetworkManagerDispatcher uses the D-Bus system bus. Update the LSB
      header accordingly to avoid breakages with insserv based systems.
      (Closes: #500085)
  * debian/patches/20-manual_means_always_online.patch
    - manual-means-online: If there are interfaces that are not managed by
      NetworkManager because they have custom configuration in
      /etc/network/interfaces, we assume to be online. This is obviously not
      always correct. But reporting offline state for unmanaged devices is
      causing major hassles as more and more apps rely on NM and go into
      offline mode otherwise, even if there is a connection (established via
      ifupdown). (Closes: #491826, #502371, #509006, #509829, #511712)

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Jan 2009 09:29:03 +0100

network-manager (0.6.6-2) unstable; urgency=low

  * debian/control
    - Add Build-Depends on pkg-config.
    - Drop obsolete Depends on iputils-arping. (Closes: #487794)
  * debian/patches/09-nm_dbus_get_ap_from_object_path-mem_leak_fix.patch 
    - Fix memory leak in src/nm-dbus-net.c. (Closes: #488604)

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jul 2008 15:11:33 +0200

network-manager (0.6.6-1) unstable; urgency=low

  * New upstream release. (Closes: #470197)
    - Ensure dbus errors are properly initialised. (Closes: #471317)
  * Removed patches
    - debian/patches/04-if_fix.patch (obsolete)
    - debian/patches/11-man_page_sh_name.patch (merged upstream)
    - debian/patches/12_readme_format.patch (merged upstream)
    - debian/patches/20-stable_branch_updates_r2652.patch (applied upstream)
    - debian/patches/21-endianess_fix_r2754.patch (applied upstream)
    - debian/patches/22-fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch
      (merged upstream)
    - debian/patches/23-rfkill_return_type.patch (fixed upstream)
    - debian/patches/24-get_mode_fix_r3122.patch (applied upstream)
    - debian/patches/25-libnl_unique_pid_r3155.patch (applied upstream)
    - debian/patches/26-libnl_1.0-pre8_r3206.patch (applied upstream)
    - debian/patches/27-dont_repeat_errors.patch (applied upstream)
  * debian/patches/07-domain_search.patch
    - Add support for DHCP domain-search option. (Closes: #465158)
      Thanks to Bas Zoetekouw for the patch.
  * debian/patches/08-hal_deprecated_keys.patch
    - Add support for the "net.originating_device" key, which has replaced
      the deprecated "net.physical_device" key in newer HAL versions.
  * debian/patches/06-dispatch_more_events.patch
    - NetworkManagerDispatcher.1.in has been renamed to
      NetworkManagerDispatcher.8.in. Update the patch accordingly.
  * debian/network-manager.manpages
    - The NetworkManager and NetworkManagerDispatcher man pages have been
      moved to section 8.
  * debian/control
    - The pkg-config files have been fixed upstream and unnecessary
      dependencies were removed. Update Depends: for libnm-glib-dev and
      libnm-util-dev accordingly. (Closes: #469195)
  * debian/rules, debian/network-manager.postinst
    - Minimize downtime during upgrades. (Closes: #432322)
      Restart the service in postinst instead of stop in prerm and start in
      postinst.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Apr 2008 02:37:16 +0200

network-manager (0.6.5-5) unstable; urgency=low

  * Rebuild against libnl1. (Closes: #461922)
  * debian/patches/24-get_mode_fix_r3122.patch
    - Pull r3122 from upstream stable branch.
    - Fix getting mode of device.
  * debian/patches/25-libnl_unique_pid_r3155.patch
    - Pull r3155 from stable branch.
    - Ensures that the netlink pid is unique.
  * debian/patches/26-libnl_1.0-pre8_r3206.patch
    - Pull r3206 from upstream stable branch.
    - Replaces 24-libnl1-pre8_fix.patch, which has been removed.
    - Fixes a FTBFS on architectures using SIGTRAP in G_BREAKPOINT().
      (Closes: #459740)
  * debian/patches/13-validate_mac_addr.patch
    - Drop APs with an invalid MAC address. (Closes: #461500)
      Thanks to Sjoerd Simons for the patch.
  * debian/patches/27-dont_repeat_errors.patch
    - Backported r3160 from upstream stable branch.
    - Don't repeat killswitch errors too often. (Closes: #456363)
  * debian/network-manager.init,
    debian/network-manager.network-manager-dispatcher.init
    - Fix LSB init header. Use $remote_fs instead of $local_fs as the
      daemon requires /usr to be mounted. 
      Remove S from Should-Stop. (Closes: #459480)
    - Shorten retry-time to 5 secs on stop.
    - Don't fail to start if daemon is already running.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Jan 2008 00:11:47 +0100

network-manager (0.6.5-4) unstable; urgency=low

  * debian/control
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Bump Build-Depends on libnl-dev to (>= 1.0~pre8).
  * debian/patches/24-libnl1-pre8_fix.patch
    - Backport support for libnl 1.0-pre8 from upstream SVN.
  * debian/network-manager.dirs
    - Add /var/run/NetworkManager.
  * debian/network-manager-dispatcher.script
    - Set PHASE="post-up" for scripts in if-up.d and PHASE="pre-down" for
      scripts in if-down.d to be compliant with ifupdown. (Closes: #452371)
  * debian/patches/12_readme_format.patch
    - Fix line break in README file. (Closes: #444038)

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Dec 2007 16:51:00 +0100

network-manager (0.6.5-3) unstable; urgency=low

  * debian/patches/23-rfkill_return_type.patch
    - The return type of the GetPower() method from Device.Killswitch has 
      changed from UINT32 to INT32 in hal-0.5.10. Fix the code accordingly.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 17:05:44 +0200

network-manager (0.6.5-2) unstable; urgency=low

  * debian/patches/21-endianess_fix_r2754.patch
    - Fixes a problem with ASCII passphrases on big-endian systems due to a missing
      config.h include. (Closes: 391364)
  * debian/network-manager.manpages
    - Install nm-vpn-properties manpage.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
  * 22-fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch
    - Patch from Ubuntu. Don't set the GNOME_DISABLE_DEPRECATED flag as
      nm-vpn-properties requires gnome druid which has been deprecated in 
      libgnomeui 2.20.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2007 21:12:33 +0200

network-manager (0.6.5-1) unstable; urgency=low

  * New upstream release. (Closes: #420959, #431658)
    - Runs wpa_supplicant in less verbose mode. (Closes: #375302, #431562)
    - Adds support for LEAP and phase two authentication.
      (Closes: #420959, #402747)
  * Removed patches that were merged upstream
    - debian/patches/09_fix_bigendian_words.patch
    - debian/patches/12_dbus1.0.patch
    - debian/patches/13-wep_capabilities
  * debian/network-manager.preinst
    - Do not parse /var/lib/dpkg/status directly but use dpkg-query instead.
  * Rebased and updated patches for new release
    - debian/patches/11-man_page_sh_name.patch
    - debian/patches/05-debian_backend.patch
  * Upstream has split nm-applet into a separate package. This means we no
    longer build the network-manager-gnome binary package from this source
    package.
    - Removed files that are now part of the new nm-applet source package
      + debian/network-manager-gnome.README.Debian
      + debian/patches/10-po_fr.patch
      + debian/patches/14-po_de.patch
      + debian/patches/03-dbus_access_nm_applet.patch
      + debian/network-manager-gnome.manpages
      + debian/nm-applet.sgml
      + debian/network-manager.install
      + debian/network-manager-gnome.install
    - debian/control
      + Remove the binary package network-manager-gnome.
      + Add Conflicts/Replaces: network-manager-gnome (<< 0.6.5-1) as
        nm-vpn-properties is now part of the network-manager binary package.
      + Update Build-Depends. Add autotools-dev, libglib2.0-dev and iproute, 
        remove libpanel-applet2-dev.
    - debian/rules
      + Do not build the nm-applet.1 manpage anymore.
      + Exclude nm-vpn-properties from dh_shlibdeps. This is a temporary
        workaround until this binary has also been moved into the nm-applet
        source package.
    - debian/copyright
      + Remove the copyright notices for files which are now in the nm-applet
        source package.
  * debian/patches/20-stable_branch_updates_r2652.patch
    - Pull updates from the stable branch up until revision 2652.
    - Fixes broken link detection and a couple of smaller issues.
    - Adds support for the rfkill switch.
  * debian/patches/02-dbus_access_network_manager.patch
    - Add support for at_console dbus access check. (Closes: #426462)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Aug 2007 00:39:16 +0200

network-manager (0.6.5-0ubuntu17) hardy; urgency=low

  * upload 0.6.5-0ubuntu17 to hardy

 -- Alexander Sack <asac@ubuntu.com>  Mon, 05 Nov 2007 19:14:43 +0100

network-manager (0.6.5-0ubuntu16.7.10.0) gutsy-proposed; urgency=low

  Release changes from test package previously known as 0.6.5-0ubuntu16~ppa3:
  * drop gracefull supplicant shutdown feature and its followup patches,
    because they cause crashes and a real fix would need more intrusive code
    rewrites: (LP: #145683, LP: #83623, LP: #152098, LP: #151405)
    - debian/patches/41n_graceful_supplicant_shutdown.patch,
      debian/patches/41q_retry_supplicant_cleanup_startup_if_ctrl_interface_connect_failes.patch,
      debian/patches/41v_lp141233-fix-supplicant-cleanup-crashes.patch,
      debian/patches/41w_lp145683_cancel_scan_in_supplicant_cleanup.patch: drop
        patches that belong to the "graveful supplicant feature".
    - debian/patches/41u_custom_timeout_for_some_wpa_ctrl_operations.patch: update
      interleaving patch
    - debian/patches/series: update quilt series accordingly.
  * debian/patches/24pp_svn2604_Add-HAL-based-rfkill-support.patch: use
    gint32 instead of guint32 for getting the killswitch power argument
    (LP: #138794).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 05 Nov 2007 18:01:13 +0100

network-manager (0.6.5-0ubuntu16) gutsy; urgency=low

  * debian/README.Debian: adapt README to match the new behaviour of
    network-manager, which doesn't manage _any_ device configured in
    /etc/network/interfaces anymore.
  * debian/patches/42a_lp50214_gnome464215_fix_hidden.patch,series: new patch
    that fixes hidden network for most chipsets (LP: #50214).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 15 Oct 2007 18:55:20 +0200

network-manager (0.6.5-0ubuntu15) gutsy; urgency=low

  * debian/patches/41z_lp138217_use_timeout_to_schedule_activation.patch,series:
    don't use idle_source to schedule activation, but rest a bit by using a
    timeout_source with 250ms delay (LP: #138217).
  * debian/network-manager.postinst: sleep 2 seconds after ifblacklist_migrate.sh
    (LP: #146757).
  * debian/patches/41w_lp145683_cancel_scan_in_supplicant_cleanup.patch,series: first part
    for lp145683 - cancel pending scans on terminate (LP: #145683).
  * debian/patches/41wa_lp145683_wpa_ctrl_check_select_result_for_error.patch,series:
    second part to fix lp145683; test select result for errors (in case of
    TERMINATE) (LP: #145683).
  * debian/patches/41y_queue_if_dbus_name_is_taken_on_startup.patch,series: make
    restart of network manager more failsafe and even allow to take over name
    ownership. When ownership is taken over (dbus signal |NameLost| received), we
    shutdown cleanly by sending |X| through |nm_shutdown_pipe| (LP: #85113).
  * debian/patches/41x_lp145653_reraise_fatal_signals.patch: re-raise fatal
    signals (LP: #145653).

 -- Alexander Sack <asac@ubuntu.com>  Tue, 02 Oct 2007 13:32:50 +0200

network-manager (0.6.5-0ubuntu14) gutsy; urgency=low

  * debian/ifblacklist_migrate.sh: fix "/etc/network/interfaces migration
    overlooks wlan0" (LP: #141580).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 24 Sep 2007 10:21:46 +0200

network-manager (0.6.5-0ubuntu13) gutsy; urgency=low

  * debian/patches/20_do_not_take_over_dhcpv4iface_when_v6_is_configured.patch:
    fix race/null-deref crash that happens if /e/n/i is not completely flushed out
    by editor/network-admin (LP: #141106).
  * debian/patches/41v_lp141233-fix-supplicant-cleanup-crashes.patch: Add patch
    for LP: #141233 - fix crash by not sending ctrl commands to supplicant if no ctrl
    socket is open.
  * debian/patches/series: add new patch to quilt series
  * debian/patches/41t_nm_device_wireless_index_ctrl_sockets_by_run_count.patch:
    use two distinct variables to track and check connect attempt count to
    supplicant and global supplicant socket. Fix bug that prevented network
    manager from attempting to connect to supplicant ctrl for cases where
    global control already took a long time to succeed. (LP: #141233).
  * debian/patches/41t_nm_device_wireless_index_ctrl_sockets_by_run_count.patch:
    close global ctrl socket connection when nm_utils_supplicant_request_with_check
    failed.
  * debian/patches/41u_custom_timeout_for_some_wpa_ctrl_operations.patch: update patch
    because of overlapping change with 41t_* patch.

 -- Alexander Sack <asac@ubuntu.com>  Fri, 21 Sep 2007 11:26:01 +0200

network-manager (0.6.5-0ubuntu12) gutsy; urgency=low

  * debian/patches/05-debian_backend.patch: don't manage auto/allow-* dhcp
    interfaces anymore (LP: #139403).
    - debian/ifblacklist_migrate.sh: new helper script that blacklists
      auto/allow-* dhcp interfaces without any options.
    - debian/network-manager.install: install helper script to $pkglibdir
    - debian/network-manager.postinst: run ifblacklist_migrate.sh during
      configure when upgrading from versions "lt-nl" 0.6.5-0ubuntu12.
  * debian/changelog: add merge-dropped changelog entries for 0.6.3-2ubuntuX
    revision series (LP: #124018)
  * debian/patches/25_lp90267-dont-tear-down-upped-interfaces.patch,series:
    drop this patch, so nm is allowed to tear down upped interfaces during
    startup again.

 -- Alexander Sack <asac@ubuntu.com>  Wed, 19 Sep 2007 18:38:17 +0200

network-manager (0.6.5-0ubuntu11) gutsy; urgency=low

  * debian/patches/25_lp90267-dont-tear-down-upped-interfaces.patch: remove
        redundant nm_info output previously send to syslog/daemon.log 
        (LP: #137744).
  * debian/patches/41r_wpa_control_custom_timeout.patch: add a state timeout
       to wpa control Private struct and add functions to set/unset this custom
       timeout; in turn implement this feature and make wpa_ctrl obey this
       custom timeout.
  * debian/patches/41r_wpa_control_explicit_TIMEOUT_reply_fixup.patch: wpa_ctrl
       returns bogus reply string which may lead to access of not-initialized
       memory in case an operation times out. We fix this by explicitly setting
       reply to TIMEOUT[CLI] on wpa_ctrl side before returning.
  * debian/patches/41s_wpa_ctrl_socket_non_block.patch: setup wpa_ctrl_socket as
       a real NON_BLOCK socket to prevent one potential reason for stale states
       in network-manager (deadlocks).
  * debian/patches/41t_nm_device_wireless_index_ctrl_sockets_by_run_count.patch:
       to prevent new supplicant sockets to not conflict with sockets that might
       still exist from previous run we now append a run_count index to _all_
       socket control paths. This run_count is incremented in supplicant_cleanup
       and is mod 10 to prevent any overflow when having more than 32-bit runs.
  * debian/patches/41q_retry_supplicant_cleanup_startup_if_ctrl_interface_connect_failes.patch:
       another try to terminate wpasupplicant more graceful: new shutdown
       sequence sends disable_network, ap_scan 0, interface_remove, terminate.
  * debian/patches/41u_custom_timeout_for_some_wpa_ctrl_operations.patch: we now
       use a custom timeout for ctrl operations: INTERFACE_ADD, DISABLE_NETWORK,
       TERMINATE; we take care that this timeout is unset after operations are
       through.
  * debian/patches/series: add all these great new patches to quilt _series_.
  * debian/patches/41d_ipw3945_turn_off_essid_in_stage1.patch,
      41l_enable_ipw3945_reset_essid.patch,series: drop from patchset - because
      we have a real fix in ipw3945 driver now.
  * debian/patches/41n_graceful_supplicant_shutdown.patch: update patch in turn of
      dropping the patches above.

 -- Alexander Sack <asac@ubuntu.com>  Mon, 10 Sep 2007 13:06:24 +0200

network-manager (0.6.5-0ubuntu10) gutsy; urgency=low

  * debian/patches/24pp_svn2754-lp101857-endianess.patch,series: prepatch patch
      by Wojtek Kaniewski to fix endianess issues in NetworkManager
      (LP: #101857).
  * debian/network-manager.postinst: apply patch contributed by Villalovos, John L
      <john.l.villalovos@intel.com> that prevents NetworkManager restart in postinst
      if invoke-rc.d --disclose-deny dbus force-reload fails. This is required to not
      start any service during chroot installs of ume.

 -- Alexander Sack <asac@ubuntu.com>  Thu, 06 Sep 2007 15:16:46 +0200

network-manager (0.6.5-0ubuntu9) gutsy; urgency=low

  * debian/patches/series: disable 41o_completely_deactivate_stage1.patch
    for tribe-4

 -- Alexander Sack <asac@ubuntu.com>  Tue,  7 Aug 2007 12:36:37 +0200

network-manager (0.6.5-0ubuntu8) gutsy; urgency=low

  * debian/patches/41n_graceful_supplicant_shutdown.patch: move
    supplicant_cleanup into stage1_prepare; remove test timeouts in
    _stage2_config and add 1 second sleep to the end of xx_stage1_prepare
  * debian/patches/series: add new patch 41n_graceful_supplicant_shutdown.patch
    to series
  * debian/patches/41l_enable_ipw3945_reset_essid.patch: enable
    ipw3945_reset_essid, by setting up function in class constructor
  * update debian/patches/41l_enable_ipw3945_reset_essid.patch:
    completely deactivate device in  stage1 now
  * debian/patches/series: add new patch 41l_enable_ipw3945_reset_essid.patch
  * debian/patches/41m_unref_dbus_connection_on_shutdown.patch,
    unref shared dbus_connection on shutdown (LP: #85113)
  * debian/patches/series: add new patch 41m_unref_dbus_connection_on_shutdown.patch
  * debian/patches/41k_20_sec_wireless_link_timeout.patch: increase
    timeout for link setup ... taken from upstream ml
  * debian/patches/series: add new patch 41k_20_sec_wireless_link_timeout.patch
  * debian/patches/41e_fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch: Fix
    ftbfs because of recently deprecated gnome druid - this patch enables gnome
    deprecated in Makefiles
  * debian/patches/series: add new patch
    41e_fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch
  * debian/patches/41d_ipw3945_turn_off_essid_in_stage1.patch:
    implement stage1_prepare implementation in nm-device-802-11-wireless.c
  * debian/patches/series: add new patch 41d_ipw3945_turn_off_essid_in_stage1.patch
  * debian/rules, debian/control, debian/patches/series: Switch patchsystem to quilt
  * debian/patches/41c_ubuntu-fixup--get_mode_always_fails_typo_fix.patch: fix
    programming bug in wireless code
  * debian/patches/24pp_svn2591_Ensure-the-device-is-up-stage3.patch: ensure
    device is up in stage3 - cherry-picked from svn
  * debian/patches/24pp_svn2618_set-hardware-RF-to-enabled-if-no-killswitches.patch:
    enable hardware rf by default -  cherry-picked from svn
  * debian/patches/24pp_svn2604_Add-HAL-based-rfkill-support.patch: hal based rfkill
    - cherry-picked from svn
  * debian/patches/24pp_svn2579-sleep-1-second-to-stabilize-if.patch: sleep to
    stabilize link status - cherry-picked from svn
  * debian/patches/41o_completely_deactivate_stage1.patch: use nm_device_deactivate
    instead of just real_deactivate to deactivate device more cleanly

 -- Alexander Sack <asac@ubuntu.com>  Tue,  7 Aug 2007 09:51:02 +0200

network-manager (0.6.5-0ubuntu7) gutsy; urgency=low

  [Alexander Sack <asac@ubuntu.com>]
  * prefetch bugfix from svn - not-connected wired interface is if-upped:
    1. 24a_svn2578-gnome354565-fix-ethernet-link-detection-races.patch:
      -  prefetch patch from 0.6.0 release branch (rev 2578)
    2. 24b_svn2605-gnome354565-dont-up-notwired-interfaces.patch:
      -  prefetch patch from 0.6.0 release branch (rev 2605)
  * debian/patches/25_lp90267-dont-tear-down-upped-interfaces.patch: fix master bug that
    makes already configured interfaces (in /etc/network/interfaces) being torn down. This
    causes issue for network cards that don't have a link beat and might caus troubles
    for applications that have already bound to the interface and don't react on netlink
    events (LP: #90267)

  [Anthony Mercatante <tonio@ubuntu.com>]
  * fixed network-manager.install and debian/rules:
    - Installs nm-vpn-perperties in /usr/lib to make it a hidden binary
    - Tell dh_shlibdeps to ignore nm-vpn-properties to avoid lots of gnome
      dependancies, causing issues to release kubuntu Kubuntu.

 -- Alexander Sack <asac@ubuntu.com>  Thu, 12 Jul 2007 11:15:56 +0200

network-manager (0.6.5-0ubuntu6) gutsy; urgency=low

  * debian/control:
    - add a network-manager-dev Depends on libnm-util-dev

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 06 Jul 2007 10:59:49 +0200

network-manager (0.6.5-0ubuntu5) gutsy; urgency=low

  * install nm-vpn-properties (plus manpage) to package
    network-manager. It got moved from network-manager-gnome here.
    (LP: #123772)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Jul 2007 09:56:34 +0200

network-manager (0.6.5-0ubuntu4) gutsy; urgency=low

  * debian/control: add iproute build-depends again to fix
    autobuilder ftbfs. 

 -- Alexander Sack <asac@ubuntu.com>  Tue, 26 Jun 2007 16:39:17 +0200

network-manager (0.6.5-0ubuntu3) gutsy; urgency=low

  Revert all changes from 0.6.5-0ubuntu1 and 0.6.5-0ubuntu2 to
  redo new upstream source merge ...

  Drop network-manager-gnome as gnome because the gui code is
  now shipped in separate source:
    * debian/network-manager-gnome.install,
      debian/network-manager-gnome.manpages,
      debian/nm-applet.sgml: obsolete files dropped

    * debian/rules: don't create/install nm-applet manpage anymore

    * debian/control: drop network-manager-gnome package


  Adapt ubuntu patchset in turn of new upstream release 0.6.5:    
    * debian/patches/05-debian_backend.patch: our @add_data changes
      has been applied upstream - drop first hunk of interface_parser.c
      diff.

    * debian/patches/09_fix_bigendian_words.patch: drop as 
      AC_C_BIGENDIAN check is now applied upstream - drop patch.

    * debian/patches/10-po_fr.patch: we only had modifications for
      applet .po entries. applet moved to its own source - drop patch.

    * debian/patches/11-man_page_sh_name.patch: +.SH NAME as been
      added upstream for /man/NetworkManagerDispatcher.1.in and
      man/NetworkManager.1.in; thus, only keep diff for man/nm-tool.1.in.

    * debian/patches/12_dbus1.0.patch: dbus_connection_disconnect was
      replaced by dbus_connection_close + dbus_connection_unref; our
      patch previously replaced dbus_connection_disconnect with
      dbus_connection_unref (only) - drop patch due to upstream fix.

    * debian/patches/13-rml-wpa-workarounds.patch: simple reapply patch
      manually as upstream changed some unrelated code in patch proximity.
  
    * debian/patches/18_static_network-admin.patch: patch for gnome
      applet only; since source has moved it has to go - drop patch
  
    * debian/patches/21_manual_means_always_online.diff: drop patch
      for gnome applet code; recalc line numbers of other patches for
      updated underlying upstream version; apply hunk
      src/NetworkManagerMain.h manually because upstream changed code
      in proximity.
  
    * debian/patches/22_manual_config_available_when_connected.patch:
      applet changes only - drop patch
  
    * debian/patches/23_nm-monitor-eni.diff: manually apply
      src/NetworkManagerSystem.h patch whose underlying code base
      was changed within proximity of changes; in turn recalc patch
      line number for src/backends/NetworkManagerDebian.c as well
      as src/NetworkManager.c


  Change Maintainer Field for ubuntu:
    * debian/control: change maintainer field to coredev for upload

 -- Alexander Sack <asac@ubuntu.com>  Mon, 25 Jun 2007 18:25:54 +0200

network-manager (0.6.5-0ubuntu2) gutsy; urgency=low

  * Added missing build-dep iproute.
    Fixes FTBFS on the buildd
  * Fixed path installation of nm-vpn-properties

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 18 Jun 2007 12:56:22 +0200

network-manager (0.6.5-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Dropped obsolete 05-debian_backend.patch
  * Dropped 09_fix_bigendian_words.patch, merged upstream
  * Dropped 10-po_fr.patch, translation fixed upstream
  * Dropped 11-man_page_sh_name.patch, merged upstream
  * Dropped 12_dbus1.0.patch, merged upstream
  * Dropped 13-rml-wpa-workarounds.patch, merged upstream
  * Dropped obsolete 14-j-hostap-supplicant-driver.patch
  * Dropped obsolete 16_undefined_macros.patch
  * Dropped 18_static_network-admin.patch,
    21_manual_means_always_online.diff and
    22_manual_config_available_when_connected.patch, as the applet is
    now a separate tarball
  * Dropped obsolete
    19_interfaces_can_have_more_than_one_instance.patch,
    20_do_not_take_over_dhcpv4iface_when_v6_is_configured.patch

  * Moved 19_interfaces_can_have_more_than_one_instance.patch,
    20_do_not_take_over_dhcpv4iface_when_v6_is_configured.patch and
    21_manual_means_always_online.diff in "patches-not-applied".
    n-m 0.6.5 has major code changes and the applet is now separate tarball,
    those patches need rewritting.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 15 Jun 2007 11:29:53 +0200

network-manager (0.6.4-8) unstable; urgency=low

  * Install the NetworkManager and NetworkManagerDispatcher start scripts as
    regular SysV init scripts
    - Rename debian/network-manager.dbus-event to debian/network-manager.init
      and debian/network-manager-dispatcher.dbus-event to
      debian/network-manager.network-manager-dispatcher.init.
    - Add proper LSB headers to the init scripts.
    - debian/rules
      Call dh_installinit for network-manager and network-manager-dispatcher.
    - debian/network-manager.{preinst,postinst,postrm}
      Remove the old conffiles /etc/dbus-1/event.d/25NetworkManager and
      /etc/dbus-1/event.d/26NetworkManagerDispatcher or rename them to
      *.dpkg-bak if they were changed locally.   

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Apr 2007 22:30:22 +0200

network-manager (0.6.4-7) unstable; urgency=low

  * debian/control
    - Add Recommends: network-manager-gnome | network-manager-kde to
      network-manager.
    - Add Recommends: libpam-keyring to network-manager-gnome. This allows to
      unlock the gnome-keyring automatically upon login.
    - Add Recommends: network-manager-vpnc, network-manager-openvpn to
      network-manager-gnome. (Closes: #406241)
    - Add XS-Vcs-* fields.
    - Add Depends: gnome-icon-theme to network-manager-gnome, which fixes a
      problem with nm-applet failing to start because of missing icons.
      (Closes: #372466)
    - Change maintainer address to
      pkg-utopia-maintainers@lists.alioth.debian.org.
      Add Riccardo and myself to Uploaders.
  * debian/patches/12_dbus1.0.patch
    - Updated to unref rather than close the D-Bus connection.
  * debian/patches/13-wep_capabilities.patch
    - Correctly set the available WEP capabilities. (Closes: #411867)
      Thanks to Andy Whitcroft for the patch!
  * debian/network-manager-gnome.README.Debian
    - Add a README.Debian file for network-manager-gnome. (Closes: #414187)
  * debian/patches/14-po_de.patch
    - Added. Small fix for the German translation.
  * debian/patches/05-debian_backend.patch
    - Updated. Set status variable to return code of ifup/ifdown. 
      (Closes: #415642)
    - Only invalidate the nscd hosts cache when nscd is actually installed.
      (Closes: #402436)
    - Remove mDNSResponder restart from nm_system_restart_mdns_responder().
      mDNSResponder has been obsoleted by Avahi which does not need a restart.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2007 02:21:57 +0200

network-manager (0.6.4-6ubuntu7) feisty; urgency=low

  * 21_manual_means_always_online.diff:
    The previous version of this patch (ubuntu5) made a change to nm-applet
    that would assume the state was disconnected if the device list was empty.
    This didn't work since the device list is always empty on start because
    the status is obtained first.

    This was guarding against having the connected state with no devices,
    which broke later assertions.  Change the patch to correct those
    assertions instead; a connected state with no active device will now
    display the wired icon with a "Manual network configuration" tooltip.

    LP: #82335, #105234.

  * 05-debian_backend.patch:
    Revert change in ubuntu3 that commented out the blacklisting of
    devices listed in /etc/network/interfaces with more exotic configuration
    than just inet dhcp.  This was done by the above patch in ubuntu5, it
    seems silly to do it there, better to do it in the original patch.

  * 22_manual_config_available_when_connected.patch:
    Display the "Manual configuration" menu option when we have no devices,
    but are connected; since that means some number of blacklisted devices
    exist.  Don't display the "No network devices" message in that case.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 12 Apr 2007 19:32:01 +0100

network-manager (0.6.4-6ubuntu6) feisty; urgency=low

  * debian/rules:
    - update translations template

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 11 Apr 2007 22:36:27 +0200

network-manager (0.6.4-6ubuntu5) feisty; urgency=low

  * Partially revert 0.6.4-6ubuntu3, but if we find interfaces which are
    disabled, we assume we are always online to avoid trouble when people
    have advanced and semi-advanced setups.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon,  9 Apr 2007 21:39:20 +0200

network-manager (0.6.4-6ubuntu4) feisty; urgency=low

  * /etc/network/interfaces can have more than one instance of the same
    interface. For example:

    iface eth0 inet dhcp
    and later
    iface eth0 inet6 static

    The function ifparser_getif is capable only to return the first instance
    of eth0 that is a legal entry for NM to take over, but NM still does not
    know how to handle what's next.

    Patch 19_interfaces_can_have_more_than_one_instance.patch creates a sub
    list of linked if_block via nextsame, binding together all if_block's
    related to the same interface and preserving if_data for each block.

    Patch 20_do_not_take_over_dhcpv4iface_when_v6_is_configured.patch
    blacklist interfaces that have dhcp for inet configuration but have an
    inet6 entry following later on. NM does not know yet how to
    store/restore/configure IPv6 (blacklisted too) so for now we tell NM
    to keep the hands off these interfaces.

    (Closes LP: #93636)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 30 Mar 2007 11:17:42 +0200

network-manager (0.6.4-6ubuntu3) feisty; urgency=low

  * Manage some static devices we can understand.  This should avoid the
    problem people are having with NM marking the machine as offline when
    it's just on static instead.  LP #82335.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 13 Mar 2007 16:18:06 +0100

network-manager (0.6.4-6ubuntu2) feisty; urgency=low

  * Add "static configuration" menu item for NetworkRoaming spec.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 18 Jan 2007 11:22:19 +0100

network-manager (0.6.4-6ubuntu1) feisty; urgency=low

  * Merged with the Debian packages.  Remaining changes:
    - Changed 12_dbus1.0.patch to unref rather than close the connection
    - Added 13-rml-wpa-workarounds.patch
    - Added 14-j-hostap-supplicant-driver.patch
    - Added 16_undefined_macros.patch
    - Call dh_iconcache for network-manager-gnome
    - Add recommends on network-manager-gnome | network-manager-kde
    - Remove "security" bit in README.Debian since we're using at_console
      instead of the netdev group
    - Remove the addition of the netdev group as well as the dependency on
      adduser.
  * Thanks to Riccardo Setti for help with merging the package.  Much
    appreciated.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 15 Dec 2006 14:41:49 +0100

network-manager (0.6.4-6) unstable; urgency=medium

  * debian/patches/10-po_fr.patch
    - Added. Small fixes for the French translation. (Closes: #401060)
      Thanks to Cyril Brulebois.
  * debian/patches/12_dbus1.0.patch
    - Updated 12_dbus0.9.patch for D-Bus 1.0 to pass the correct flags to
      dbus_bus_request_name(). (Closes: #401039)
  * debian/patches/11-man_page_sh_name.patch
    - Add missing ".SH NAME" stanzas to man pages.
  * debian/network-manager-gnome.install
    - Install the nm-applet autostart file into /etc/xdg/autostart rather than
      /usr/share/gnome/autostart to be compliant to the fd.o autostart spec.
  * Urgency medium, as it fixes a FTBFS bug.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Nov 2006 21:30:47 +0100

network-manager (0.6.4-5) unstable; urgency=low

  * Small fix for the NetworkManagerDispatcher init script. 

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Oct 2006 11:00:34 +0200

network-manager (0.6.4-4) unstable; urgency=low

  * Correct typo in package description. (Closes: #390062)
  * debian/network-manager.postinst
    - Create group netdev if not yet existent. Add a Depends on adduser.
  * Add instructions to README.Debian how to restart NetworkManager after
    modifying /etc/network/interfaces. (Closes: 384892)
  * debian/patches/05-debian_backend.patch
    - Fix the parser for /etc/network/interfaces. (Closes: #383765)
    - Do not restart nscd on dns changes, only invalidate the hosts cache.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Oct 2006 20:18:18 +0200

network-manager (0.6.4-3) unstable; urgency=low

  * Changed adeprecated dbus function. (Closes: 385380)
    - Added 12_dbus0.9.patch.

 -- Riccardo Setti <giskard@debian.org>  Tue,  5 Sep 2006 19:48:00 +0200

network-manager (0.6.4-2) unstable; urgency=low

  * Ship the nm-tool binary. (Closes: #384891)

 -- Michael Biebl <biebl@teco.edu>  Tue, 15 Aug 2006 23:42:09 +0200

network-manager (0.6.4-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release. (Closes: #379163)
    - Bumped hal deps to version 0.5.7.1. NM needs user haldaemon for dbus
    operations.
  * Allow interfaces marked "auto-hotplug" to be managed by NM.
    (Closes: #381017)
  * Added 09_fix_bigendian_words.patch which will fix the WPA+plain text pw
    auth method on powerpc (and on other bigendian archs). (Closes: #381464)

  [ Michael Biebl ]
  * Merged the patches 05-resolvconf.patch and 08-disabled_devices.patch into
    a single patch called 05-debian_backend.patch.
  * Updated 05-debian_backend.patch to not control mapped interfaces.
    (Closes: #377498)

 -- Michael Biebl <biebl@teco.edu>  Tue,  8 Aug 2006 01:51:13 +0200

network-manager (0.6.3-2) unstable; urgency=low

  * Updated 02-dbus_access_network_manager.patch to allow the hal daemon
    (running as user "hal") to send events about hotplugged devices to the
    NetworkManager daemon. (Closes: 355785)
  * Added a Recommends: notification-daemon to network-manager-gnome.
  * Improved the package description and the manpage of network-manager-gnome.
    (Closes: #362962)

 -- Michael Biebl <biebl@teco.edu>  Tue, 20 Jun 2006 23:22:11 +0200

network-manager (0.6.3-1) unstable; urgency=low

  * New upstream release.
    - Removed 07-libnm_glib_reconnect_dbus.patch, merged upstream.
    - Removed 09-nm_bad_mutex_free.patch, fixed upstream.
    - Removed 10-interface_parser_fixes.patch, merged upstream.
    - Removed 11-carrier_detection.patch, merged upstream.
  * Added a watch file.
  * Added homepage URL to package description.

 -- Michael Biebl <biebl@teco.edu>  Thu,  8 Jun 2006 16:21:43 +0200

network-manager (0.6.2-3) unstable; urgency=low

  * Ship the NEWS.Debian file only for the network-manager package.
    (Closes: #367063)
  * Added 11-carrier_detection.patch to support network cards which can't do
    carrier detection. (Closes: #366373) 

 -- Michael Biebl <biebl@teco.edu>  Tue, 16 May 2006 00:16:43 +0200

Old Changelog:
network-manager (0.6.3-2ubuntu7) feisty; urgency=low

  * Add debian/patches/00upstream-ftbfs.patch:
    - Fix dbus version check in src/NetworkManagerDbus.c to work with dbus
      1.0.
    - src/nm-netlink-monitor.c: Standard fix for new if_addr.h world order.
    - These issues are already fixed in the currently pending Debian merge, so
      this patch can go away soon.
  * Add debian/patches/13_avahi-autoipd.patch:
    - src/nm-device.c: Do not use the internal get_autoip() function, but
      instead check if avahi-autoipd was engaged for the interface and do not
      meddle with the settings in that case. This is in accordance with
      upstream who wants to completely throw away the internal IPv4LL code.
    - src/dhcp-manager/nm-dhcp-manager.c: Raise DHCP timeout from 45 seconds
      to 99 seconds, thus effectively disabling it. We want to use
      dhclient.conf's timeout configuration; if that happens to be longer, we
      interrupt dhclient while it's still working and get confused if the IP
      suddenly changes underneath us.
    - src/dhcp-manager/nm-dhcp-manager.c: Treat DHCDBD_FAIL like
      DHCDBD_TIMEOUT, i. e. continue with stage 4 of device activation
      (IPv4LL address assignment) instead of giving up and trying all over
      again. Since dhcdbd calls dhclient in single-shot mode (-1), it will
      never return with TIMEOUT, only with FAILURE, and we want to go into
      zeroconf mode instead of being stuck in an endless retry loop.
    - See https://wiki.ubuntu.com/ZeroConfNetworking for details.

 -- Martin Pitt <martin.pitt@ubuntu.com> Wed, 6 Dec 2006 16:42:54 +0100

network-manager (0.6.3-2ubuntu6) edgy; urgency=low

  * ndiswrapper uses the stock wext driver now, so remove that bit of the
    10-rml-wpa-workarounds.patch. Adjust
    11-j-hostap-supplicant-driver.patch appropriately. Malone: #46136

 -- Tollef Fog Heen <tfheen@ubuntu.com> Tue, 17 Oct 2006 13:17:59 +0200

network-manager (0.6.3-2ubuntu5) edgy; urgency=low

  * Rebuild against dbus 0.90
  * debian/patches/12_dbus0.9.patch:
    + s/dbus_connection_disconnect/dbus_connection_close/g

 -- Sebastian Dröge <slomo@ubuntu.com> Thu, 24 Aug 2006 18:09:06 +0200

network-manager (0.6.3-2ubuntu4) edgy; urgency=low

  * Correct network manager to not touch resolv.conf, accidentally dropped
    during the merge.

 -- Scott James Remnant <scott@ubuntu.com> Tue, 22 Aug 2006 09:16:37 +0200

network-manager (0.6.3-2ubuntu3) edgy; urgency=low

  * debian/rules:
    - Add dh_iconcache to network-manager-gnome.

 -- Christian Bjälevik <nafallo@ubuntu.com> Sun, 6 Aug 2006 12:32:52 +0200

network-manager (0.6.3-2ubuntu2) edgy; urgency=low

  * Fix packaging so that the workaround patch isn't already applied, thus
    breaking the builds.

 -- Scott James Remnant <scott@ubuntu.com> Sun, 30 Jul 2006 23:24:43 +0100

network-manager (0.6.3-2ubuntu1) edgy; urgency=low

